Package org.eclipse.jdt.core.compiler

# Interface IProblem

All Known Implementing Classes:
  `CategorizedProblem`

public interface IProblem
Description of a Java problem, as detected by the compiler or some of the underlying technology reusing the compiler. A problem provides access to:

- its location (originating source file name, source position, line number)
- its message description
- predicates to check its severity (error, warning, or info)
- its ID : a number identifying the very nature of this problem. All possible IDs are listed as constants on this interface.

Note: the compiler produces IProblems internally, which are turned into markers by the JavaBuilder so as to persist problem descriptions. This explains why there is no API allowing to reach IProblem detected when compiling. However, the Java problem markers carry equivalent information to IProblem, in particular their ID (attribute "id") is set to one of the IDs defined on this interface.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AbstractMethodCannotBeOverridden`
`static final int`
`AbstractMethodInAbstractClass`
`static final int`
`AbstractMethodInEnum`
`static final int`
`AbstractMethodMustBeImplemented`
`static final int`
`AbstractMethodMustBeImplementedOverConcreteMethod`
`static final int`
`AbstractMethodsInConcreteClass`
`static final int`
`AbstractServiceImplementation`
`static final int`
`AllocationInEarlyConstructionContext`
`static final int`
`AmbiguousConstructor`
`static final int`
`AmbiguousConstructorInDefaultConstructor`
`static final int`
`AmbiguousConstructorInImplicitConstructorCall`
`static final int`
`AmbiguousField`
`static final int`
`AmbiguousMethod`
`static final int`
`AmbiguousType`
`static final int`
`AnnotatedTypeArgumentToUnannotated`
`static final int`
`AnnotatedTypeArgumentToUnannotatedSuperHint`
`static final int`
`AnnotationCannotOverrideMethod`
`static final int`
`AnnotationCircularity`
`static final int`
`AnnotationCircularitySelfReference`
`static final int`
`AnnotationFieldNeedConstantInitialization`
Deprecated.
- problem is no longer generated (code is legite)
`static final int`
`AnnotationMembersCannotHaveParameters`
`static final int`
`AnnotationMembersCannotHaveTypeParameters`
`static final int`
`AnnotationTypeDeclarationCannotHaveConstructor`
`static final int`
`AnnotationTypeDeclarationCannotHaveSuperclass`
`static final int`
`AnnotationTypeDeclarationCannotHaveSuperinterfaces`
`static final int`
`AnnotationTypeUsedAsSuperInterface`
`static final int`
`AnnotationValueMustBeAnEnumConstant`
`static final int`
`AnnotationValueMustBeAnnotation`
`static final int`
`AnnotationValueMustBeArrayInitializer`
`static final int`
`AnnotationValueMustBeClassLiteral`
`static final int`
`AnnotationValueMustBeConstant`
`static final int`
`AnonymousClassCannotExtendFinalClass`
`static final int`
`ApplicableMethodOverriddenByInapplicable`
`static final int`
`ArgumentHidingField`
`static final int`
`ArgumentHidingLocalVariable`
`static final int`
`ArgumentIsNeverUsed`
`static final int`
`ArgumentTypeAmbiguous`
Deprecated.
- problem is no longer generated, use `AmbiguousType` instead
`static final int`
`ArgumentTypeCannotBeVoid`
`static final int`
`ArgumentTypeCannotBeVoidArray`
Deprecated.
- problem is no longer generated, use `CannotAllocateVoidArray` instead
`static final int`
`ArgumentTypeInheritedNameHidesEnclosingName`
Deprecated.
- problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead
`static final int`
`ArgumentTypeInternalNameProvided`
Deprecated.
- problem is no longer generated, use `InternalTypeNameProvided` instead
`static final int`
`ArgumentTypeNotFound`
Deprecated.
- problem is no longer generated, use `UndefinedType` instead
`static final int`
`ArgumentTypeNotVisible`
Deprecated.
- problem is no longer generated, use `NotVisibleType` instead
`static final int`
`ArrayConstantsOnlyInArrayInitializers`
`static final int`
`ArrayReferencePotentialNullReference`
`static final int`
`ArrayReferenceRequired`
`static final int`
`ArrowInCaseStatementsNotSupported`
`static final int`
`AssignFieldWithInitializerInEarlyConstructionContext`
`static final int`
`AssignmentHasNoEffect`
`static final int`
`AssignmentToMultiCatchParameter`
`static final int`
`AssignmentToResource`
`static final int`
`AutoManagedResourceNotBelow17`
`static final int`
`AutoManagedVariableResourceNotBelow9`
`static final int`
`BinaryLiteralNotBelow17`
`static final int`
`BodyForAbstractMethod`
`static final int`
`BodyForNativeMethod`
`static final int`
`BoundCannotBeArray`
`static final int`
`BoundHasConflictingArguments`
`static final int`
`BoundMustBeAnInterface`
`static final int`
`BoxingConversion`
`static final int`
`BytecodeExceeds64KLimit`
`static final int`
`BytecodeExceeds64KLimitForClinit`
`static final int`
`BytecodeExceeds64KLimitForConstructor`
`static final int`
`BytecodeExceeds64KLimitForSwitchTable`
`static final int`
`CannotAllocateVoidArray`
`static final int`
`CannotDeclareEnumSpecialMethod`
`static final int`
`CannotDefineAnnotationInLocalType`
`static final int`
`CannotDefineDimensionExpressionsWithInit`
`static final int`
`CannotDefineEnumInLocalType`
`static final int`
`CannotDefineInterfaceInLocalType`
`static final int`
`CannotDefineStaticInitializerInLocalType`
`static final int`
`CannotExtendEnum`
`static final int`
`CannotHideAnInstanceMethodWithAStaticMethod`
`static final int`
`CannotImplementIncompatibleNullness`
`static final int`
`CannotImportPackage`
`static final int`
`CannotInferElidedTypes`
`static final int`
`CannotInferInvocationType`
`static final int`
`CannotInferRecordPatternTypes`
`static final int`
`CannotInvokeSuperConstructorInEnum`
`static final int`
`CannotOverrideAStaticMethodWithAnInstanceMethod`
`static final int`
`CannotReadSource`
`static final int`
`CannotReturnInInitializer`
`static final int`
`CannotThrowNull`
`static final int`
`CannotThrowType`
`static final int`
`CannotUseDiamondWithAnonymousClasses`
`static final int`
`CannotUseDiamondWithExplicitTypeArguments`
`static final int`
`CannotUseSuperInCodeSnippet`
`static final int`
`ClassExtendFinalClass`
`static final int`
`ClassExtendFinalRecord`
`static final int`
`CodeCannotBeReached`
`static final int`
`CodeSnippetMissingClass`
`static final int`
`CodeSnippetMissingMethod`
`static final int`
`ComparingIdentical`
`static final int`
`Compliance`
`static final int`
`ConflictingImport`
`static final int`
`ConflictingInheritedNullAnnotations`
`static final int`
`ConflictingNullAnnotations`
`static final int`
`ConflictingPackageFromModules`
`static final int`
`ConflictingPackageFromOtherModules`
`static final int`
`ConflictingPackageInModules`
`static final int`
`ConstantWithPatternIncompatible`
`static final int`
`ConstNonNullFieldComparisonYieldsFalse`
`static final int`
`ConstructedArrayIncompatible`
`static final int`
`ConstructionTypeMismatch`
`static final int`
`ConstructorCallNotAllowedHere`
`static final int`
`ConstructorReferenceNotBelow18`
`static final int`
`ConstructorRelated`
`static final int`
`ConstructorVarargsArgumentNeedCast`
`static final int`
`ContainerAnnotationTypeHasNonDefaultMembers`
`static final int`
`ContainerAnnotationTypeHasShorterRetention`
`static final int`
`ContainerAnnotationTypeHasWrongValueType`
`static final int`
`ContainerAnnotationTypeMustHaveValue`
`static final int`
`ContradictoryNullAnnotations`
`static final int`
`ContradictoryNullAnnotationsInferred`
`static final int`
`ContradictoryNullAnnotationsInferredFunctionType`
`static final int`
`ContradictoryNullAnnotationsOnBound`
`static final int`
`CorruptedSignature`
`static final int`
`CyclicModuleDependency`
`static final int`
`DanglingReference`
`static final int`
`DeadCode`
`static final int`
`DefaultMethodNotBelow18`
`static final int`
`DefaultMethodOverridesObjectMethod`
`static final int`
`DefaultTrueAndFalseCases`
`static final int`
`DereferencingNullableExpression`
`static final int`
`DiamondNotBelow17`
`static final int`
`DimensionsIllegalOnRecordPattern`
`static final int`
`DirectInvocationOfAbstractMethod`
`static final int`
`DisallowedExplicitThisParameter`
`static final int`
`DisallowedStatementInEarlyConstructionContext`
`static final int`
`DisallowedTargetForAnnotation`
`static final int`
`DisallowedTargetForContainerAnnotationType`
`static final int`
`DiscouragedReference`
`static final int`
`DiscouragedValueBasedTypeSynchronization`
`static final int`
`DuplicateAnnotation`
`static final int`
`DuplicateAnnotationMember`
`static final int`
`DuplicateAnnotationNotMarkedRepeatable`
`static final int`
`DuplicateBlankFinalFieldInitialization`
`static final int`
`DuplicateBoundInIntersectionCast`
`static final int`
`DuplicateBounds`
`static final int`
`DuplicateCase`
`static final int`
`DuplicateDefaultCase`
`static final int`
`DuplicateExplicitConstructorCall`
`static final int`
`DuplicateExports`
`static final int`
`DuplicateField`
`static final int`
`DuplicateFinalLocalInitialization`
`static final int`
`DuplicateImport`
`static final int`
`DuplicateInheritedDefaultMethods`
`static final int`
`DuplicateInheritedMethods`
`static final int`
`DuplicateLabel`
`static final int`
`DuplicateMethod`
`static final int`
`DuplicateMethodErasure`
`static final int`
`DuplicateModifierForArgument`
`static final int`
`DuplicateModifierForField`
`static final int`
`DuplicateModifierForMethod`
`static final int`
`DuplicateModifierForType`
`static final int`
`DuplicateModifierForVariable`
`static final int`
`DuplicateModuleRef`
`static final int`
`DuplicateNestedType`
`static final int`
`DuplicateOpens`
`static final int`
`DuplicateParameterizedMethods`
`static final int`
`DuplicateRequires`
`static final int`
`DuplicateResource`
`static final int`
`DuplicateServices`
`static final int`
`DuplicateSuperInterface`
`static final int`
`DuplicateTargetInTargetAnnotation`
`static final int`
`DuplicateTypes`
`static final int`
`DuplicateTypeVariable`
`static final int`
`DuplicateUses`
`static final int`
`EmptyControlFlowStatement`
`static final int`
`EnclosingInstanceInConstructorCall`
`static final int`
`EndOfSource`
`static final int`
`EnhancedSwitchMissingDefault`
`static final int`
`EnumAbstractMethodMustBeImplemented`
`static final int`
`EnumConstantCannotDefineAbstractMethod`
`static final int`
`EnumConstantMustImplementAbstractMethod`
`static final int`
`EnumConstantsCannotBeSurroundedByParenthesis`
`static final int`
`EnumStaticFieldInInInitializerContext`
`static final int`
`EnumSwitchCannotTargetField`
`static final int`
`ErrorUseOfUnderscoreAsAnIdentifier`
`static final int`
`ExceptionParameterIsNeverUsed`
`static final int`
`ExceptionTypeAmbiguous`
Deprecated.
- problem is no longer generated, use `AmbiguousType` instead
`static final int`
`ExceptionTypeInheritedNameHidesEnclosingName`
Deprecated.
- problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead
`static final int`
`ExceptionTypeInternalNameProvided`
Deprecated.
- problem is no longer generated, use `InternalTypeNameProvided` instead
`static final int`
`ExceptionTypeNotFound`
Deprecated.
- problem is no longer generated, use `UndefinedType` instead
`static final int`
`ExceptionTypeNotVisible`
Deprecated.
- problem is no longer generated, use `NotVisibleType` instead
`static final int`
`ExplicitAnnotationTargetRequired`
`static final int`
`ExplicitlyClosedAutoCloseable`
`static final int`
`ExplicitThisParameterNotBelow18`
`static final int`
`ExplicitThisParameterNotInLambda`
`static final int`
`ExportingForeignPackage`
`static final int`
`ExpressionInEarlyConstructionContext`
`static final int`
`ExpressionShouldBeAVariable`
`static final int`
`ExternalProblemFixable`
`static final int`
`ExternalProblemNotFixable`
`static final int`
`FallthroughCase`
`static final int`
`FalseConstantInGuard`
`static final int`
`FeatureNotSupported`
`static final int`
`FieldComparisonYieldsFalse`
`static final int`
`FieldHidingField`
`static final int`
`FieldHidingLocalVariable`
`static final int`
`FieldMissingDeprecatedAnnotation`
`static final int`
`FieldMustBeFinal`
`static final int`
`FieldReadInEarlyConstructionContext`
`static final int`
`FieldRelated`
`static final int`
`FieldTypeAmbiguous`
Deprecated.
- problem is no longer generated, use `AmbiguousType` instead
`static final int`
`FieldTypeInheritedNameHidesEnclosingName`
Deprecated.
- problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead
`static final int`
`FieldTypeInternalNameProvided`
Deprecated.
- problem is no longer generated, use `InternalTypeNameProvided` instead
`static final int`
`FieldTypeNotFound`
Deprecated.
- problem is no longer generated, use `UndefinedType` instead
`static final int`
`FieldTypeNotVisible`
Deprecated.
- problem is no longer generated, use `NotVisibleType` instead
`static final int`
`FinalBoundForTypeVariable`
`static final int`
`FinalFieldAssignment`
`static final int`
`FinallyMustCompleteNormally`
`static final int`
`FinalMethodCannotBeOverridden`
`static final int`
`FinalOuterLocalAssignment`
`static final int`
`ForbiddenReference`
`static final int`
`FunctionalInterfaceMayNotbeSealed`
`static final int`
`GenericConstructorTypeArgumentMismatch`
`static final int`
`GenericInferenceError`
`static final int`
`GenericMethodTypeArgumentMismatch`
`static final int`
`GenericTypeCannotExtendThrowable`
`static final int`
`HidingEnclosingType`
`static final int`
`HierarchyCircularity`
`static final int`
`HierarchyCircularitySelfReference`
`static final int`
`HierarchyHasProblems`
`static final int`
`IgnoreCategoriesMask`
Mask to use in order to filter out the category portion of the problem ID.
`static final int`
`IllegalAbstractModifierCombinationForMethod`
`static final int`
`IllegalAccessFromTypeVariable`
`static final int`
`IllegalAnnotationForBaseType`
`static final int`
`IllegalArrayOfUnionType`
`static final int`
`IllegalArrayTypeInIntersectionCast`
`static final int`
`IllegalBasetypeInIntersectionCast`
`static final int`
`IllegalCast`
`static final int`
`IllegalClassLiteralForTypeVariable`
`static final int`
`IllegalDeclarationOfThisParameter`
`static final int`
`IllegalDefaultModifierSpecification`
`static final int`
`IllegalDefinitionToNonNullParameter`
`static final int`
`IllegalDimension`
`static final int`
`IllegalEnclosingInstanceSpecification`
`static final int`
`IllegalExtendedDimensions`
`static final int`
`IllegalExtendedDimensionsForVarArgs`
`static final int`
`IllegalFallthroughFromAPattern`
`static final int`
`IllegalFallthroughToPattern`
`static final int`
`IllegalGenericArray`
`static final int`
`IllegalHexaLiteral`
`static final int`
`IllegalInstanceofParameterizedType`
`static final int`
`IllegalInstanceofTypeParameter`
`static final int`
`IllegalModifierCombinationFinalAbstractForClass`
`static final int`
`IllegalModifierCombinationFinalVolatileForField`
`static final int`
`IllegalModifierCombinationForInterfaceMethod`
`static final int`
`IllegalModifierCombinationForPrivateInterfaceMethod9`
`static final int`
`IllegalModifierCombinationForType`
`static final int`
`IllegalModifierForAnnotationField`
`static final int`
`IllegalModifierForAnnotationMemberType`
`static final int`
`IllegalModifierForAnnotationMethod`
`static final int`
`IllegalModifierForAnnotationType`
`static final int`
`IllegalModifierForArgument`
`static final int`
`IllegalModifierForClass`
`static final int`
`IllegalModifierForConstructor`
`static final int`
`IllegalModifierForEnum`
`static final int`
`IllegalModifierForEnumConstant`
`static final int`
`IllegalModifierForEnumConstructor`
`static final int`
`IllegalModifierForField`
`static final int`
`IllegalModifierForInterface`
`static final int`
`IllegalModifierForInterfaceField`
`static final int`
`IllegalModifierForInterfaceMethod`
`static final int`
`IllegalModifierForInterfaceMethod18`
`static final int`
`IllegalModifierForInterfaceMethod9`
`static final int`
`IllegalModifierForLocalClass`
`static final int`
`IllegalModifierForLocalEnum`
Deprecated.
- problem could not be reported, enums cannot be local takes precedence
`static final int`
`IllegalModifierForLocalEnumDeclaration`
`static final int`
`IllegalModifierForMemberClass`
`static final int`
`IllegalModifierForMemberEnum`
`static final int`
`IllegalModifierForMemberInterface`
`static final int`
`IllegalModifierForMethod`
`static final int`
`IllegalModifierForModule`
`static final int`
`IllegalModifierForPatternVariable`
`static final int`
`IllegalModifierForVariable`
`static final int`
`IllegalModifiers`
`static final int`
`IllegalModifiersForElidedType`
`static final int`
`IllegalParameterNullityRedefinition`
`static final int`
`IllegalPrimitiveOrArrayTypeForEnclosingInstance`
`static final int`
`IllegalQualifiedEnumConstantLabel`
`static final int`
`IllegalQualifiedParameterizedTypeAllocation`
`static final int`
`IllegalQualifierForExplicitThis`
`static final int`
`IllegalQualifierForExplicitThis2`
`static final int`
`IllegalRecordPattern`
`static final int`
`IllegalRedefinitionOfTypeVariable`
`static final int`
`IllegalRedefinitionToNonNullParameter`
`static final int`
`IllegalReturnNullityRedefinition`
`static final int`
`IllegalReturnNullityRedefinitionFreeTypeVariable`
`static final int`
`IllegalStaticModifierForMemberType`
`static final int`
`IllegalStrictfpForAbstractInterfaceMethod`
`static final int`
`IllegalTotalPatternWithDefault`
`static final int`
`IllegalTypeAnnotationsInStaticMemberAccess`
`static final int`
`IllegalTypeArgumentsInRawConstructorReference`
`static final int`
`IllegalTypeForExplicitThis`
`static final int`
`IllegalTypeVariableSuperReference`
`static final int`
`IllegalUnderscorePosition`
`static final int`
`IllegalUsageOfQualifiedTypeReference`
`static final int`
`IllegalUsageOfTypeAnnotations`
`static final int`
`IllegalUseOfUnderscoreAsAnIdentifier`
`static final int`
`IllegalVararg`
`static final int`
`IllegalVarargInLambda`
`static final int`
`IllegalVisibilityModifierCombinationForField`
`static final int`
`IllegalVisibilityModifierCombinationForMemberType`
`static final int`
`IllegalVisibilityModifierCombinationForMethod`
`static final int`
`IllegalVisibilityModifierForInterfaceMemberType`
`static final int`
`illFormedParameterizationOfFunctionalInterface`
`static final int`
`ImplicitClassMissingMainMethod`
`static final int`
`ImplicitObjectBoundNoNullDefault`
`static final int`
`ImportAmbiguous`
Deprecated.
- problem is no longer generated, use `AmbiguousType` instead
`static final int`
`ImportInheritedNameHidesEnclosingName`
Deprecated.
- problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead
`static final int`
`ImportInternalNameProvided`
Deprecated.
- problem is no longer generated, use `InternalTypeNameProvided` instead
`static final int`
`ImportNotFound`
`static final int`
`ImportNotVisible`
Deprecated.
- problem is no longer generated, use `NotVisibleType` instead
`static final int`
`ImportRelated`
`static final int`
`IncompatibleCaseType`
`static final int`
`IncompatibleExceptionInInheritedMethodThrowsClause`
`static final int`
`IncompatibleExceptionInThrowsClause`
`static final int`
`IncompatibleExceptionInThrowsClauseForNonInheritedInterfaceMethod`
`static final int`
`IncompatibleLambdaParameterType`
`static final int`
`IncompatibleMethodReference`
`static final int`
`IncompatibleReturnType`
`static final int`
`IncompatibleReturnTypeForNonInheritedInterfaceMethod`
`static final int`
`IncompatibleTypesInConditionalOperator`
`static final int`
`IncompatibleTypesInEqualityOperator`
`static final int`
`IncompatibleTypesInForeach`
`static final int`
`IncorrectArityForParameterizedConstructor`
`static final int`
`IncorrectArityForParameterizedMethod`
`static final int`
`IncorrectArityForParameterizedType`
`static final int`
`IncorrectEnclosingInstanceReference`
`static final int`
`IncorrectSwitchType`
`static final int`
`IncorrectSwitchType17`
`static final int`
`IndirectAccessToStaticField`
`static final int`
`IndirectAccessToStaticMethod`
`static final int`
`IndirectAccessToStaticType`
`static final int`
`InheritedDefaultMethodConflictsWithOtherInherited`
`static final int`
`InheritedFieldHidesEnclosingName`
`static final int`
`InheritedIncompatibleReturnType`
`static final int`
`InheritedMethodHidesEnclosingName`
`static final int`
`InheritedMethodReducesVisibility`
`static final int`
`InheritedParameterLackingNonNullAnnotation`
`static final int`
`InheritedTypeHidesEnclosingName`
`static final int`
`InitializerMustCompleteNormally`
`static final int`
`InstanceFieldDuringConstructorInvocation`
`static final int`
`InstanceMethodDuringConstructorInvocation`
`static final int`
`InterfaceAmbiguous`
Deprecated.
- problem is no longer generated, use `AmbiguousType` instead
`static final int`
`InterfaceCannotHaveConstructors`
`static final int`
`InterfaceCannotHaveInitializers`
`static final int`
`InterfaceInheritedNameHidesEnclosingName`
Deprecated.
- problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead
`static final int`
`InterfaceInternalNameProvided`
Deprecated.
- problem is no longer generated, use `InternalTypeNameProvided` instead
`static final int`
`InterfaceNotFound`
Deprecated.
- problem is no longer generated, use `UndefinedType` instead
`static final int`
`InterfaceNotFunctionalInterface`
`static final int`
`InterfaceNotVisible`
Deprecated.
- problem is no longer generated, use `NotVisibleType` instead
`static final int`
`InterfaceStaticMethodInvocationNotBelow18`
`static final int`
`InterfaceSuperInvocationNotBelow18`
`static final int`
`Internal`
`static final int`
`InternalTypeNameProvided`
`static final int`
`IntersectionCastNotBelow18`
`static final int`
`InvalidAnnotationMemberType`
`static final int`
`InvalidArrayConstructorReference`
`static final int`
`InvalidBinary`
`static final int`
`InvalidBreak`
`static final int`
`InvalidCatchBlockSequence`
`static final int`
`InvalidCharacterConstant`
`static final int`
`InvalidClassInstantiation`
`static final int`
`InvalidContinue`
`static final int`
`InvalidDigit`
`static final int`
`InvalidEncoding`
`static final int`
`InvalidEscape`
`static final int`
`InvalidExplicitConstructorCall`
`static final int`
`InvalidExpressionAsStatement`
`static final int`
`InvalidFileNameForPackageAnnotations`
`static final int`
`InvalidFloat`
`static final int`
`InvalidHexa`
`static final int`
`InvalidHighSurrogate`
`static final int`
`InvalidInput`
`static final int`
`InvalidLowSurrogate`
`static final int`
`InvalidNullToSynchronized`
`static final int`
`InvalidOctal`
`static final int`
`InvalidOpensStatement`
`static final int`
`InvalidOperator`
`static final int`
`InvalidParameterizedExceptionType`
`static final int`
`InvalidParenthesizedExpression`
`static final int`
`InvalidServiceImplType`
`static final int`
`InvalidServiceIntfType`
`static final int`
`InvalidTypeArguments`
`static final int`
`InvalidTypeExpression`
Deprecated.
- problem is no longer generated
`static final int`
`InvalidTypeForCollection`
`static final int`
`InvalidTypeForCollectionTarget14`
`static final int`
`InvalidTypeForStaticImport`
`static final int`
`InvalidTypeToSynchronized`
`static final int`
`InvalidTypeVariableExceptionType`
`static final int`
`InvalidUnaryExpression`
`static final int`
`InvalidUnicodeEscape`
`static final int`
`InvalidUnionTypeReferenceSequence`
`static final int`
`InvalidUsageOfAnnotationDeclarations`
`static final int`
`InvalidUsageOfAnnotations`
`static final int`
`InvalidUsageOfEnumDeclarations`
`static final int`
`InvalidUsageOfForeachStatements`
`static final int`
`InvalidUsageOfStaticImports`
`static final int`
`InvalidUsageOfTypeAnnotations`
`static final int`
`InvalidUsageOfTypeArguments`
`static final int`
`InvalidUsageOfTypeParameters`
`static final int`
`InvalidUsageOfTypeParametersForAnnotationDeclaration`
`static final int`
`InvalidUsageOfTypeParametersForEnumDeclaration`
`static final int`
`InvalidUsageOfVarargs`
`static final int`
`InvalidUsageOfWildcard`
`static final int`
`InvalidVoidExpression`
`static final int`
`IsClassPathCorrect`
`static final int`
`IsClassPathCorrectWithReferencingType`
`static final int`
`Javadoc`
`static final int`
`JavadocAmbiguousConstructor`
`static final int`
`JavadocAmbiguousField`
`static final int`
`JavadocAmbiguousMethod`
`static final int`
`JavadocAmbiguousMethodReference`
`static final int`
`JavadocAmbiguousType`
`static final int`
`JavadocDuplicateParamName`
`static final int`
`JavadocDuplicateProvidesTag`
`static final int`
`JavadocDuplicateReturnTag`
`static final int`
`JavadocDuplicateTag`
Problem warned on duplicated tag.
`static final int`
`JavadocDuplicateThrowsClassName`
`static final int`
`JavadocDuplicateUsesTag`
`static final int`
`JavadocEmptyReturnTag`
`static final int`
`JavadocGenericConstructorTypeArgumentMismatch`
`static final int`
`JavadocGenericMethodTypeArgumentMismatch`
`static final int`
`JavadocHiddenReference`
Problem signaled on an hidden reference due to a too low visibility level.
`static final int`
`JavadocIncorrectArityForParameterizedConstructor`
`static final int`
`JavadocIncorrectArityForParameterizedMethod`
`static final int`
`JavadocInheritedFieldHidesEnclosingName`
`static final int`
`JavadocInheritedMethodHidesEnclosingName`
`static final int`
`JavadocInheritedNameHidesEnclosingTypeName`
`static final int`
`JavadocInternalTypeNameProvided`
`static final int`
`JavadocInvalidMemberTypeQualification`
Problem signaled on an invalid qualification for member type reference.
`static final int`
`JavadocInvalidModule`
`static final int`
`JavadocInvalidModuleQualification`
`static final int`
`JavadocInvalidParamName`
`static final int`
`JavadocInvalidParamTagName`
`static final int`
`JavadocInvalidParamTagTypeParameter`
`static final int`
`JavadocInvalidProvidesClass`
`static final int`
`JavadocInvalidProvidesClassName`
`static final int`
`JavadocInvalidSeeArgs`
`static final int`
`JavadocInvalidSeeHref`
Problem signaled on an invalid URL reference that does not conform to the href syntax.
`static final int`
`JavadocInvalidSeeReference`
`static final int`
`JavadocInvalidSeeUrlReference`
Problem signaled on an invalid URL reference.
`static final int`
`JavadocInvalidSnippet`
`static final int`
`JavadocInvalidSnippetContentNewLine`
`static final int`
`JavadocInvalidSnippetDuplicateRegions`
`static final int`
`JavadocInvalidSnippetMissingColon`
`static final int`
`JavadocInvalidSnippetRegexSubstringTogether`
`static final int`
`JavadocInvalidSnippetRegionNotClosed`
`static final int`
`JavadocInvalidTag`
`static final int`
`JavadocInvalidThrowsClass`
`static final int`
`JavadocInvalidThrowsClassName`
`static final int`
`JavadocInvalidUsesClass`
`static final int`
`JavadocInvalidUsesClassName`
`static final int`
`JavadocInvalidValueReference`
`static final int`
`JavadocMalformedSeeReference`
`static final int`
`JavadocMessagePrefix`
`static final int`
`JavadocMissing`
`static final int`
`JavadocMissingHashCharacter`
`static final int`
`JavadocMissingIdentifier`
`static final int`
`JavadocMissingParamName`
`static final int`
`JavadocMissingParamTag`
`static final int`
`JavadocMissingProvidesClassName`
`static final int`
`JavadocMissingProvidesTag`
`static final int`
`JavadocMissingReturnTag`
`static final int`
`JavadocMissingSeeReference`
`static final int`
`JavadocMissingTagDescription`
Problem warned on missing tag description.
`static final int`
`JavadocMissingThrowsClassName`
`static final int`
`JavadocMissingThrowsTag`
`static final int`
`JavadocMissingUsesClassName`
`static final int`
`JavadocMissingUsesTag`
`static final int`
`JavadocNoMessageSendOnArrayType`
`static final int`
`JavadocNoMessageSendOnBaseType`
`static final int`
`JavadocNonGenericConstructor`
`static final int`
`JavadocNonGenericMethod`
`static final int`
`JavadocNonStaticTypeFromStaticInvocation`
`static final int`
`JavadocNotAccessibleType`
`static final int`
`JavadocNotVisibleConstructor`
`static final int`
`JavadocNotVisibleField`
`static final int`
`JavadocNotVisibleMethod`
`static final int`
`JavadocNotVisibleType`
`static final int`
`JavadocParameterizedConstructorArgumentTypeMismatch`
`static final int`
`JavadocParameterizedMethodArgumentTypeMismatch`
`static final int`
`JavadocParameterMismatch`
`static final int`
`JavadocTypeArgumentsForRawGenericConstructor`
`static final int`
`JavadocTypeArgumentsForRawGenericMethod`
`static final int`
`JavadocUndefinedConstructor`
`static final int`
`JavadocUndefinedField`
`static final int`
`JavadocUndefinedMethod`
`static final int`
`JavadocUndefinedType`
`static final int`
`JavadocUnexpectedTag`
`static final int`
`JavadocUnexpectedText`
`static final int`
`JavadocUnterminatedInlineTag`
`static final int`
`JavadocUsingDeprecatedConstructor`
`static final int`
`JavadocUsingDeprecatedField`
`static final int`
`JavadocUsingDeprecatedMethod`
`static final int`
`JavadocUsingDeprecatedType`
`static final int`
`JavaVersionNotSupported`
`static final int`
`JavaVersionTooRecent`
`static final int`
`LambdaDescriptorMentionsUnmentionable`
`static final int`
`LambdaExpressionNotBelow18`
`static final int`
`LambdaParameterIsNeverUsed`
`static final int`
`lambdaParameterTypeMismatched`
`static final int`
`LambdaRedeclaresArgument`
`static final int`
`LambdaRedeclaresLocal`
`static final int`
`LambdaShapeComputationError`
Deprecated.
- problem is no longer generated (implementation issue has been resolved)
`static final int`
`lambdaSignatureMismatched`
`static final int`
`LocalReferencedInGuardMustBeEffectivelyFinal`
`static final int`
`LocalStaticsIllegalVisibilityModifierForInterfaceLocalType`
`static final int`
`LocalVariableCannotBeNull`
Deprecated.
- problem is no longer generated, use `RedundantNullCheckOnNonNullLocalVariable` instead
`static final int`
`LocalVariableCanOnlyBeNull`
Deprecated.
- problem is no longer generated, use `NullLocalVariableReference`, `RedundantNullCheckOnNullLocalVariable` or `RedundantLocalVariableNullAssignment` instead
`static final int`
`LocalVariableHidingField`
`static final int`
`LocalVariableHidingLocalVariable`
`static final int`
`LocalVariableIsNeverUsed`
`static final int`
`LocalVariableMayBeNull`
Deprecated.
- problem is no longer generated, use `PotentialNullLocalVariableReference` instead
`static final int`
`MandatoryCloseNotShown`
`static final int`
`MandatoryCloseNotShownAtExit`
`static final int`
`MaskedCatch`
`static final int`
`MessageSendInEarlyConstructionContext`
`static final int`
`MethodButWithConstructorName`
`static final int`
`MethodCanBePotentiallyStatic`
`static final int`
`MethodCanBeStatic`
`static final int`
`MethodMissingDeprecatedAnnotation`
`static final int`
`MethodMustOverride`
`static final int`
`MethodMustOverrideOrImplement`
`static final int`
`MethodNameClash`
`static final int`
`MethodNameClashHidden`
`static final int`
`MethodReducesVisibility`
`static final int`
`MethodReferenceNotBelow18`
`static final int`
`MethodReferenceSwingsBothWays`
`static final int`
`MethodRelated`
`static final int`
`MethodRequiresBody`
`static final int`
`MethodReturnsVoid`
`static final int`
`MethodVarargsArgumentNeedCast`
`static final int`
`MisplacedTypeAnnotations`
`static final int`
`MissingArgumentsForParameterizedMemberType`
`static final int`
`MissingDefaultCase`
`static final int`
`MissingEnclosingInstance`
`static final int`
`MissingEnclosingInstanceForConstructorCall`
Inner types related problems
`static final int`
`MissingEnumConstantCase`
`static final int`
`MissingEnumConstantCaseDespiteDefault`
`static final int`
`MissingEnumDefaultCase`
`static final int`
`MissingNonNullByDefaultAnnotationOnPackage`
`static final int`
`MissingNonNullByDefaultAnnotationOnType`
`static final int`
`MissingNullAnnotationImplicitlyUsed`
`static final int`
`MissingOverrideAnnotation`
`static final int`
`MissingOverrideAnnotationForInterfaceMethodImplementation`
`static final int`
`MissingRequiresTransitiveForTypeInAPI`
`static final int`
`MissingReturnType`
`static final int`
`MissingSemiColon`
`static final int`
`MissingSerialVersion`
`static final int`
`MissingSynchronizedModifierInInheritedMethod`
`static final int`
`MissingTypeInConstructor`
`static final int`
`MissingTypeInLambda`
`static final int`
`MissingTypeInMethod`
`static final int`
`MissingValueForAnnotationMember`
`static final int`
`MissingValueFromLambda`
`static final int`
`ModuleNotRead`
`static final int`
`ModuleRelated`
`static final int`
`MultiCatchNotBelow17`
`static final int`
`MultiConstantCaseLabelsNotSupported`
`static final int`
`MultipleFunctionalInterfaces`
Deprecated.
This problem is no longer reported; number Of functional interface is not an issue, number of abstract methods is.
`static final int`
`MustDefineEitherDimensionExpressionsOrInitializer`
`static final int`
`MustSpecifyPackage`
Deprecated.
- problem is no longer generated
`static final int`
`NamedPatternVariablesDisallowedHere`
`static final int`
`NativeMethodsCannotBeStrictfp`
`static final int`
`NeedToEmulateConstructorAccess`
`static final int`
`NeedToEmulateFieldReadAccess`
`static final int`
`NeedToEmulateFieldWriteAccess`
`static final int`
`NeedToEmulateMethodAccess`
`static final int`
`NestedServiceImpl`
`static final int`
`NoAdditionalBoundAfterTypeVariable`
`static final int`
`NoFieldOnBaseType`
`static final int`
`NoGenericLambda`
`static final int`
`NoImplicitStringConversionForCharArrayExpression`
`static final int`
`NoMessageSendOnArrayType`
`static final int`
`NoMessageSendOnBaseType`
`static final int`
`NonBlankFinalLocalAssignment`
`static final int`
`NonConstantExpression`
`static final int`
`NonDenotableTypeArgumentForAnonymousDiamond`
`static final int`
`NonExternalizedStringLiteral`
`static final int`
`NonGenericConstructor`
`static final int`
`NonGenericMethod`
`static final int`
`NonGenericType`
`static final int`
`NonNullArrayContentNotInitialized`
`static final int`
`NonNullDefaultDetailIsNotEvaluated`
`static final int`
`NonNullExpressionComparisonYieldsFalse`
`static final int`
`NonNullLocalVariableComparisonYieldsFalse`
`static final int`
`NonNullMessageSendComparisonYieldsFalse`
`static final int`
`NonNullMethodTypeVariableFromLegacyMethod`
`static final int`
`NonNullSpecdFieldComparisonYieldsFalse`
`static final int`
`NonNullTypeVariableFromLegacyMethod`
`static final int`
`NonPublicTypeInAPI`
`static final int`
`NonStaticAccessToStaticField`
`static final int`
`NonStaticAccessToStaticMethod`
`static final int`
`NonStaticContextForEnumMemberType`
`static final int`
`NonStaticFieldFromStaticInvocation`
`static final int`
`NonStaticOrAlienTypeReceiver`
`static final int`
`NonStaticTypeFromStaticInvocation`
`static final int`
`NoSuperInInterfaceContext`
`static final int`
`NotAccessibleConstructor`
`static final int`
`NotAccessibleField`
`static final int`
`NotAccessibleMethod`
`static final int`
`NotAccessiblePackage`
`static final int`
`NotAccessibleType`
`static final int`
`NotAnnotationType`
`static final int`
`NotExportedTypeInAPI`
`static final int`
`NotOwningResourceField`
`static final int`
`NotVisibleConstructor`
`static final int`
`NotVisibleConstructorInDefaultConstructor`
`static final int`
`NotVisibleConstructorInImplicitConstructorCall`
`static final int`
`NotVisibleField`
`static final int`
`NotVisibleMethod`
`static final int`
`NotVisibleType`
`static final int`
`NullableFieldReference`
`static final int`
`NullAnnotationAtQualifyingType`
`static final int`
`NullAnnotationUnsupportedLocation`
`static final int`
`NullAnnotationUnsupportedLocationAtType`
`static final int`
`NullExpressionReference`
`static final int`
`NullityMismatchAgainstFreeTypeVariable`
`static final int`
`NullityMismatchingTypeAnnotation`
`static final int`
`NullityMismatchingTypeAnnotationSuperHint`
`static final int`
`NullityMismatchTypeArgument`
`static final int`
`NullityUncheckedTypeAnnotation`
Both `NullityUncheckedTypeAnnotationDetail` and `NullityUncheckedTypeAnnotation` signal that unchecked conversion is needed to pass a value between annotated and un-annotated code.
`static final int`
`NullityUncheckedTypeAnnotationDetail`
`static final int`
`NullityUncheckedTypeAnnotationDetailSuperHint`
`static final int`
`NullLocalVariableComparisonYieldsFalse`
`static final int`
`NullLocalVariableInstanceofYieldsFalse`
`static final int`
`NullLocalVariableReference`
`static final int`
`NullNotCompatibleToFreeTypeVariable`
`static final int`
`NullSourceString`
`static final int`
`NullUnboxing`
`static final int`
`NumericValueOutOfRange`
`static final int`
`ObjectCannotBeGeneric`
`static final int`
`ObjectCannotHaveSuperTypes`
`static final int`
`ObjectHasNoSuperclass`
General type related problems
`static final int`
`ObjectMustBeClass`
`static final int`
`OperandStackExceeds64KLimit`
`static final int`
`OperandStackSizeInappropriate`
`static final int`
`OuterLocalMustBeEffectivelyFinal`
`static final int`
`OuterLocalMustBeFinal`
`static final int`
`OverrideAddingReturnOwning`
`static final int`
`OverrideReducingParamterOwning`
`static final int`
`OverridingDeprecatedMethod`
`static final int`
`OverridingDeprecatedSinceVersionMethod`
`static final int`
`OverridingMethodWithoutSuperInvocation`
`static final int`
`OverridingNonVisibleMethod`
`static final int`
`OverridingTerminallyDeprecatedMethod`
`static final int`
`OverridingTerminallyDeprecatedSinceVersionMethod`
`static final int`
`OwningFieldInNonResourceClass`
`static final int`
`OwningFieldShouldImplementClose`
`static final int`
`PackageCollidesWithType`
`static final int`
`PackageDoesNotExistOrIsEmpty`
`static final int`
`PackageIsNotExpectedPackage`
`static final int`
`ParameterAssignment`
`static final int`
`ParameterizedConstructorArgumentTypeMismatch`
`static final int`
`ParameterizedMethodArgumentTypeMismatch`
`static final int`
`ParameterLackingNonNullAnnotation`
`static final int`
`ParameterLackingNullableAnnotation`
`static final int`
`ParameterMismatch`
`static final int`
`ParsingError`
`static final int`
`ParsingErrorDeleteToken`
`static final int`
`ParsingErrorDeleteTokens`
`static final int`
`ParsingErrorInsertToComplete`
`static final int`
`ParsingErrorInsertToCompletePhrase`
`static final int`
`ParsingErrorInsertToCompleteScope`
`static final int`
`ParsingErrorInsertTokenAfter`
`static final int`
`ParsingErrorInsertTokenBefore`
`static final int`
`ParsingErrorInvalidToken`
`static final int`
`ParsingErrorMergeTokens`
`static final int`
`ParsingErrorMisplacedConstruct`
`static final int`
`ParsingErrorNoSuggestion`
`static final int`
`ParsingErrorNoSuggestionForTokens`
`static final int`
`ParsingErrorOnKeyword`
`static final int`
`ParsingErrorOnKeywordNoSuggestion`
`static final int`
`ParsingErrorReplaceTokens`
`static final int`
`ParsingErrorUnexpectedEOF`
`static final int`
`PatternDominated`
`static final int`
`PatternSubtypeOfExpression`
Deprecated.
`static final int`
`PatternSwitchCaseDefaultOnlyAsSecond`
`static final int`
`PatternSwitchNullOnlyOrFirstWithDefault`
`static final int`
`PatternTypeMismatch`
`static final int`
`PatternVariableNotInScope`
Deprecated.
problem no longer generated
`static final int`
`PatternVariableRedeclared`
`static final int`
`PatternVariableRedefined`
`static final int`
`PolymorphicMethodNotBelow17`
`static final int`
`PossibleAccidentalBooleanAssignment`
`static final int`
`PotentialHeapPollutionFromVararg`
`static final int`
`PotentiallyUnclosedCloseable`
`static final int`
`PotentiallyUnclosedCloseableAtExit`
`static final int`
`PotentialNullExpressionReference`
`static final int`
`PotentialNullLocalVariableReference`
`static final int`
`PotentialNullMessageSendReference`
`static final int`
`PotentialNullUnboxing`
`static final int`
`PreviewAPIUsed`
`static final int`
`PreviewFeatureDisabled`
`static final int`
`PreviewFeatureNotSupported`
`static final int`
`PreviewFeaturesNotAllowed`
`static final int`
`PreviewFeatureUsed`
`static final int`
`PreviewRelated`
`static final int`
`ProblemNotAnalysed`
`static final int`
`ProviderMethodOrConstructorRequiredForServiceImpl`
`static final int`
`PublicClassMustMatchFileName`
`static final int`
`RawMemberTypeCannotBeParameterized`
`static final int`
`RawTypeInRecordPattern`
Deprecated.
`static final int`
`RawTypeReference`
`static final int`
`RecordAccessorMethodHasThrowsClause`
`static final int`
`RecordAccessorMethodShouldBePublic`
`static final int`
`RecordAccessorMethodShouldNotBeGeneric`
`static final int`
`RecordAccessorMethodShouldNotBeStatic`
`static final int`
`RecordCannotDefineRecordInLocalType`
`static final int`
`RecordCannotExtendRecord`
`static final int`
`RecordCanonicalConstructorHasExplicitConstructorCall`
`static final int`
`RecordCanonicalConstructorHasReturnStatement`
`static final int`
`RecordCanonicalConstructorHasThrowsClause`
`static final int`
`RecordCanonicalConstructorShouldNotBeGeneric`
`static final int`
`RecordCanonicalConstructorVisibilityReduced`
`static final int`
`RecordCompactConstructorHasExplicitConstructorCall`
`static final int`
`RecordCompactConstructorHasReturnStatement`
`static final int`
`RecordComponentCannotBeVoid`
`static final int`
`RecordComponentsCannotHaveModifiers`
`static final int`
`RecordDuplicateComponent`
`static final int`
`RecordErasureIncompatibilityInCanonicalConstructor`
`static final int`
`RecordIllegalAccessorReturnType`
`static final int`
`RecordIllegalComponentNameInRecord`
`static final int`
`RecordIllegalExplicitFinalFieldAssignInCompactConstructor`
`static final int`
`RecordIllegalExtendedDimensionsForRecordComponent`
`static final int`
`RecordIllegalModifierForInnerRecord`
`static final int`
`RecordIllegalModifierForLocalRecord`
`static final int`
`RecordIllegalModifierForRecord`
`static final int`
`RecordIllegalNativeModifierInRecord`
`static final int`
`RecordIllegalParameterNameInCanonicalConstructor`
`static final int`
`RecordIllegalStaticModifierForLocalClassOrInterface`
`static final int`
`RecordIllegalVararg`
`static final int`
`RecordInstanceInitializerBlockInRecord`
`static final int`
`RecordMissingExplicitConstructorCallInNonCanonicalConstructor`
`static final int`
`RecordMultipleCanonicalConstructors`
`static final int`
`RecordNestedRecordInherentlyStatic`
`static final int`
`RecordNonStaticFieldDeclarationInRecord`
`static final int`
`RecordPatternMismatch`
`static final int`
`RecordStaticReferenceToOuterLocalVariable`
`static final int`
`RecursiveConstructorInvocation`
`static final int`
`RedefinedArgument`
`static final int`
`RedefinedLocal`
`static final int`
`RedundantLocalVariableNullAssignment`
`static final int`
`RedundantNullAnnotation`
`static final int`
`RedundantNullCheckAgainstNonNullType`
`static final int`
`RedundantNullCheckOnConstNonNullField`
`static final int`
`RedundantNullCheckOnField`
`static final int`
`RedundantNullCheckOnNonNullExpression`
`static final int`
`RedundantNullCheckOnNonNullLocalVariable`
`static final int`
`RedundantNullCheckOnNonNullMessageSend`
`static final int`
`RedundantNullCheckOnNonNullSpecdField`
`static final int`
`RedundantNullCheckOnNullLocalVariable`
`static final int`
`RedundantNullCheckOnSpecdNonNullLocalVariable`
`static final int`
`RedundantNullDefaultAnnotation`
`static final int`
`RedundantNullDefaultAnnotationField`
`static final int`
`RedundantNullDefaultAnnotationLocal`
`static final int`
`RedundantNullDefaultAnnotationMethod`
`static final int`
`RedundantNullDefaultAnnotationModule`
`static final int`
`RedundantNullDefaultAnnotationPackage`
`static final int`
`RedundantNullDefaultAnnotationType`
`static final int`
`RedundantSpecificationOfTypeArguments`
`static final int`
`RedundantSuperinterface`
`static final int`
`ReferenceExpressionParameterNullityMismatch`
`static final int`
`ReferenceExpressionParameterNullityUnchecked`
`static final int`
`ReferenceExpressionReturnNullRedef`
`static final int`
`ReferenceExpressionReturnNullRedefUnchecked`
`static final int`
`ReferenceToForwardField`
`static final int`
`ReferenceToForwardTypeVariable`
`static final int`
`RepeatableAnnotationTypeIsDocumented`
`static final int`
`RepeatableAnnotationTypeIsInherited`
`static final int`
`RepeatableAnnotationTypeTargetMismatch`
`static final int`
`RepeatableAnnotationWithRepeatingContainerAnnotation`
`static final int`
`RepeatedAnnotationWithContainerAnnotation`
`static final int`
`RequiredNonNullButProvidedFreeTypeVariable`
`static final int`
`RequiredNonNullButProvidedNull`
`static final int`
`RequiredNonNullButProvidedPotentialNull`
`static final int`
`RequiredNonNullButProvidedSpecdNullable`
`static final int`
`RequiredNonNullButProvidedUnknown`
`static final int`
`ResourceHasToImplementAutoCloseable`
`static final int`
`ResourceIsNotAValue`
`static final int`
`RestrictedTypeName`
`static final int`
`ReturnTypeAmbiguous`
Deprecated.
- problem is no longer generated, use `AmbiguousType` instead
`static final int`
`ReturnTypeCannotBeVoidArray`
Deprecated.
- problem is no longer generated, use `CannotAllocateVoidArray` instead
`static final int`
`ReturnTypeInheritedNameHidesEnclosingName`
Deprecated.
- problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead
`static final int`
`ReturnTypeInternalNameProvided`
Deprecated.
- problem is no longer generated, use `InternalTypeNameProvided` instead
`static final int`
`ReturnTypeMismatch`
`static final int`
`ReturnTypeNotFound`
Deprecated.
- problem is no longer generated, use `UndefinedType` instead
`static final int`
`ReturnTypeNotVisible`
Deprecated.
- problem is no longer generated, use `NotVisibleType` instead
`static final int`
`SafeVarargsOnFixedArityMethod`
`static final int`
`SafeVarargsOnNonFinalInstanceMethod`
`static final int`
`SafeVarargsOnSyntheticRecordAccessor`
`static final int`
`SealedAnonymousClassCannotExtendSealedType`
`static final int`
`SealedDisAllowedNonSealedModifierInClass`
`static final int`
`SealedDisAllowedNonSealedModifierInInterface`
`static final int`
`SealedDuplicateTypeInPermits`
`static final int`
`SealedInterfaceIsSealedAndNonSealed`
Deprecated.
problem no longer generated
`static final int`
`SealedLocalDirectSuperTypeSealed`
`static final int`
`SealedMissingClassModifier`
`static final int`
`SealedMissingInterfaceModifier`
`static final int`
`SealedMissingSealedModifier`
`static final int`
`SealedNotDirectSuperClass`
`static final int`
`SealedNotDirectSuperInterface`
`static final int`
`SealedPermittedTypeOutsideOfModule`
`static final int`
`SealedPermittedTypeOutsideOfPackage`
`static final int`
`SealedSealedTypeMissingPermits`
`static final int`
`SealedSuperClassDoesNotPermit`
`static final int`
`SealedSuperInterfaceDoesNotPermit`
`static final int`
`SealedSuperTypeDisallowed`
Deprecated.
problem no longer generated
`static final int`
`SealedSuperTypeInDifferentPackage`
Deprecated.
problem no longer generated
`static final int`
`ServiceImplDefaultConstructorNotPublic`
`static final int`
`ServiceImplNotDefinedByModule`
`static final int`
`ShouldImplementHashcode`
`static final int`
`ShouldMarkMethodAsOwning`
`static final int`
`ShouldReturnValue`
`static final int`
`ShouldReturnValueHintMissingDefault`
`static final int`
`SpecdNonNullLocalVariableComparisonYieldsFalse`
`static final int`
`StaticInheritedMethodConflicts`
`static final int`
`StaticInterfaceMethodNotBelow18`
`static final int`
`StaticMemberOfParameterizedType`
`static final int`
`StaticMethodRequested`
`static final int`
`StaticMethodShouldBeAccessedStatically`
`static final int`
`StaticResourceField`
`static final int`
`StrictfpNotRequired`
Modifiers
`static final int`
`StringConstantIsExceedingUtf8Limit`
`static final int`
`SuperAccessCannotBypassDirectSuper`
`static final int`
`SuperCallCannotBypassOverride`
`static final int`
`SuperclassAmbiguous`
Deprecated.
- problem is no longer generated, use `AmbiguousType` instead
`static final int`
`SuperclassInheritedNameHidesEnclosingName`
Deprecated.
- problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead
`static final int`
`SuperclassInternalNameProvided`
Deprecated.
- problem is no longer generated, use `InternalTypeNameProvided` instead
`static final int`
`SuperclassMustBeAClass`
`static final int`
`SuperclassNotFound`
Deprecated.
- problem is no longer generated, use `UndefinedType` instead
`static final int`
`SuperclassNotVisible`
Deprecated.
- problem is no longer generated, use `NotVisibleType` instead
`static final int`
`SuperFieldAssignInEarlyConstructionContext`
`static final int`
`SuperfluousSemicolon`
`static final int`
`SuperInterfaceMustBeAnInterface`
`static final int`
`SuperInterfacesCollide`
`static final int`
`SuperTypeUsingWildcard`
`static final int`
`SwitchExpressionaYieldSwitchLabeledBlockCompletesNormally`
`static final int`
`SwitchExpressionBreakMissingValue`
Deprecated.
preview related error - will be removed
`static final int`
`SwitchExpressionIllegalLastStatement`
Deprecated.
preview related error - will be removed
`static final int`
`SwitchExpressionLastStatementCompletesNormally`
Deprecated.
preview related error - will be removed
`static final int`
`SwitchExpressionMissingDefaultCase`
Deprecated.
preview related error - will be removed
`static final int`
`SwitchExpressionMissingEnumConstantCase`
Deprecated.
preview related error - will be removed
`static final int`
`SwitchExpressionsBreakOutOfSwitchExpression`
`static final int`
`SwitchExpressionsContinueOutOfSwitchExpression`
`static final int`
`SwitchExpressionsEmptySwitchBlock`
Deprecated.
preview related error - will be removed
`static final int`
`SwitchExpressionsIncompatibleResultExpressionTypes`
Deprecated.
preview related error - will be removed
`static final int`
`SwitchExpressionsNoResultExpression`
Deprecated.
preview related error - will be removed
`static final int`
`SwitchExpressionsNotSupported`
`static final int`
`SwitchExpressionsReturnWithinSwitchExpression`
`static final int`
`SwitchExpressionSwitchLabeledBlockCompletesNormally`
Deprecated.
preview related error - will be removed
`static final int`
`SwitchExpressionsYieldBreakNotAllowed`
Deprecated.
no longer issued - will be removed
`static final int`
`SwitchExpressionsYieldEmptySwitchBlock`
Deprecated.
no longer issued - will be removed
`static final int`
`SwitchExpressionsYieldIllegalLastStatement`
Deprecated.
no longer issued - will be removed
`static final int`
`SwitchExpressionsYieldIllegalStatement`
Deprecated.
no longer issued - will be removed
`static final int`
`SwitchExpressionsYieldIncompatibleResultExpressionTypes`
`static final int`
`SwitchExpressionsYieldLastStatementCompletesNormally`
Deprecated.
no longer issued - will be removed
`static final int`
`SwitchExpressionsYieldMissingDefaultCase`
`static final int`
`SwitchExpressionsYieldMissingEnumConstantCase`
`static final int`
`SwitchExpressionsYieldMissingValue`
Deprecated.
no longer issued - will be removed
`static final int`
`SwitchExpressionsYieldNoResultExpression`
`static final int`
`SwitchExpressionsYieldOutsideSwitchExpression`
`static final int`
`SwitchExpressionsYieldRestrictedGeneralWarning`
Deprecated.
no longer issued - will be removed
`static final int`
`SwitchExpressionsYieldTrailingSwitchLabels`
Deprecated.
no longer issued - will be removed
`static final int`
`SwitchExpressionsYieldTypeDeclarationError`
Deprecated.
no longer issued - will be removed
`static final int`
`SwitchExpressionsYieldTypeDeclarationWarning`
Deprecated.
no longer issued - will be removed
`static final int`
`SwitchExpressionsYieldUnqualifiedMethodError`
`static final int`
`SwitchExpressionsYieldUnqualifiedMethodWarning`
Deprecated.
no longer issued - will be removed
`static final int`
`SwitchExpressionTrailingSwitchLabels`
Deprecated.
preview related error - will be removed
`static final int`
`switchMixedCase`
Deprecated.
preview related error - will be removed
`static final int`
`SwitchOnEnumNotBelow15`
`static final int`
`SwitchOnStringsNotBelow17`
`static final int`
`SwitchPreviewMixedCase`
`static final int`
`Syntax`
`static final int`
`SyntheticAccessorNotEnclosingMethod`
`static final int`
`TargetTypeNotAFunctionalInterface`
`static final int`
`Task`
`static final int`
`ThisInEarlyConstructionContext`
`static final int`
`ThisInStaticContext`
`static final int`
`ThisSuperDuringConstructorInvocation`
`static final int`
`ToleratedMisplacedTypeAnnotations`
`static final int`
`TooManyArgumentSlots`
`static final int`
`TooManyArrayDimensions`
`static final int`
`TooManyBytesForStringConstant`
`static final int`
`TooManyConstantsInConstantPool`
`static final int`
`TooManyFields`
`static final int`
`TooManyLocalVariableSlots`
`static final int`
`TooManyMethods`
`static final int`
`TooManyParametersForSyntheticMethod`
`static final int`
`TooManySyntheticArgumentSlots`
`static final int`
`TypeAnnotationAtQualifiedName`
`static final int`
`TypeArgumentMismatch`
`static final int`
`TypeArgumentsForRawGenericConstructor`
`static final int`
`TypeArgumentsForRawGenericMethod`
`static final int`
`TypeCollidesWithPackage`
`static final int`
`TypeHidingType`
`static final int`
`TypeHidingTypeParameterFromMethod`
`static final int`
`TypeHidingTypeParameterFromType`
`static final int`
`TypeMismatch`
`static final int`
`TypeMissingDeprecatedAnnotation`
`static final int`
`TypeParameterHidingType`
`static final int`
`TypeRelated`
Problem Categories The high bits of a problem ID contains information about the category of a problem.
`static final int`
`UnboxingConversion`
`static final int`
`UncheckedAccessOfValueOfFreeTypeVariable`
`static final int`
`Unclassified`
ID reserved for referencing an internal error inside the JavaCore implementation which may be surfaced as a problem associated with the compilation unit which caused it to occur.
`static final int`
`UnclosedCloseable`
`static final int`
`UnclosedCloseableAtExit`
`static final int`
`UndefinedAnnotationMember`
`static final int`
`UndefinedConstructor`
`static final int`
`UndefinedConstructorInDefaultConstructor`
`static final int`
`UndefinedConstructorInImplicitConstructorCall`
`static final int`
`UndefinedField`
`static final int`
`UndefinedLabel`
`static final int`
`UndefinedMethod`
`static final int`
`UndefinedModule`
`static final int`
`UndefinedModuleAddReads`
`static final int`
`UndefinedName`
`static final int`
`UndefinedType`
`static final int`
`UndefinedTypeVariable`
`static final int`
`UnderscoreCannotBeUsedHere`
`static final int`
`UnderscoresInLiteralsNotBelow17`
`static final int`
`UndocumentedEmptyBlock`
`static final int`
`UnexpectedStaticModifierForField`
`static final int`
`UnexpectedStaticModifierForMethod`
`static final int`
`UnexpectedTypeinRecordPattern`
`static final int`
`UnexpectedTypeinSwitchPattern`
`static final int`
`UnhandledException`
`static final int`
`UnhandledExceptionInDefaultConstructor`
`static final int`
`UnhandledExceptionInImplicitConstructorCall`
`static final int`
`UnhandledExceptionOnAutoClose`
`static final int`
`UnhandledWarningToken`
`static final int`
`UninitializedBlankFinalField`
`static final int`
`UninitializedBlankFinalFieldHintMissingDefault`
`static final int`
`UninitializedFreeTypeVariableField`
`static final int`
`UninitializedFreeTypeVariableFieldHintMissingDefault`
`static final int`
`UninitializedLocalVariable`
`static final int`
`UninitializedLocalVariableHintMissingDefault`
`static final int`
`UninitializedNonNullField`
`static final int`
`UninitializedNonNullFieldHintMissingDefault`
`static final int`
`UninternedIdentityComparison`
`static final int`
`UnlikelyCollectionMethodArgumentType`
`static final int`
`UnlikelyEqualsArgumentType`
`static final int`
`UnmatchedBracket`
`static final int`
`UnnamedPackageInNamedModule`
`static final int`
`UnnamedVariableMustHaveInitializer`
`static final int`
`UnnecessaryArgumentCast`
Deprecated.
- no longer generated, use `UnnecessaryCast` instead
`static final int`
`UnnecessaryCast`
`static final int`
`UnnecessaryElse`
`static final int`
`UnnecessaryInstanceof`
`static final int`
`UnnecessaryNLSTag`
`static final int`
`UnnecessaryNullCaseInSwitchOverNonNull`
`static final int`
`UnqualifiedFieldAccess`
`static final int`
`UnreachableCatch`
`static final int`
`UnresolvedVariable`
`static final int`
`UnsafeCast`
`static final int`
`UnsafeElementTypeConversion`
`static final int`
`UnsafeGenericArrayForVarargs`
`static final int`
`UnsafeGenericCast`
`static final int`
`UnsafeNullnessCast`
`static final int`
`UnsafeRawConstructorInvocation`
`static final int`
`UnsafeRawFieldAssignment`
`static final int`
`UnsafeRawGenericConstructorInvocation`
`static final int`
`UnsafeRawGenericMethodInvocation`
`static final int`
`UnsafeRawMethodInvocation`
`static final int`
`UnsafeReturnTypeOverride`
`static final int`
`UnsafeTypeConversion`
`static final int`
`UnstableAutoModuleName`
`static final int`
`UnterminatedComment`
`static final int`
`UnterminatedString`
`static final int`
`UnterminatedTextBlock`
`static final int`
`UnusedConstructorDeclaredThrownException`
`static final int`
`UnusedImport`
`static final int`
`UnusedLabel`
`static final int`
`UnusedMethodDeclaredThrownException`
`static final int`
`UnusedObjectAllocation`
`static final int`
`UnusedPrivateConstructor`
`static final int`
`UnusedPrivateField`
`static final int`
`UnusedPrivateMethod`
`static final int`
`UnusedPrivateType`
`static final int`
`UnusedTypeArgumentsForConstructorInvocation`
`static final int`
`UnusedTypeArgumentsForMethodInvocation`
`static final int`
`UnusedTypeParameter`
`static final int`
`UnusedWarningToken`
`static final int`
`UseAssertAsAnIdentifier`
`static final int`
`UseEnumAsAnIdentifier`
`static final int`
`UsingDeprecatedConstructor`
`static final int`
`UsingDeprecatedField`
`static final int`
`UsingDeprecatedMethod`
`static final int`
`UsingDeprecatedModule`
`static final int`
`UsingDeprecatedPackage`
`static final int`
`UsingDeprecatedSinceVersionConstructor`
`static final int`
`UsingDeprecatedSinceVersionField`
`static final int`
`UsingDeprecatedSinceVersionMethod`
`static final int`
`UsingDeprecatedSinceVersionModule`
`static final int`
`UsingDeprecatedSinceVersionPackage`
`static final int`
`UsingDeprecatedSinceVersionType`
`static final int`
`UsingDeprecatedType`
`static final int`
`UsingTerminallyDeprecatedConstructor`
`static final int`
`UsingTerminallyDeprecatedField`
`static final int`
`UsingTerminallyDeprecatedMethod`
`static final int`
`UsingTerminallyDeprecatedModule`
`static final int`
`UsingTerminallyDeprecatedPackage`
`static final int`
`UsingTerminallyDeprecatedSinceVersionConstructor`
`static final int`
`UsingTerminallyDeprecatedSinceVersionField`
`static final int`
`UsingTerminallyDeprecatedSinceVersionMethod`
`static final int`
`UsingTerminallyDeprecatedSinceVersionModule`
`static final int`
`UsingTerminallyDeprecatedSinceVersionPackage`
`static final int`
`UsingTerminallyDeprecatedSinceVersionType`
`static final int`
`UsingTerminallyDeprecatedType`
`static final int`
`VarargsConflict`
`static final int`
`VarargsElementTypeNotVisible`
`static final int`
`VarargsElementTypeNotVisibleForConstructor`
`static final int`
`VarCannotBeMixedWithNonVarParams`
`static final int`
`VarCannotBeUsedWithTypeArguments`
`static final int`
`VariableTypeCannotBeVoid`
`static final int`
`VariableTypeCannotBeVoidArray`
Deprecated.
- problem is no longer generated, use `CannotAllocateVoidArray` instead
`static final int`
`VarIsNotAllowedHere`
`static final int`
`VarIsReserved`
`static final int`
`VarIsReservedInFuture`
`static final int`
`VarLocalCannotBeArray`
`static final int`
`VarLocalCannotBeArrayInitalizers`
`static final int`
`VarLocalCannotBeLambda`
`static final int`
`VarLocalCannotBeMethodReference`
`static final int`
`VarLocalInitializedToNull`
`static final int`
`VarLocalInitializedToVoid`
`static final int`
`VarLocalMultipleDeclarators`
`static final int`
`VarLocalReferencesItself`
`static final int`
`VarLocalWithoutInitizalier`
`static final int`
`VoidMethodReturnsValue`
`static final int`
`WildcardConstructorInvocation`
`static final int`
`WildcardFieldAssignment`
`static final int`
`WildcardMethodInvocation`
`static final int`
`WrongCaseType`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getArguments()`
Answer back the original arguments recorded into the problem.
`int`
`getID()`
Returns the problem id
`String`
`getMessage()`
Answer a localized, human-readable message string which describes the problem.
`char[]`
`getOriginatingFileName()`
Answer the file name in which the problem was found.
`int`
`getSourceEnd()`
Answer the end position of the problem (inclusive), or -1 if unknown.
`int`
`getSourceLineNumber()`
Answer the line number in source where the problem begins.
`int`
`getSourceStart()`
Answer the start position of the problem (inclusive), or -1 if unknown.
`boolean`
`isError()`
Returns whether the severity of this problem is 'Error'.
`boolean`
`isInfo()`
Returns whether the severity of this problem is 'Info'.
`boolean`
`isWarning()`
Returns whether the severity of this problem is 'Warning'.
`void`
`setSourceEnd(int sourceEnd)`
Set the end position of the problem (inclusive), or -1 if unknown.
`void`
`setSourceLineNumber(int lineNumber)`
Set the line number in source where the problem begins.
`void`
`setSourceStart(int sourceStart)`
Set the start position of the problem (inclusive), or -1 if unknown.

## Field Details

### TypeRelated

static final int TypeRelated
Problem Categories The high bits of a problem ID contains information about the category of a problem. For example, (problemID & TypeRelated) != 0, indicates that this problem is type related. A problem category can help to implement custom problem filters. Indeed, when numerous problems are listed, focusing on import related problems first might be relevant. When a problem is tagged as Internal, it means that no change other than a local source code change can fix the corresponding problem. A type related problem could be addressed by changing the type involved in it.

See Also:
  - Constant Field Values

### FieldRelated

static final int FieldRelated

See Also:
  - Constant Field Values

### MethodRelated

static final int MethodRelated

See Also:
  - Constant Field Values

### ConstructorRelated

static final int ConstructorRelated

See Also:
  - Constant Field Values

### ImportRelated

static final int ImportRelated

See Also:
  - Constant Field Values

### Internal

static final int Internal

See Also:
  - Constant Field Values

### Syntax

static final int Syntax

See Also:
  - Constant Field Values

### Javadoc

static final int Javadoc

Since:
  3.0
See Also:
  - Constant Field Values

### ModuleRelated

static final int ModuleRelated

Since:
  3.14
See Also:
  - Constant Field Values

### Compliance

static final int Compliance

Since:
  3.18
See Also:
  - Constant Field Values

### PreviewRelated

static final int PreviewRelated

Since:
  3.20
See Also:
  - Constant Field Values

### IgnoreCategoriesMask

static final int IgnoreCategoriesMask
Mask to use in order to filter out the category portion of the problem ID.

See Also:
  - Constant Field Values

### Unclassified

static final int Unclassified
ID reserved for referencing an internal error inside the JavaCore implementation which may be surfaced as a problem associated with the compilation unit which caused it to occur.

See Also:
  - Constant Field Values

### ObjectHasNoSuperclass

static final int ObjectHasNoSuperclass
General type related problems

See Also:
  - Constant Field Values

### UndefinedType

static final int UndefinedType

See Also:
  - Constant Field Values

### NotVisibleType

static final int NotVisibleType

See Also:
  - Constant Field Values

### AmbiguousType

static final int AmbiguousType

See Also:
  - Constant Field Values

### UsingDeprecatedType

static final int UsingDeprecatedType

See Also:
  - Constant Field Values

### InternalTypeNameProvided

static final int InternalTypeNameProvided

See Also:
  - Constant Field Values

### UnusedPrivateType

static final int UnusedPrivateType

Since:
  2.1
See Also:
  - Constant Field Values

### IncompatibleTypesInEqualityOperator

static final int IncompatibleTypesInEqualityOperator

See Also:
  - Constant Field Values

### IncompatibleTypesInConditionalOperator

static final int IncompatibleTypesInConditionalOperator

See Also:
  - Constant Field Values

### TypeMismatch

static final int TypeMismatch

See Also:
  - Constant Field Values

### IndirectAccessToStaticType

static final int IndirectAccessToStaticType

Since:
  3.0
See Also:
  - Constant Field Values

### ReturnTypeMismatch

static final int ReturnTypeMismatch

Since:
  3.10
See Also:
  - Constant Field Values

### MissingEnclosingInstanceForConstructorCall

static final int MissingEnclosingInstanceForConstructorCall
Inner types related problems

See Also:
  - Constant Field Values

### MissingEnclosingInstance

static final int MissingEnclosingInstance

See Also:
  - Constant Field Values

### IncorrectEnclosingInstanceReference

static final int IncorrectEnclosingInstanceReference

See Also:
  - Constant Field Values

### IllegalEnclosingInstanceSpecification

static final int IllegalEnclosingInstanceSpecification

See Also:
  - Constant Field Values

### CannotDefineStaticInitializerInLocalType

static final int CannotDefineStaticInitializerInLocalType

See Also:
  - Constant Field Values

### OuterLocalMustBeFinal

static final int OuterLocalMustBeFinal

See Also:
  - Constant Field Values

### CannotDefineInterfaceInLocalType

static final int CannotDefineInterfaceInLocalType

See Also:
  - Constant Field Values

### IllegalPrimitiveOrArrayTypeForEnclosingInstance

static final int IllegalPrimitiveOrArrayTypeForEnclosingInstance

See Also:
  - Constant Field Values

### EnclosingInstanceInConstructorCall

static final int EnclosingInstanceInConstructorCall

Since:
  2.1
See Also:
  - Constant Field Values

### AnonymousClassCannotExtendFinalClass

static final int AnonymousClassCannotExtendFinalClass

See Also:
  - Constant Field Values

### CannotDefineAnnotationInLocalType

static final int CannotDefineAnnotationInLocalType

Since:
  3.1
See Also:
  - Constant Field Values

### CannotDefineEnumInLocalType

static final int CannotDefineEnumInLocalType

Since:
  3.1
See Also:
  - Constant Field Values

### NonStaticContextForEnumMemberType

static final int NonStaticContextForEnumMemberType

Since:
  3.1
See Also:
  - Constant Field Values

### TypeHidingType

static final int TypeHidingType

Since:
  3.3
See Also:
  - Constant Field Values

### NotAnnotationType

static final int NotAnnotationType

Since:
  3.11
See Also:
  - Constant Field Values

### UndefinedName

static final int UndefinedName

See Also:
  - Constant Field Values

### UninitializedLocalVariable

static final int UninitializedLocalVariable

See Also:
  - Constant Field Values

### VariableTypeCannotBeVoid

static final int VariableTypeCannotBeVoid

See Also:
  - Constant Field Values

### VariableTypeCannotBeVoidArray

static final int VariableTypeCannotBeVoidArray
Deprecated.
- problem is no longer generated, use `CannotAllocateVoidArray` instead

See Also:
  - Constant Field Values

### CannotAllocateVoidArray

static final int CannotAllocateVoidArray

See Also:
  - Constant Field Values

### RedefinedLocal

static final int RedefinedLocal

See Also:
  - Constant Field Values

### RedefinedArgument

static final int RedefinedArgument

See Also:
  - Constant Field Values

### DuplicateFinalLocalInitialization

static final int DuplicateFinalLocalInitialization

See Also:
  - Constant Field Values

### NonBlankFinalLocalAssignment

static final int NonBlankFinalLocalAssignment

Since:
  2.1
See Also:
  - Constant Field Values

### ParameterAssignment

static final int ParameterAssignment

Since:
  3.2
See Also:
  - Constant Field Values

### FinalOuterLocalAssignment

static final int FinalOuterLocalAssignment

See Also:
  - Constant Field Values

### LocalVariableIsNeverUsed

static final int LocalVariableIsNeverUsed

See Also:
  - Constant Field Values

### ArgumentIsNeverUsed

static final int ArgumentIsNeverUsed

See Also:
  - Constant Field Values

### BytecodeExceeds64KLimit

static final int BytecodeExceeds64KLimit

See Also:
  - Constant Field Values

### BytecodeExceeds64KLimitForClinit

static final int BytecodeExceeds64KLimitForClinit

See Also:
  - Constant Field Values

### TooManyArgumentSlots

static final int TooManyArgumentSlots

See Also:
  - Constant Field Values

### TooManyLocalVariableSlots

static final int TooManyLocalVariableSlots

See Also:
  - Constant Field Values

### TooManySyntheticArgumentSlots

static final int TooManySyntheticArgumentSlots

Since:
  2.1
See Also:
  - Constant Field Values

### TooManyArrayDimensions

static final int TooManyArrayDimensions

Since:
  2.1
See Also:
  - Constant Field Values

### BytecodeExceeds64KLimitForConstructor

static final int BytecodeExceeds64KLimitForConstructor

Since:
  2.1
See Also:
  - Constant Field Values

### UndefinedField

static final int UndefinedField

See Also:
  - Constant Field Values

### NotVisibleField

static final int NotVisibleField

See Also:
  - Constant Field Values

### AmbiguousField

static final int AmbiguousField

See Also:
  - Constant Field Values

### UsingDeprecatedField

static final int UsingDeprecatedField

See Also:
  - Constant Field Values

### NonStaticFieldFromStaticInvocation

static final int NonStaticFieldFromStaticInvocation

See Also:
  - Constant Field Values

### ReferenceToForwardField

static final int ReferenceToForwardField

See Also:
  - Constant Field Values

### NonStaticAccessToStaticField

static final int NonStaticAccessToStaticField

Since:
  2.1
See Also:
  - Constant Field Values

### UnusedPrivateField

static final int UnusedPrivateField

Since:
  2.1
See Also:
  - Constant Field Values

### IndirectAccessToStaticField

static final int IndirectAccessToStaticField

Since:
  3.0
See Also:
  - Constant Field Values

### UnqualifiedFieldAccess

static final int UnqualifiedFieldAccess

Since:
  3.0
See Also:
  - Constant Field Values

### FinalFieldAssignment

static final int FinalFieldAssignment

See Also:
  - Constant Field Values

### UninitializedBlankFinalField

static final int UninitializedBlankFinalField

See Also:
  - Constant Field Values

### DuplicateBlankFinalFieldInitialization

static final int DuplicateBlankFinalFieldInitialization

See Also:
  - Constant Field Values

### UnresolvedVariable

static final int UnresolvedVariable

Since:
  3.6
See Also:
  - Constant Field Values

### NonStaticOrAlienTypeReceiver

static final int NonStaticOrAlienTypeReceiver

Since:
  3.10
See Also:
  - Constant Field Values

### ExceptionParameterIsNeverUsed

static final int ExceptionParameterIsNeverUsed

Since:
  3.11
See Also:
  - Constant Field Values

### BytecodeExceeds64KLimitForSwitchTable

static final int BytecodeExceeds64KLimitForSwitchTable

Since:
  3.17
See Also:
  - Constant Field Values

### OperandStackExceeds64KLimit

static final int OperandStackExceeds64KLimit

Since:
  3.38
See Also:
  - Constant Field Values

### OperandStackSizeInappropriate

static final int OperandStackSizeInappropriate

Since:
  3.38
See Also:
  - Constant Field Values

### LocalVariableHidingLocalVariable

static final int LocalVariableHidingLocalVariable

Since:
  3.0
See Also:
  - Constant Field Values

### LocalVariableHidingField

static final int LocalVariableHidingField

Since:
  3.0
See Also:
  - Constant Field Values

### FieldHidingLocalVariable

static final int FieldHidingLocalVariable

Since:
  3.0
See Also:
  - Constant Field Values

### FieldHidingField

static final int FieldHidingField

Since:
  3.0
See Also:
  - Constant Field Values

### ArgumentHidingLocalVariable

static final int ArgumentHidingLocalVariable

Since:
  3.0
See Also:
  - Constant Field Values

### ArgumentHidingField

static final int ArgumentHidingField

Since:
  3.0
See Also:
  - Constant Field Values

### MissingSerialVersion

static final int MissingSerialVersion

Since:
  3.1
See Also:
  - Constant Field Values

### LambdaRedeclaresArgument

static final int LambdaRedeclaresArgument

Since:
  3.10
See Also:
  - Constant Field Values

### LambdaRedeclaresLocal

static final int LambdaRedeclaresLocal

Since:
  3.10
See Also:
  - Constant Field Values

### LambdaDescriptorMentionsUnmentionable

static final int LambdaDescriptorMentionsUnmentionable

Since:
  3.10
See Also:
  - Constant Field Values

### UndefinedMethod

static final int UndefinedMethod

See Also:
  - Constant Field Values

### NotVisibleMethod

static final int NotVisibleMethod

See Also:
  - Constant Field Values

### AmbiguousMethod

static final int AmbiguousMethod

See Also:
  - Constant Field Values

### UsingDeprecatedMethod

static final int UsingDeprecatedMethod

See Also:
  - Constant Field Values

### DirectInvocationOfAbstractMethod

static final int DirectInvocationOfAbstractMethod

See Also:
  - Constant Field Values

### VoidMethodReturnsValue

static final int VoidMethodReturnsValue

See Also:
  - Constant Field Values

### MethodReturnsVoid

static final int MethodReturnsVoid

See Also:
  - Constant Field Values

### MethodRequiresBody

static final int MethodRequiresBody

See Also:
  - Constant Field Values

### ShouldReturnValue

static final int ShouldReturnValue

See Also:
  - Constant Field Values

### MethodButWithConstructorName

static final int MethodButWithConstructorName

See Also:
  - Constant Field Values

### MissingReturnType

static final int MissingReturnType

See Also:
  - Constant Field Values

### BodyForNativeMethod

static final int BodyForNativeMethod

See Also:
  - Constant Field Values

### BodyForAbstractMethod

static final int BodyForAbstractMethod

See Also:
  - Constant Field Values

### NoMessageSendOnBaseType

static final int NoMessageSendOnBaseType

See Also:
  - Constant Field Values

### ParameterMismatch

static final int ParameterMismatch

See Also:
  - Constant Field Values

### NoMessageSendOnArrayType

static final int NoMessageSendOnArrayType

See Also:
  - Constant Field Values

### NonStaticAccessToStaticMethod

static final int NonStaticAccessToStaticMethod

Since:
  2.1
See Also:
  - Constant Field Values

### UnusedPrivateMethod

static final int UnusedPrivateMethod

Since:
  2.1
See Also:
  - Constant Field Values

### IndirectAccessToStaticMethod

static final int IndirectAccessToStaticMethod

Since:
  3.0
See Also:
  - Constant Field Values

### MissingTypeInMethod

static final int MissingTypeInMethod

Since:
  3.4
See Also:
  - Constant Field Values

### MethodCanBeStatic

static final int MethodCanBeStatic

Since:
  3.7
See Also:
  - Constant Field Values

### MethodCanBePotentiallyStatic

static final int MethodCanBePotentiallyStatic

Since:
  3.7
See Also:
  - Constant Field Values

### MethodReferenceSwingsBothWays

static final int MethodReferenceSwingsBothWays

Since:
  3.10
See Also:
  - Constant Field Values

### StaticMethodShouldBeAccessedStatically

static final int StaticMethodShouldBeAccessedStatically

Since:
  3.10
See Also:
  - Constant Field Values

### InvalidArrayConstructorReference

static final int InvalidArrayConstructorReference

Since:
  3.10
See Also:
  - Constant Field Values

### ConstructedArrayIncompatible

static final int ConstructedArrayIncompatible

Since:
  3.10
See Also:
  - Constant Field Values

### DanglingReference

static final int DanglingReference

Since:
  3.10
See Also:
  - Constant Field Values

### IncompatibleMethodReference

static final int IncompatibleMethodReference

Since:
  3.10
See Also:
  - Constant Field Values

### MissingTypeInConstructor

static final int MissingTypeInConstructor

Since:
  3.4
See Also:
  - Constant Field Values

### UndefinedConstructor

static final int UndefinedConstructor

See Also:
  - Constant Field Values

### NotVisibleConstructor

static final int NotVisibleConstructor

See Also:
  - Constant Field Values

### AmbiguousConstructor

static final int AmbiguousConstructor

See Also:
  - Constant Field Values

### UsingDeprecatedConstructor

static final int UsingDeprecatedConstructor

See Also:
  - Constant Field Values

### UnusedPrivateConstructor

static final int UnusedPrivateConstructor

Since:
  2.1
See Also:
  - Constant Field Values

### InstanceFieldDuringConstructorInvocation

static final int InstanceFieldDuringConstructorInvocation

See Also:
  - Constant Field Values

### InstanceMethodDuringConstructorInvocation

static final int InstanceMethodDuringConstructorInvocation

See Also:
  - Constant Field Values

### RecursiveConstructorInvocation

static final int RecursiveConstructorInvocation

See Also:
  - Constant Field Values

### ThisSuperDuringConstructorInvocation

static final int ThisSuperDuringConstructorInvocation

See Also:
  - Constant Field Values

### InvalidExplicitConstructorCall

static final int InvalidExplicitConstructorCall

Since:
  3.0
See Also:
  - Constant Field Values

### UndefinedConstructorInDefaultConstructor

static final int UndefinedConstructorInDefaultConstructor

See Also:
  - Constant Field Values

### NotVisibleConstructorInDefaultConstructor

static final int NotVisibleConstructorInDefaultConstructor

See Also:
  - Constant Field Values

### AmbiguousConstructorInDefaultConstructor

static final int AmbiguousConstructorInDefaultConstructor

See Also:
  - Constant Field Values

### UndefinedConstructorInImplicitConstructorCall

static final int UndefinedConstructorInImplicitConstructorCall

See Also:
  - Constant Field Values

### NotVisibleConstructorInImplicitConstructorCall

static final int NotVisibleConstructorInImplicitConstructorCall

See Also:
  - Constant Field Values

### AmbiguousConstructorInImplicitConstructorCall

static final int AmbiguousConstructorInImplicitConstructorCall

See Also:
  - Constant Field Values

### UnhandledExceptionInDefaultConstructor

static final int UnhandledExceptionInDefaultConstructor

See Also:
  - Constant Field Values

### UnhandledExceptionInImplicitConstructorCall

static final int UnhandledExceptionInImplicitConstructorCall

See Also:
  - Constant Field Values

### UnusedObjectAllocation

static final int UnusedObjectAllocation

Since:
  3.6
See Also:
  - Constant Field Values

### DeadCode

static final int DeadCode

Since:
  3.5
See Also:
  - Constant Field Values

### ArrayReferenceRequired

static final int ArrayReferenceRequired

See Also:
  - Constant Field Values

### NoImplicitStringConversionForCharArrayExpression

static final int NoImplicitStringConversionForCharArrayExpression

See Also:
  - Constant Field Values

### StringConstantIsExceedingUtf8Limit

static final int StringConstantIsExceedingUtf8Limit

See Also:
  - Constant Field Values

### NonConstantExpression

static final int NonConstantExpression

See Also:
  - Constant Field Values

### NumericValueOutOfRange

static final int NumericValueOutOfRange

See Also:
  - Constant Field Values

### IllegalCast

static final int IllegalCast

See Also:
  - Constant Field Values

### InvalidClassInstantiation

static final int InvalidClassInstantiation

See Also:
  - Constant Field Values

### CannotDefineDimensionExpressionsWithInit

static final int CannotDefineDimensionExpressionsWithInit

See Also:
  - Constant Field Values

### MustDefineEitherDimensionExpressionsOrInitializer

static final int MustDefineEitherDimensionExpressionsOrInitializer

See Also:
  - Constant Field Values

### InvalidOperator

static final int InvalidOperator

See Also:
  - Constant Field Values

### CodeCannotBeReached

static final int CodeCannotBeReached

See Also:
  - Constant Field Values

### CannotReturnInInitializer

static final int CannotReturnInInitializer

See Also:
  - Constant Field Values

### InitializerMustCompleteNormally

static final int InitializerMustCompleteNormally

See Also:
  - Constant Field Values

### InvalidVoidExpression

static final int InvalidVoidExpression

See Also:
  - Constant Field Values

### MaskedCatch

static final int MaskedCatch

See Also:
  - Constant Field Values

### DuplicateDefaultCase

static final int DuplicateDefaultCase

See Also:
  - Constant Field Values

### UnreachableCatch

static final int UnreachableCatch

See Also:
  - Constant Field Values

### UnhandledException

static final int UnhandledException

See Also:
  - Constant Field Values

### IncorrectSwitchType

static final int IncorrectSwitchType

See Also:
  - Constant Field Values

### DuplicateCase

static final int DuplicateCase

See Also:
  - Constant Field Values

### DuplicateLabel

static final int DuplicateLabel

See Also:
  - Constant Field Values

### InvalidBreak

static final int InvalidBreak

See Also:
  - Constant Field Values

### InvalidContinue

static final int InvalidContinue

See Also:
  - Constant Field Values

### UndefinedLabel

static final int UndefinedLabel

See Also:
  - Constant Field Values

### InvalidTypeToSynchronized

static final int InvalidTypeToSynchronized

See Also:
  - Constant Field Values

### InvalidNullToSynchronized

static final int InvalidNullToSynchronized

See Also:
  - Constant Field Values

### CannotThrowNull

static final int CannotThrowNull

See Also:
  - Constant Field Values

### AssignmentHasNoEffect

static final int AssignmentHasNoEffect

Since:
  2.1
See Also:
  - Constant Field Values

### PossibleAccidentalBooleanAssignment

static final int PossibleAccidentalBooleanAssignment

Since:
  3.0
See Also:
  - Constant Field Values

### SuperfluousSemicolon

static final int SuperfluousSemicolon

Since:
  3.0
See Also:
  - Constant Field Values

### UnnecessaryCast

static final int UnnecessaryCast

Since:
  3.0
See Also:
  - Constant Field Values

### UnnecessaryArgumentCast

static final int UnnecessaryArgumentCast
Deprecated.
- no longer generated, use `UnnecessaryCast` instead

Since:
  3.0
See Also:
  - Constant Field Values

### UnnecessaryInstanceof

static final int UnnecessaryInstanceof

Since:
  3.0
See Also:
  - Constant Field Values

### FinallyMustCompleteNormally

static final int FinallyMustCompleteNormally

Since:
  3.0
See Also:
  - Constant Field Values

### UnusedMethodDeclaredThrownException

static final int UnusedMethodDeclaredThrownException

Since:
  3.0
See Also:
  - Constant Field Values

### UnusedConstructorDeclaredThrownException

static final int UnusedConstructorDeclaredThrownException

Since:
  3.0
See Also:
  - Constant Field Values

### InvalidCatchBlockSequence

static final int InvalidCatchBlockSequence

Since:
  3.0
See Also:
  - Constant Field Values

### EmptyControlFlowStatement

static final int EmptyControlFlowStatement

Since:
  3.0
See Also:
  - Constant Field Values

### UnnecessaryElse

static final int UnnecessaryElse

Since:
  3.0
See Also:
  - Constant Field Values

### NeedToEmulateFieldReadAccess

static final int NeedToEmulateFieldReadAccess

See Also:
  - Constant Field Values

### NeedToEmulateFieldWriteAccess

static final int NeedToEmulateFieldWriteAccess

See Also:
  - Constant Field Values

### NeedToEmulateMethodAccess

static final int NeedToEmulateMethodAccess

See Also:
  - Constant Field Values

### NeedToEmulateConstructorAccess

static final int NeedToEmulateConstructorAccess

See Also:
  - Constant Field Values

### FallthroughCase

static final int FallthroughCase

Since:
  3.2
See Also:
  - Constant Field Values

### InheritedMethodHidesEnclosingName

static final int InheritedMethodHidesEnclosingName

See Also:
  - Constant Field Values

### InheritedFieldHidesEnclosingName

static final int InheritedFieldHidesEnclosingName

See Also:
  - Constant Field Values

### InheritedTypeHidesEnclosingName

static final int InheritedTypeHidesEnclosingName

See Also:
  - Constant Field Values

### IllegalUsageOfQualifiedTypeReference

static final int IllegalUsageOfQualifiedTypeReference

Since:
  3.1
See Also:
  - Constant Field Values

### UnusedLabel

static final int UnusedLabel

Since:
  3.2
See Also:
  - Constant Field Values

### ThisInStaticContext

static final int ThisInStaticContext

See Also:
  - Constant Field Values

### StaticMethodRequested

static final int StaticMethodRequested

See Also:
  - Constant Field Values

### IllegalDimension

static final int IllegalDimension

See Also:
  - Constant Field Values

### InvalidTypeExpression

static final int InvalidTypeExpression
Deprecated.
- problem is no longer generated

See Also:
  - Constant Field Values

### ParsingError

static final int ParsingError

See Also:
  - Constant Field Values

### ParsingErrorNoSuggestion

static final int ParsingErrorNoSuggestion

See Also:
  - Constant Field Values

### InvalidUnaryExpression

static final int InvalidUnaryExpression

See Also:
  - Constant Field Values

### InterfaceCannotHaveConstructors

static final int InterfaceCannotHaveConstructors

See Also:
  - Constant Field Values

### ArrayConstantsOnlyInArrayInitializers

static final int ArrayConstantsOnlyInArrayInitializers

See Also:
  - Constant Field Values

### ParsingErrorOnKeyword

static final int ParsingErrorOnKeyword

See Also:
  - Constant Field Values

### ParsingErrorOnKeywordNoSuggestion

static final int ParsingErrorOnKeywordNoSuggestion

See Also:
  - Constant Field Values

### ComparingIdentical

static final int ComparingIdentical

Since:
  3.5
See Also:
  - Constant Field Values

### UnsafeCast

static final int UnsafeCast

Since:
  3.22
See Also:
  - Constant Field Values
Restriction:
  preview feature error

### UnmatchedBracket

static final int UnmatchedBracket

See Also:
  - Constant Field Values

### NoFieldOnBaseType

static final int NoFieldOnBaseType

See Also:
  - Constant Field Values

### InvalidExpressionAsStatement

static final int InvalidExpressionAsStatement

See Also:
  - Constant Field Values

### ExpressionShouldBeAVariable

static final int ExpressionShouldBeAVariable

Since:
  2.1
See Also:
  - Constant Field Values

### MissingSemiColon

static final int MissingSemiColon

Since:
  2.1
See Also:
  - Constant Field Values

### InvalidParenthesizedExpression

static final int InvalidParenthesizedExpression

Since:
  2.1
See Also:
  - Constant Field Values

### NoSuperInInterfaceContext

static final int NoSuperInInterfaceContext

Since:
  3.10
See Also:
  - Constant Field Values

### ParsingErrorInsertTokenBefore

static final int ParsingErrorInsertTokenBefore

Since:
  3.0
See Also:
  - Constant Field Values

### ParsingErrorInsertTokenAfter

static final int ParsingErrorInsertTokenAfter

Since:
  3.0
See Also:
  - Constant Field Values

### ParsingErrorDeleteToken

static final int ParsingErrorDeleteToken

Since:
  3.0
See Also:
  - Constant Field Values

### ParsingErrorDeleteTokens

static final int ParsingErrorDeleteTokens

Since:
  3.0
See Also:
  - Constant Field Values

### ParsingErrorMergeTokens

static final int ParsingErrorMergeTokens

Since:
  3.0
See Also:
  - Constant Field Values

### ParsingErrorInvalidToken

static final int ParsingErrorInvalidToken

Since:
  3.0
See Also:
  - Constant Field Values

### ParsingErrorMisplacedConstruct

static final int ParsingErrorMisplacedConstruct

Since:
  3.0
See Also:
  - Constant Field Values

### ParsingErrorReplaceTokens

static final int ParsingErrorReplaceTokens

Since:
  3.0
See Also:
  - Constant Field Values

### ParsingErrorNoSuggestionForTokens

static final int ParsingErrorNoSuggestionForTokens

Since:
  3.0
See Also:
  - Constant Field Values

### ParsingErrorUnexpectedEOF

static final int ParsingErrorUnexpectedEOF

Since:
  3.0
See Also:
  - Constant Field Values

### ParsingErrorInsertToComplete

static final int ParsingErrorInsertToComplete

Since:
  3.0
See Also:
  - Constant Field Values

### ParsingErrorInsertToCompleteScope

static final int ParsingErrorInsertToCompleteScope

Since:
  3.0
See Also:
  - Constant Field Values

### ParsingErrorInsertToCompletePhrase

static final int ParsingErrorInsertToCompletePhrase

Since:
  3.0
See Also:
  - Constant Field Values

### EndOfSource

static final int EndOfSource

See Also:
  - Constant Field Values

### InvalidHexa

static final int InvalidHexa

See Also:
  - Constant Field Values

### InvalidOctal

static final int InvalidOctal

See Also:
  - Constant Field Values

### InvalidCharacterConstant

static final int InvalidCharacterConstant

See Also:
  - Constant Field Values

### InvalidEscape

static final int InvalidEscape

See Also:
  - Constant Field Values

### InvalidInput

static final int InvalidInput

See Also:
  - Constant Field Values

### InvalidUnicodeEscape

static final int InvalidUnicodeEscape

See Also:
  - Constant Field Values

### InvalidFloat

static final int InvalidFloat

See Also:
  - Constant Field Values

### NullSourceString

static final int NullSourceString

See Also:
  - Constant Field Values

### UnterminatedString

static final int UnterminatedString

See Also:
  - Constant Field Values

### UnterminatedComment

static final int UnterminatedComment

See Also:
  - Constant Field Values

### NonExternalizedStringLiteral

static final int NonExternalizedStringLiteral

See Also:
  - Constant Field Values

### InvalidDigit

static final int InvalidDigit

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidLowSurrogate

static final int InvalidLowSurrogate

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidHighSurrogate

static final int InvalidHighSurrogate

Since:
  3.1
See Also:
  - Constant Field Values

### UnnecessaryNLSTag

static final int UnnecessaryNLSTag

Since:
  3.2
See Also:
  - Constant Field Values

### InvalidBinary

static final int InvalidBinary

Since:
  3.7.1
See Also:
  - Constant Field Values

### BinaryLiteralNotBelow17

static final int BinaryLiteralNotBelow17

Since:
  3.7.1
See Also:
  - Constant Field Values

### IllegalUnderscorePosition

static final int IllegalUnderscorePosition

Since:
  3.7.1
See Also:
  - Constant Field Values

### UnderscoresInLiteralsNotBelow17

static final int UnderscoresInLiteralsNotBelow17

Since:
  3.7.1
See Also:
  - Constant Field Values

### IllegalHexaLiteral

static final int IllegalHexaLiteral

Since:
  3.7.1
See Also:
  - Constant Field Values

### MissingTypeInLambda

static final int MissingTypeInLambda

Since:
  3.10
See Also:
  - Constant Field Values

### UnterminatedTextBlock

static final int UnterminatedTextBlock

Since:
  3.23
See Also:
  - Constant Field Values

### DiscouragedReference

static final int DiscouragedReference

Since:
  3.1
See Also:
  - Constant Field Values

### LambdaParameterIsNeverUsed

static final int LambdaParameterIsNeverUsed

Since:
  3.40
See Also:
  - Constant Field Values

### InterfaceCannotHaveInitializers

static final int InterfaceCannotHaveInitializers

See Also:
  - Constant Field Values

### DuplicateModifierForType

static final int DuplicateModifierForType

See Also:
  - Constant Field Values

### IllegalModifierForClass

static final int IllegalModifierForClass

See Also:
  - Constant Field Values

### IllegalModifierForInterface

static final int IllegalModifierForInterface

See Also:
  - Constant Field Values

### IllegalModifierForMemberClass

static final int IllegalModifierForMemberClass

See Also:
  - Constant Field Values

### IllegalModifierForMemberInterface

static final int IllegalModifierForMemberInterface

See Also:
  - Constant Field Values

### IllegalModifierForLocalClass

static final int IllegalModifierForLocalClass

See Also:
  - Constant Field Values

### ForbiddenReference

static final int ForbiddenReference

Since:
  3.1
See Also:
  - Constant Field Values

### IllegalModifierCombinationFinalAbstractForClass

static final int IllegalModifierCombinationFinalAbstractForClass

See Also:
  - Constant Field Values

### IllegalVisibilityModifierForInterfaceMemberType

static final int IllegalVisibilityModifierForInterfaceMemberType

See Also:
  - Constant Field Values

### IllegalVisibilityModifierCombinationForMemberType

static final int IllegalVisibilityModifierCombinationForMemberType

See Also:
  - Constant Field Values

### IllegalStaticModifierForMemberType

static final int IllegalStaticModifierForMemberType

See Also:
  - Constant Field Values

### SuperclassMustBeAClass

static final int SuperclassMustBeAClass

See Also:
  - Constant Field Values

### ClassExtendFinalClass

static final int ClassExtendFinalClass

See Also:
  - Constant Field Values

### DuplicateSuperInterface

static final int DuplicateSuperInterface

See Also:
  - Constant Field Values

### SuperInterfaceMustBeAnInterface

static final int SuperInterfaceMustBeAnInterface

See Also:
  - Constant Field Values

### HierarchyCircularitySelfReference

static final int HierarchyCircularitySelfReference

See Also:
  - Constant Field Values

### HierarchyCircularity

static final int HierarchyCircularity

See Also:
  - Constant Field Values

### HidingEnclosingType

static final int HidingEnclosingType

See Also:
  - Constant Field Values

### DuplicateNestedType

static final int DuplicateNestedType

See Also:
  - Constant Field Values

### CannotThrowType

static final int CannotThrowType

See Also:
  - Constant Field Values

### PackageCollidesWithType

static final int PackageCollidesWithType

See Also:
  - Constant Field Values

### TypeCollidesWithPackage

static final int TypeCollidesWithPackage

See Also:
  - Constant Field Values

### DuplicateTypes

static final int DuplicateTypes

See Also:
  - Constant Field Values

### IsClassPathCorrect

static final int IsClassPathCorrect

See Also:
  - Constant Field Values

### PublicClassMustMatchFileName

static final int PublicClassMustMatchFileName

See Also:
  - Constant Field Values

### MustSpecifyPackage

static final int MustSpecifyPackage
Deprecated.
- problem is no longer generated

See Also:
  - Constant Field Values

### HierarchyHasProblems

static final int HierarchyHasProblems

See Also:
  - Constant Field Values

### PackageIsNotExpectedPackage

static final int PackageIsNotExpectedPackage

See Also:
  - Constant Field Values

### ObjectCannotHaveSuperTypes

static final int ObjectCannotHaveSuperTypes

Since:
  2.1
See Also:
  - Constant Field Values

### ObjectMustBeClass

static final int ObjectMustBeClass

Since:
  3.1
See Also:
  - Constant Field Values

### RedundantSuperinterface

static final int RedundantSuperinterface

Since:
  3.4
See Also:
  - Constant Field Values

### ShouldImplementHashcode

static final int ShouldImplementHashcode

Since:
  3.5
See Also:
  - Constant Field Values

### AbstractMethodsInConcreteClass

static final int AbstractMethodsInConcreteClass

Since:
  3.5
See Also:
  - Constant Field Values

### IllegalModifierCombinationForType

static final int IllegalModifierCombinationForType

Since:
  3.40
See Also:
  - Constant Field Values

### SuperclassNotFound

@Deprecated static final int SuperclassNotFound
Deprecated.
- problem is no longer generated, use `UndefinedType` instead

See Also:
  - Constant Field Values

### SuperclassNotVisible

@Deprecated static final int SuperclassNotVisible
Deprecated.
- problem is no longer generated, use `NotVisibleType` instead

See Also:
  - Constant Field Values

### SuperclassAmbiguous

@Deprecated static final int SuperclassAmbiguous
Deprecated.
- problem is no longer generated, use `AmbiguousType` instead

See Also:
  - Constant Field Values

### SuperclassInternalNameProvided

@Deprecated static final int SuperclassInternalNameProvided
Deprecated.
- problem is no longer generated, use `InternalTypeNameProvided` instead

See Also:
  - Constant Field Values

### SuperclassInheritedNameHidesEnclosingName

@Deprecated static final int SuperclassInheritedNameHidesEnclosingName
Deprecated.
- problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead

See Also:
  - Constant Field Values

### InterfaceNotFound

@Deprecated static final int InterfaceNotFound
Deprecated.
- problem is no longer generated, use `UndefinedType` instead

See Also:
  - Constant Field Values

### InterfaceNotVisible

@Deprecated static final int InterfaceNotVisible
Deprecated.
- problem is no longer generated, use `NotVisibleType` instead

See Also:
  - Constant Field Values

### InterfaceAmbiguous

@Deprecated static final int InterfaceAmbiguous
Deprecated.
- problem is no longer generated, use `AmbiguousType` instead

See Also:
  - Constant Field Values

### InterfaceInternalNameProvided

@Deprecated static final int InterfaceInternalNameProvided
Deprecated.
- problem is no longer generated, use `InternalTypeNameProvided` instead

See Also:
  - Constant Field Values

### InterfaceInheritedNameHidesEnclosingName

@Deprecated static final int InterfaceInheritedNameHidesEnclosingName
Deprecated.
- problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead

See Also:
  - Constant Field Values

### DuplicateField

static final int DuplicateField

See Also:
  - Constant Field Values

### DuplicateModifierForField

static final int DuplicateModifierForField

See Also:
  - Constant Field Values

### IllegalModifierForField

static final int IllegalModifierForField

See Also:
  - Constant Field Values

### IllegalModifierForInterfaceField

static final int IllegalModifierForInterfaceField

See Also:
  - Constant Field Values

### IllegalVisibilityModifierCombinationForField

static final int IllegalVisibilityModifierCombinationForField

See Also:
  - Constant Field Values

### IllegalModifierCombinationFinalVolatileForField

static final int IllegalModifierCombinationFinalVolatileForField

See Also:
  - Constant Field Values

### UnexpectedStaticModifierForField

static final int UnexpectedStaticModifierForField

See Also:
  - Constant Field Values

### IsClassPathCorrectWithReferencingType

static final int IsClassPathCorrectWithReferencingType

Since:
  3.32
See Also:
  - Constant Field Values

### FieldTypeNotFound

static final int FieldTypeNotFound
Deprecated.
- problem is no longer generated, use `UndefinedType` instead

See Also:
  - Constant Field Values

### FieldTypeNotVisible

static final int FieldTypeNotVisible
Deprecated.
- problem is no longer generated, use `NotVisibleType` instead

See Also:
  - Constant Field Values

### FieldTypeAmbiguous

static final int FieldTypeAmbiguous
Deprecated.
- problem is no longer generated, use `AmbiguousType` instead

See Also:
  - Constant Field Values

### FieldTypeInternalNameProvided

static final int FieldTypeInternalNameProvided
Deprecated.
- problem is no longer generated, use `InternalTypeNameProvided` instead

See Also:
  - Constant Field Values

### FieldTypeInheritedNameHidesEnclosingName

static final int FieldTypeInheritedNameHidesEnclosingName
Deprecated.
- problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead

See Also:
  - Constant Field Values

### DuplicateMethod

static final int DuplicateMethod

See Also:
  - Constant Field Values

### IllegalModifierForArgument

static final int IllegalModifierForArgument

See Also:
  - Constant Field Values

### DuplicateModifierForMethod

static final int DuplicateModifierForMethod

See Also:
  - Constant Field Values

### IllegalModifierForMethod

static final int IllegalModifierForMethod

See Also:
  - Constant Field Values

### IllegalModifierForInterfaceMethod

static final int IllegalModifierForInterfaceMethod

See Also:
  - Constant Field Values

### IllegalVisibilityModifierCombinationForMethod

static final int IllegalVisibilityModifierCombinationForMethod

See Also:
  - Constant Field Values

### UnexpectedStaticModifierForMethod

static final int UnexpectedStaticModifierForMethod

See Also:
  - Constant Field Values

### IllegalAbstractModifierCombinationForMethod

static final int IllegalAbstractModifierCombinationForMethod

See Also:
  - Constant Field Values

### AbstractMethodInAbstractClass

static final int AbstractMethodInAbstractClass

See Also:
  - Constant Field Values

### ArgumentTypeCannotBeVoid

static final int ArgumentTypeCannotBeVoid

See Also:
  - Constant Field Values

### ArgumentTypeCannotBeVoidArray

@Deprecated static final int ArgumentTypeCannotBeVoidArray
Deprecated.
- problem is no longer generated, use `CannotAllocateVoidArray` instead

See Also:
  - Constant Field Values

### ReturnTypeCannotBeVoidArray

@Deprecated static final int ReturnTypeCannotBeVoidArray
Deprecated.
- problem is no longer generated, use `CannotAllocateVoidArray` instead

See Also:
  - Constant Field Values

### NativeMethodsCannotBeStrictfp

static final int NativeMethodsCannotBeStrictfp

See Also:
  - Constant Field Values

### DuplicateModifierForArgument

static final int DuplicateModifierForArgument

See Also:
  - Constant Field Values

### IllegalModifierForConstructor

static final int IllegalModifierForConstructor

Since:
  3.5
See Also:
  - Constant Field Values

### ArgumentTypeNotFound

@Deprecated static final int ArgumentTypeNotFound
Deprecated.
- problem is no longer generated, use `UndefinedType` instead

See Also:
  - Constant Field Values

### ArgumentTypeNotVisible

@Deprecated static final int ArgumentTypeNotVisible
Deprecated.
- problem is no longer generated, use `NotVisibleType` instead

See Also:
  - Constant Field Values

### ArgumentTypeAmbiguous

@Deprecated static final int ArgumentTypeAmbiguous
Deprecated.
- problem is no longer generated, use `AmbiguousType` instead

See Also:
  - Constant Field Values

### ArgumentTypeInternalNameProvided

@Deprecated static final int ArgumentTypeInternalNameProvided
Deprecated.
- problem is no longer generated, use `InternalTypeNameProvided` instead

See Also:
  - Constant Field Values

### ArgumentTypeInheritedNameHidesEnclosingName

@Deprecated static final int ArgumentTypeInheritedNameHidesEnclosingName
Deprecated.
- problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead

See Also:
  - Constant Field Values

### ExceptionTypeNotFound

@Deprecated static final int ExceptionTypeNotFound
Deprecated.
- problem is no longer generated, use `UndefinedType` instead

See Also:
  - Constant Field Values

### ExceptionTypeNotVisible

@Deprecated static final int ExceptionTypeNotVisible
Deprecated.
- problem is no longer generated, use `NotVisibleType` instead

See Also:
  - Constant Field Values

### ExceptionTypeAmbiguous

@Deprecated static final int ExceptionTypeAmbiguous
Deprecated.
- problem is no longer generated, use `AmbiguousType` instead

See Also:
  - Constant Field Values

### ExceptionTypeInternalNameProvided

@Deprecated static final int ExceptionTypeInternalNameProvided
Deprecated.
- problem is no longer generated, use `InternalTypeNameProvided` instead

See Also:
  - Constant Field Values

### ExceptionTypeInheritedNameHidesEnclosingName

@Deprecated static final int ExceptionTypeInheritedNameHidesEnclosingName
Deprecated.
- problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead

See Also:
  - Constant Field Values

### ReturnTypeNotFound

@Deprecated static final int ReturnTypeNotFound
Deprecated.
- problem is no longer generated, use `UndefinedType` instead

See Also:
  - Constant Field Values

### ReturnTypeNotVisible

@Deprecated static final int ReturnTypeNotVisible
Deprecated.
- problem is no longer generated, use `NotVisibleType` instead

See Also:
  - Constant Field Values

### ReturnTypeAmbiguous

@Deprecated static final int ReturnTypeAmbiguous
Deprecated.
- problem is no longer generated, use `AmbiguousType` instead

See Also:
  - Constant Field Values

### ReturnTypeInternalNameProvided

@Deprecated static final int ReturnTypeInternalNameProvided
Deprecated.
- problem is no longer generated, use `InternalTypeNameProvided` instead

See Also:
  - Constant Field Values

### ReturnTypeInheritedNameHidesEnclosingName

@Deprecated static final int ReturnTypeInheritedNameHidesEnclosingName
Deprecated.
- problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead

See Also:
  - Constant Field Values

### ConflictingImport

static final int ConflictingImport

See Also:
  - Constant Field Values

### DuplicateImport

static final int DuplicateImport

See Also:
  - Constant Field Values

### CannotImportPackage

static final int CannotImportPackage

See Also:
  - Constant Field Values

### UnusedImport

static final int UnusedImport

See Also:
  - Constant Field Values

### ImportNotFound

static final int ImportNotFound

See Also:
  - Constant Field Values

### ImportNotVisible

@Deprecated static final int ImportNotVisible
Deprecated.
- problem is no longer generated, use `NotVisibleType` instead

See Also:
  - Constant Field Values

### ImportAmbiguous

@Deprecated static final int ImportAmbiguous
Deprecated.
- problem is no longer generated, use `AmbiguousType` instead

See Also:
  - Constant Field Values

### ImportInternalNameProvided

@Deprecated static final int ImportInternalNameProvided
Deprecated.
- problem is no longer generated, use `InternalTypeNameProvided` instead

See Also:
  - Constant Field Values

### ImportInheritedNameHidesEnclosingName

@Deprecated static final int ImportInheritedNameHidesEnclosingName
Deprecated.
- problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead

See Also:
  - Constant Field Values

### InvalidTypeForStaticImport

static final int InvalidTypeForStaticImport

Since:
  3.1
See Also:
  - Constant Field Values

### DuplicateModifierForVariable

static final int DuplicateModifierForVariable

See Also:
  - Constant Field Values

### IllegalModifierForVariable

static final int IllegalModifierForVariable

See Also:
  - Constant Field Values

### LocalVariableCannotBeNull

@Deprecated static final int LocalVariableCannotBeNull
Deprecated.
- problem is no longer generated, use `RedundantNullCheckOnNonNullLocalVariable` instead

See Also:
  - Constant Field Values

### LocalVariableCanOnlyBeNull

@Deprecated static final int LocalVariableCanOnlyBeNull
Deprecated.
- problem is no longer generated, use `NullLocalVariableReference`, `RedundantNullCheckOnNullLocalVariable` or `RedundantLocalVariableNullAssignment` instead

See Also:
  - Constant Field Values

### LocalVariableMayBeNull

@Deprecated static final int LocalVariableMayBeNull
Deprecated.
- problem is no longer generated, use `PotentialNullLocalVariableReference` instead

See Also:
  - Constant Field Values

### AbstractMethodMustBeImplemented

static final int AbstractMethodMustBeImplemented

See Also:
  - Constant Field Values

### FinalMethodCannotBeOverridden

static final int FinalMethodCannotBeOverridden

See Also:
  - Constant Field Values

### IncompatibleExceptionInThrowsClause

static final int IncompatibleExceptionInThrowsClause

See Also:
  - Constant Field Values

### IncompatibleExceptionInInheritedMethodThrowsClause

static final int IncompatibleExceptionInInheritedMethodThrowsClause

See Also:
  - Constant Field Values

### IncompatibleReturnType

static final int IncompatibleReturnType

See Also:
  - Constant Field Values

### InheritedMethodReducesVisibility

static final int InheritedMethodReducesVisibility

See Also:
  - Constant Field Values

### CannotOverrideAStaticMethodWithAnInstanceMethod

static final int CannotOverrideAStaticMethodWithAnInstanceMethod

See Also:
  - Constant Field Values

### CannotHideAnInstanceMethodWithAStaticMethod

static final int CannotHideAnInstanceMethodWithAStaticMethod

See Also:
  - Constant Field Values

### StaticInheritedMethodConflicts

static final int StaticInheritedMethodConflicts

See Also:
  - Constant Field Values

### MethodReducesVisibility

static final int MethodReducesVisibility

See Also:
  - Constant Field Values

### OverridingNonVisibleMethod

static final int OverridingNonVisibleMethod

See Also:
  - Constant Field Values

### AbstractMethodCannotBeOverridden

static final int AbstractMethodCannotBeOverridden

See Also:
  - Constant Field Values

### OverridingDeprecatedMethod

static final int OverridingDeprecatedMethod

See Also:
  - Constant Field Values

### IncompatibleReturnTypeForNonInheritedInterfaceMethod

static final int IncompatibleReturnTypeForNonInheritedInterfaceMethod

Since:
  2.1
See Also:
  - Constant Field Values

### IncompatibleExceptionInThrowsClauseForNonInheritedInterfaceMethod

static final int IncompatibleExceptionInThrowsClauseForNonInheritedInterfaceMethod

Since:
  2.1
See Also:
  - Constant Field Values

### IllegalVararg

static final int IllegalVararg

Since:
  3.1
See Also:
  - Constant Field Values

### OverridingMethodWithoutSuperInvocation

static final int OverridingMethodWithoutSuperInvocation

Since:
  3.3
See Also:
  - Constant Field Values

### MissingSynchronizedModifierInInheritedMethod

static final int MissingSynchronizedModifierInInheritedMethod

Since:
  3.5
See Also:
  - Constant Field Values

### AbstractMethodMustBeImplementedOverConcreteMethod

static final int AbstractMethodMustBeImplementedOverConcreteMethod

Since:
  3.5
See Also:
  - Constant Field Values

### InheritedIncompatibleReturnType

static final int InheritedIncompatibleReturnType

Since:
  3.5
See Also:
  - Constant Field Values

### CodeSnippetMissingClass

static final int CodeSnippetMissingClass

See Also:
  - Constant Field Values

### CodeSnippetMissingMethod

static final int CodeSnippetMissingMethod

See Also:
  - Constant Field Values

### CannotUseSuperInCodeSnippet

static final int CannotUseSuperInCodeSnippet

See Also:
  - Constant Field Values

### TooManyConstantsInConstantPool

static final int TooManyConstantsInConstantPool

See Also:
  - Constant Field Values

### TooManyBytesForStringConstant

static final int TooManyBytesForStringConstant

Since:
  2.1
See Also:
  - Constant Field Values

### TooManyFields

static final int TooManyFields

Since:
  2.1
See Also:
  - Constant Field Values

### TooManyMethods

static final int TooManyMethods

Since:
  2.1
See Also:
  - Constant Field Values

### TooManyParametersForSyntheticMethod

static final int TooManyParametersForSyntheticMethod

Since:
  3.7
See Also:
  - Constant Field Values

### UseAssertAsAnIdentifier

static final int UseAssertAsAnIdentifier

See Also:
  - Constant Field Values

### UseEnumAsAnIdentifier

static final int UseEnumAsAnIdentifier

See Also:
  - Constant Field Values

### EnumConstantsCannotBeSurroundedByParenthesis

static final int EnumConstantsCannotBeSurroundedByParenthesis

Since:
  3.2
See Also:
  - Constant Field Values

### IllegalUseOfUnderscoreAsAnIdentifier

static final int IllegalUseOfUnderscoreAsAnIdentifier

Since:
  3.10
See Also:
  - Constant Field Values

### UninternedIdentityComparison

static final int UninternedIdentityComparison

Since:
  3.10
See Also:
  - Constant Field Values

### ErrorUseOfUnderscoreAsAnIdentifier

static final int ErrorUseOfUnderscoreAsAnIdentifier

Since:
  3.24
See Also:
  - Constant Field Values

### Task

static final int Task

Since:
  2.1
See Also:
  - Constant Field Values

### NullLocalVariableReference

static final int NullLocalVariableReference

Since:
  3.3
See Also:
  - Constant Field Values

### PotentialNullLocalVariableReference

static final int PotentialNullLocalVariableReference

Since:
  3.3
See Also:
  - Constant Field Values

### RedundantNullCheckOnNullLocalVariable

static final int RedundantNullCheckOnNullLocalVariable

Since:
  3.3
See Also:
  - Constant Field Values

### NullLocalVariableComparisonYieldsFalse

static final int NullLocalVariableComparisonYieldsFalse

Since:
  3.3
See Also:
  - Constant Field Values

### RedundantLocalVariableNullAssignment

static final int RedundantLocalVariableNullAssignment

Since:
  3.3
See Also:
  - Constant Field Values

### NullLocalVariableInstanceofYieldsFalse

static final int NullLocalVariableInstanceofYieldsFalse

Since:
  3.3
See Also:
  - Constant Field Values

### RedundantNullCheckOnNonNullLocalVariable

static final int RedundantNullCheckOnNonNullLocalVariable

Since:
  3.3
See Also:
  - Constant Field Values

### NonNullLocalVariableComparisonYieldsFalse

static final int NonNullLocalVariableComparisonYieldsFalse

Since:
  3.3
See Also:
  - Constant Field Values

### PotentialNullUnboxing

static final int PotentialNullUnboxing

Since:
  3.9
See Also:
  - Constant Field Values

### NullUnboxing

static final int NullUnboxing

Since:
  3.9
See Also:
  - Constant Field Values

### UndocumentedEmptyBlock

static final int UndocumentedEmptyBlock

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocInvalidSeeUrlReference

static final int JavadocInvalidSeeUrlReference
Problem signaled on an invalid URL reference. Valid syntax example: @see "http://www.eclipse.org/"

Since:
  3.4
See Also:
  - Constant Field Values

### JavadocMissingTagDescription

static final int JavadocMissingTagDescription
Problem warned on missing tag description.

Since:
  3.4
See Also:
  - Constant Field Values

### JavadocDuplicateTag

static final int JavadocDuplicateTag
Problem warned on duplicated tag.

Since:
  3.3
See Also:
  - Constant Field Values

### JavadocHiddenReference

static final int JavadocHiddenReference
Problem signaled on an hidden reference due to a too low visibility level.

Since:
  3.3
See Also:
  - Constant Field Values

### JavadocInvalidMemberTypeQualification

static final int JavadocInvalidMemberTypeQualification
Problem signaled on an invalid qualification for member type reference.

Since:
  3.3
See Also:
  - Constant Field Values

### JavadocMissingIdentifier

static final int JavadocMissingIdentifier

Since:
  3.2
See Also:
  - Constant Field Values

### JavadocNonStaticTypeFromStaticInvocation

static final int JavadocNonStaticTypeFromStaticInvocation

Since:
  3.2
See Also:
  - Constant Field Values

### JavadocInvalidParamTagTypeParameter

static final int JavadocInvalidParamTagTypeParameter

Since:
  3.1
See Also:
  - Constant Field Values

### JavadocUnexpectedTag

static final int JavadocUnexpectedTag

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocMissingParamTag

static final int JavadocMissingParamTag

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocMissingParamName

static final int JavadocMissingParamName

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocDuplicateParamName

static final int JavadocDuplicateParamName

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocInvalidParamName

static final int JavadocInvalidParamName

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocMissingReturnTag

static final int JavadocMissingReturnTag

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocDuplicateReturnTag

static final int JavadocDuplicateReturnTag

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocMissingThrowsTag

static final int JavadocMissingThrowsTag

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocMissingThrowsClassName

static final int JavadocMissingThrowsClassName

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocInvalidThrowsClass

static final int JavadocInvalidThrowsClass

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocDuplicateThrowsClassName

static final int JavadocDuplicateThrowsClassName

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocInvalidThrowsClassName

static final int JavadocInvalidThrowsClassName

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocMissingSeeReference

static final int JavadocMissingSeeReference

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocInvalidSeeReference

static final int JavadocInvalidSeeReference

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocInvalidSeeHref

static final int JavadocInvalidSeeHref
Problem signaled on an invalid URL reference that does not conform to the href syntax. Valid syntax example: @see Eclipse Home Page

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocInvalidSeeArgs

static final int JavadocInvalidSeeArgs

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocMissing

static final int JavadocMissing

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocInvalidTag

static final int JavadocInvalidTag

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocUndefinedField

static final int JavadocUndefinedField

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocNotVisibleField

static final int JavadocNotVisibleField

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocAmbiguousField

static final int JavadocAmbiguousField

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocUsingDeprecatedField

static final int JavadocUsingDeprecatedField

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocUndefinedConstructor

static final int JavadocUndefinedConstructor

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocNotVisibleConstructor

static final int JavadocNotVisibleConstructor

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocAmbiguousConstructor

static final int JavadocAmbiguousConstructor

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocUsingDeprecatedConstructor

static final int JavadocUsingDeprecatedConstructor

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocUndefinedMethod

static final int JavadocUndefinedMethod

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocNotVisibleMethod

static final int JavadocNotVisibleMethod

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocAmbiguousMethod

static final int JavadocAmbiguousMethod

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocUsingDeprecatedMethod

static final int JavadocUsingDeprecatedMethod

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocNoMessageSendOnBaseType

static final int JavadocNoMessageSendOnBaseType

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocParameterMismatch

static final int JavadocParameterMismatch

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocNoMessageSendOnArrayType

static final int JavadocNoMessageSendOnArrayType

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocUndefinedType

static final int JavadocUndefinedType

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocNotVisibleType

static final int JavadocNotVisibleType

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocAmbiguousType

static final int JavadocAmbiguousType

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocUsingDeprecatedType

static final int JavadocUsingDeprecatedType

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocInternalTypeNameProvided

static final int JavadocInternalTypeNameProvided

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocInheritedMethodHidesEnclosingName

static final int JavadocInheritedMethodHidesEnclosingName

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocInheritedFieldHidesEnclosingName

static final int JavadocInheritedFieldHidesEnclosingName

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocInheritedNameHidesEnclosingTypeName

static final int JavadocInheritedNameHidesEnclosingTypeName

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocAmbiguousMethodReference

static final int JavadocAmbiguousMethodReference

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocUnterminatedInlineTag

static final int JavadocUnterminatedInlineTag

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocMalformedSeeReference

static final int JavadocMalformedSeeReference

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocMessagePrefix

static final int JavadocMessagePrefix

Since:
  3.0
See Also:
  - Constant Field Values

### JavadocMissingHashCharacter

static final int JavadocMissingHashCharacter

Since:
  3.1
See Also:
  - Constant Field Values

### JavadocEmptyReturnTag

static final int JavadocEmptyReturnTag

Since:
  3.1
See Also:
  - Constant Field Values

### JavadocInvalidValueReference

static final int JavadocInvalidValueReference

Since:
  3.1
See Also:
  - Constant Field Values

### JavadocUnexpectedText

static final int JavadocUnexpectedText

Since:
  3.1
See Also:
  - Constant Field Values

### JavadocInvalidParamTagName

static final int JavadocInvalidParamTagName

Since:
  3.1
See Also:
  - Constant Field Values

### JavadocMissingUsesTag

static final int JavadocMissingUsesTag

Since:
  3.20
See Also:
  - Constant Field Values

### JavadocDuplicateUsesTag

static final int JavadocDuplicateUsesTag

Since:
  3.20
See Also:
  - Constant Field Values

### JavadocMissingUsesClassName

static final int JavadocMissingUsesClassName

Since:
  3.20
See Also:
  - Constant Field Values

### JavadocInvalidUsesClassName

static final int JavadocInvalidUsesClassName

Since:
  3.20
See Also:
  - Constant Field Values

### JavadocInvalidUsesClass

static final int JavadocInvalidUsesClass

Since:
  3.20
See Also:
  - Constant Field Values

### JavadocMissingProvidesTag

static final int JavadocMissingProvidesTag

Since:
  3.20
See Also:
  - Constant Field Values

### JavadocDuplicateProvidesTag

static final int JavadocDuplicateProvidesTag

Since:
  3.20
See Also:
  - Constant Field Values

### JavadocMissingProvidesClassName

static final int JavadocMissingProvidesClassName

Since:
  3.20
See Also:
  - Constant Field Values

### JavadocInvalidProvidesClassName

static final int JavadocInvalidProvidesClassName

Since:
  3.20
See Also:
  - Constant Field Values

### JavadocInvalidProvidesClass

static final int JavadocInvalidProvidesClass

Since:
  3.20
See Also:
  - Constant Field Values

### JavadocInvalidModuleQualification

static final int JavadocInvalidModuleQualification

Since:
  3.24
See Also:
  - Constant Field Values

### JavadocInvalidModule

static final int JavadocInvalidModule

Since:
  3.29
See Also:
  - Constant Field Values

### JavadocInvalidSnippet

static final int JavadocInvalidSnippet

Since:
  3.30
See Also:
  - Constant Field Values

### JavadocInvalidSnippetMissingColon

static final int JavadocInvalidSnippetMissingColon

Since:
  3.30
See Also:
  - Constant Field Values

### JavadocInvalidSnippetContentNewLine

static final int JavadocInvalidSnippetContentNewLine

Since:
  3.30
See Also:
  - Constant Field Values

### JavadocInvalidSnippetRegionNotClosed

static final int JavadocInvalidSnippetRegionNotClosed

Since:
  3.30
See Also:
  - Constant Field Values

### JavadocInvalidSnippetRegexSubstringTogether

static final int JavadocInvalidSnippetRegexSubstringTogether

Since:
  3.30
See Also:
  - Constant Field Values

### JavadocInvalidSnippetDuplicateRegions

static final int JavadocInvalidSnippetDuplicateRegions

Since:
  3.30
See Also:
  - Constant Field Values

### DuplicateTypeVariable

static final int DuplicateTypeVariable

Since:
  3.1
See Also:
  - Constant Field Values

### IllegalTypeVariableSuperReference

static final int IllegalTypeVariableSuperReference

Since:
  3.1
See Also:
  - Constant Field Values

### NonStaticTypeFromStaticInvocation

static final int NonStaticTypeFromStaticInvocation

Since:
  3.1
See Also:
  - Constant Field Values

### ObjectCannotBeGeneric

static final int ObjectCannotBeGeneric

Since:
  3.1
See Also:
  - Constant Field Values

### NonGenericType

static final int NonGenericType

Since:
  3.1
See Also:
  - Constant Field Values

### IncorrectArityForParameterizedType

static final int IncorrectArityForParameterizedType

Since:
  3.1
See Also:
  - Constant Field Values

### TypeArgumentMismatch

static final int TypeArgumentMismatch

Since:
  3.1
See Also:
  - Constant Field Values

### DuplicateMethodErasure

static final int DuplicateMethodErasure

Since:
  3.1
See Also:
  - Constant Field Values

### ReferenceToForwardTypeVariable

static final int ReferenceToForwardTypeVariable

Since:
  3.1
See Also:
  - Constant Field Values

### BoundMustBeAnInterface

static final int BoundMustBeAnInterface

Since:
  3.1
See Also:
  - Constant Field Values

### UnsafeRawConstructorInvocation

static final int UnsafeRawConstructorInvocation

Since:
  3.1
See Also:
  - Constant Field Values

### UnsafeRawMethodInvocation

static final int UnsafeRawMethodInvocation

Since:
  3.1
See Also:
  - Constant Field Values

### UnsafeTypeConversion

static final int UnsafeTypeConversion

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidTypeVariableExceptionType

static final int InvalidTypeVariableExceptionType

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidParameterizedExceptionType

static final int InvalidParameterizedExceptionType

Since:
  3.1
See Also:
  - Constant Field Values

### IllegalGenericArray

static final int IllegalGenericArray

Since:
  3.1
See Also:
  - Constant Field Values

### UnsafeRawFieldAssignment

static final int UnsafeRawFieldAssignment

Since:
  3.1
See Also:
  - Constant Field Values

### FinalBoundForTypeVariable

static final int FinalBoundForTypeVariable

Since:
  3.1
See Also:
  - Constant Field Values

### UndefinedTypeVariable

static final int UndefinedTypeVariable

Since:
  3.1
See Also:
  - Constant Field Values

### SuperInterfacesCollide

static final int SuperInterfacesCollide

Since:
  3.1
See Also:
  - Constant Field Values

### WildcardConstructorInvocation

static final int WildcardConstructorInvocation

Since:
  3.1
See Also:
  - Constant Field Values

### WildcardMethodInvocation

static final int WildcardMethodInvocation

Since:
  3.1
See Also:
  - Constant Field Values

### WildcardFieldAssignment

static final int WildcardFieldAssignment

Since:
  3.1
See Also:
  - Constant Field Values

### GenericMethodTypeArgumentMismatch

static final int GenericMethodTypeArgumentMismatch

Since:
  3.1
See Also:
  - Constant Field Values

### GenericConstructorTypeArgumentMismatch

static final int GenericConstructorTypeArgumentMismatch

Since:
  3.1
See Also:
  - Constant Field Values

### UnsafeGenericCast

static final int UnsafeGenericCast

Since:
  3.1
See Also:
  - Constant Field Values

### IllegalInstanceofParameterizedType

static final int IllegalInstanceofParameterizedType

Since:
  3.1
See Also:
  - Constant Field Values

### IllegalInstanceofTypeParameter

static final int IllegalInstanceofTypeParameter

Since:
  3.1
See Also:
  - Constant Field Values

### NonGenericMethod

static final int NonGenericMethod

Since:
  3.1
See Also:
  - Constant Field Values

### IncorrectArityForParameterizedMethod

static final int IncorrectArityForParameterizedMethod

Since:
  3.1
See Also:
  - Constant Field Values

### ParameterizedMethodArgumentTypeMismatch

static final int ParameterizedMethodArgumentTypeMismatch

Since:
  3.1
See Also:
  - Constant Field Values

### NonGenericConstructor

static final int NonGenericConstructor

Since:
  3.1
See Also:
  - Constant Field Values

### IncorrectArityForParameterizedConstructor

static final int IncorrectArityForParameterizedConstructor

Since:
  3.1
See Also:
  - Constant Field Values

### ParameterizedConstructorArgumentTypeMismatch

static final int ParameterizedConstructorArgumentTypeMismatch

Since:
  3.1
See Also:
  - Constant Field Values

### TypeArgumentsForRawGenericMethod

static final int TypeArgumentsForRawGenericMethod

Since:
  3.1
See Also:
  - Constant Field Values

### TypeArgumentsForRawGenericConstructor

static final int TypeArgumentsForRawGenericConstructor

Since:
  3.1
See Also:
  - Constant Field Values

### SuperTypeUsingWildcard

static final int SuperTypeUsingWildcard

Since:
  3.1
See Also:
  - Constant Field Values

### GenericTypeCannotExtendThrowable

static final int GenericTypeCannotExtendThrowable

Since:
  3.1
See Also:
  - Constant Field Values

### IllegalClassLiteralForTypeVariable

static final int IllegalClassLiteralForTypeVariable

Since:
  3.1
See Also:
  - Constant Field Values

### UnsafeReturnTypeOverride

static final int UnsafeReturnTypeOverride

Since:
  3.1
See Also:
  - Constant Field Values

### MethodNameClash

static final int MethodNameClash

Since:
  3.1
See Also:
  - Constant Field Values

### RawMemberTypeCannotBeParameterized

static final int RawMemberTypeCannotBeParameterized

Since:
  3.1
See Also:
  - Constant Field Values

### MissingArgumentsForParameterizedMemberType

static final int MissingArgumentsForParameterizedMemberType

Since:
  3.1
See Also:
  - Constant Field Values

### StaticMemberOfParameterizedType

static final int StaticMemberOfParameterizedType

Since:
  3.1
See Also:
  - Constant Field Values

### BoundHasConflictingArguments

static final int BoundHasConflictingArguments

Since:
  3.1
See Also:
  - Constant Field Values

### DuplicateParameterizedMethods

static final int DuplicateParameterizedMethods

Since:
  3.1
See Also:
  - Constant Field Values

### IllegalQualifiedParameterizedTypeAllocation

static final int IllegalQualifiedParameterizedTypeAllocation

Since:
  3.1
See Also:
  - Constant Field Values

### DuplicateBounds

static final int DuplicateBounds

Since:
  3.1
See Also:
  - Constant Field Values

### BoundCannotBeArray

static final int BoundCannotBeArray

Since:
  3.1
See Also:
  - Constant Field Values

### UnsafeRawGenericConstructorInvocation

static final int UnsafeRawGenericConstructorInvocation

Since:
  3.1
See Also:
  - Constant Field Values

### UnsafeRawGenericMethodInvocation

static final int UnsafeRawGenericMethodInvocation

Since:
  3.1
See Also:
  - Constant Field Values

### TypeParameterHidingType

static final int TypeParameterHidingType

Since:
  3.1
See Also:
  - Constant Field Values

### RawTypeReference

static final int RawTypeReference

Since:
  3.2
See Also:
  - Constant Field Values

### NoAdditionalBoundAfterTypeVariable

static final int NoAdditionalBoundAfterTypeVariable

Since:
  3.2
See Also:
  - Constant Field Values

### UnsafeGenericArrayForVarargs

static final int UnsafeGenericArrayForVarargs

Since:
  3.2
See Also:
  - Constant Field Values

### IllegalAccessFromTypeVariable

static final int IllegalAccessFromTypeVariable

Since:
  3.2
See Also:
  - Constant Field Values

### TypeHidingTypeParameterFromType

static final int TypeHidingTypeParameterFromType

Since:
  3.3
See Also:
  - Constant Field Values

### TypeHidingTypeParameterFromMethod

static final int TypeHidingTypeParameterFromMethod

Since:
  3.3
See Also:
  - Constant Field Values

### InvalidUsageOfWildcard

static final int InvalidUsageOfWildcard

Since:
  3.3
See Also:
  - Constant Field Values

### UnusedTypeArgumentsForMethodInvocation

static final int UnusedTypeArgumentsForMethodInvocation

Since:
  3.4
See Also:
  - Constant Field Values

### IncompatibleTypesInForeach

static final int IncompatibleTypesInForeach

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidTypeForCollection

static final int InvalidTypeForCollection

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidTypeForCollectionTarget14

static final int InvalidTypeForCollectionTarget14

Since:
  3.6
See Also:
  - Constant Field Values

### DuplicateInheritedMethods

static final int DuplicateInheritedMethods

Since:
  3.7.1
See Also:
  - Constant Field Values

### MethodNameClashHidden

static final int MethodNameClashHidden

Since:
  3.8
See Also:
  - Constant Field Values

### UnsafeElementTypeConversion

static final int UnsafeElementTypeConversion

Since:
  3.9
See Also:
  - Constant Field Values

### InvalidTypeArguments

static final int InvalidTypeArguments

Since:
  3.11
See Also:
  - Constant Field Values

### InvalidUsageOfTypeParameters

static final int InvalidUsageOfTypeParameters

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidUsageOfStaticImports

static final int InvalidUsageOfStaticImports

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidUsageOfForeachStatements

static final int InvalidUsageOfForeachStatements

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidUsageOfTypeArguments

static final int InvalidUsageOfTypeArguments

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidUsageOfEnumDeclarations

static final int InvalidUsageOfEnumDeclarations

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidUsageOfVarargs

static final int InvalidUsageOfVarargs

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidUsageOfAnnotations

static final int InvalidUsageOfAnnotations

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidUsageOfAnnotationDeclarations

static final int InvalidUsageOfAnnotationDeclarations

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidUsageOfTypeParametersForAnnotationDeclaration

static final int InvalidUsageOfTypeParametersForAnnotationDeclaration

Since:
  3.4
See Also:
  - Constant Field Values

### InvalidUsageOfTypeParametersForEnumDeclaration

static final int InvalidUsageOfTypeParametersForEnumDeclaration

Since:
  3.4
See Also:
  - Constant Field Values

### IllegalModifierForAnnotationMethod

static final int IllegalModifierForAnnotationMethod

Since:
  3.1
See Also:
  - Constant Field Values

### IllegalExtendedDimensions

static final int IllegalExtendedDimensions

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidFileNameForPackageAnnotations

static final int InvalidFileNameForPackageAnnotations

Since:
  3.1
See Also:
  - Constant Field Values

### IllegalModifierForAnnotationType

static final int IllegalModifierForAnnotationType

Since:
  3.1
See Also:
  - Constant Field Values

### IllegalModifierForAnnotationMemberType

static final int IllegalModifierForAnnotationMemberType

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidAnnotationMemberType

static final int InvalidAnnotationMemberType

Since:
  3.1
See Also:
  - Constant Field Values

### AnnotationCircularitySelfReference

static final int AnnotationCircularitySelfReference

Since:
  3.1
See Also:
  - Constant Field Values

### AnnotationCircularity

static final int AnnotationCircularity

Since:
  3.1
See Also:
  - Constant Field Values

### DuplicateAnnotation

static final int DuplicateAnnotation

Since:
  3.1
See Also:
  - Constant Field Values

### MissingValueForAnnotationMember

static final int MissingValueForAnnotationMember

Since:
  3.1
See Also:
  - Constant Field Values

### DuplicateAnnotationMember

static final int DuplicateAnnotationMember

Since:
  3.1
See Also:
  - Constant Field Values

### UndefinedAnnotationMember

static final int UndefinedAnnotationMember

Since:
  3.1
See Also:
  - Constant Field Values

### AnnotationValueMustBeClassLiteral

static final int AnnotationValueMustBeClassLiteral

Since:
  3.1
See Also:
  - Constant Field Values

### AnnotationValueMustBeConstant

static final int AnnotationValueMustBeConstant

Since:
  3.1
See Also:
  - Constant Field Values

### AnnotationFieldNeedConstantInitialization

static final int AnnotationFieldNeedConstantInitialization
Deprecated.
- problem is no longer generated (code is legite)

Since:
  3.1
See Also:
  - Constant Field Values

### IllegalModifierForAnnotationField

static final int IllegalModifierForAnnotationField

Since:
  3.1
See Also:
  - Constant Field Values

### AnnotationCannotOverrideMethod

static final int AnnotationCannotOverrideMethod

Since:
  3.1
See Also:
  - Constant Field Values

### AnnotationMembersCannotHaveParameters

static final int AnnotationMembersCannotHaveParameters

Since:
  3.1
See Also:
  - Constant Field Values

### AnnotationMembersCannotHaveTypeParameters

static final int AnnotationMembersCannotHaveTypeParameters

Since:
  3.1
See Also:
  - Constant Field Values

### AnnotationTypeDeclarationCannotHaveSuperclass

static final int AnnotationTypeDeclarationCannotHaveSuperclass

Since:
  3.1
See Also:
  - Constant Field Values

### AnnotationTypeDeclarationCannotHaveSuperinterfaces

static final int AnnotationTypeDeclarationCannotHaveSuperinterfaces

Since:
  3.1
See Also:
  - Constant Field Values

### DuplicateTargetInTargetAnnotation

static final int DuplicateTargetInTargetAnnotation

Since:
  3.1
See Also:
  - Constant Field Values

### DisallowedTargetForAnnotation

static final int DisallowedTargetForAnnotation

Since:
  3.1
See Also:
  - Constant Field Values

### MethodMustOverride

static final int MethodMustOverride

Since:
  3.1
See Also:
  - Constant Field Values

### AnnotationTypeDeclarationCannotHaveConstructor

static final int AnnotationTypeDeclarationCannotHaveConstructor

Since:
  3.1
See Also:
  - Constant Field Values

### AnnotationValueMustBeAnnotation

static final int AnnotationValueMustBeAnnotation

Since:
  3.1
See Also:
  - Constant Field Values

### AnnotationTypeUsedAsSuperInterface

static final int AnnotationTypeUsedAsSuperInterface

Since:
  3.1
See Also:
  - Constant Field Values

### MissingOverrideAnnotation

static final int MissingOverrideAnnotation

Since:
  3.1
See Also:
  - Constant Field Values

### FieldMissingDeprecatedAnnotation

static final int FieldMissingDeprecatedAnnotation

Since:
  3.1
See Also:
  - Constant Field Values

### MethodMissingDeprecatedAnnotation

static final int MethodMissingDeprecatedAnnotation

Since:
  3.1
See Also:
  - Constant Field Values

### TypeMissingDeprecatedAnnotation

static final int TypeMissingDeprecatedAnnotation

Since:
  3.1
See Also:
  - Constant Field Values

### UnhandledWarningToken

static final int UnhandledWarningToken

Since:
  3.1
See Also:
  - Constant Field Values

### AnnotationValueMustBeArrayInitializer

static final int AnnotationValueMustBeArrayInitializer

Since:
  3.2
See Also:
  - Constant Field Values

### AnnotationValueMustBeAnEnumConstant

static final int AnnotationValueMustBeAnEnumConstant

Since:
  3.3
See Also:
  - Constant Field Values

### MethodMustOverrideOrImplement

static final int MethodMustOverrideOrImplement

Since:
  3.3
See Also:
  - Constant Field Values

### UnusedWarningToken

static final int UnusedWarningToken

Since:
  3.4
See Also:
  - Constant Field Values

### MissingOverrideAnnotationForInterfaceMethodImplementation

static final int MissingOverrideAnnotationForInterfaceMethodImplementation

Since:
  3.6
See Also:
  - Constant Field Values

### InvalidUsageOfTypeAnnotations

static final int InvalidUsageOfTypeAnnotations

Since:
  3.10
See Also:
  - Constant Field Values

### DisallowedExplicitThisParameter

static final int DisallowedExplicitThisParameter

Since:
  3.10
See Also:
  - Constant Field Values

### MisplacedTypeAnnotations

static final int MisplacedTypeAnnotations

Since:
  3.10
See Also:
  - Constant Field Values

### IllegalTypeAnnotationsInStaticMemberAccess

static final int IllegalTypeAnnotationsInStaticMemberAccess

Since:
  3.10
See Also:
  - Constant Field Values

### IllegalUsageOfTypeAnnotations

static final int IllegalUsageOfTypeAnnotations

Since:
  3.10
See Also:
  - Constant Field Values

### IllegalDeclarationOfThisParameter

static final int IllegalDeclarationOfThisParameter

Since:
  3.10
See Also:
  - Constant Field Values

### ExplicitThisParameterNotBelow18

static final int ExplicitThisParameterNotBelow18

Since:
  3.10
See Also:
  - Constant Field Values

### DefaultMethodNotBelow18

static final int DefaultMethodNotBelow18

Since:
  3.10
See Also:
  - Constant Field Values

### LambdaExpressionNotBelow18

static final int LambdaExpressionNotBelow18

Since:
  3.10
See Also:
  - Constant Field Values

### MethodReferenceNotBelow18

static final int MethodReferenceNotBelow18

Since:
  3.10
See Also:
  - Constant Field Values

### ConstructorReferenceNotBelow18

static final int ConstructorReferenceNotBelow18

Since:
  3.10
See Also:
  - Constant Field Values

### ExplicitThisParameterNotInLambda

static final int ExplicitThisParameterNotInLambda

Since:
  3.10
See Also:
  - Constant Field Values

### ExplicitAnnotationTargetRequired

static final int ExplicitAnnotationTargetRequired

Since:
  3.10
See Also:
  - Constant Field Values

### IllegalTypeForExplicitThis

static final int IllegalTypeForExplicitThis

Since:
  3.10
See Also:
  - Constant Field Values

### IllegalQualifierForExplicitThis

static final int IllegalQualifierForExplicitThis

Since:
  3.10
See Also:
  - Constant Field Values

### IllegalQualifierForExplicitThis2

static final int IllegalQualifierForExplicitThis2

Since:
  3.10
See Also:
  - Constant Field Values

### TargetTypeNotAFunctionalInterface

static final int TargetTypeNotAFunctionalInterface

Since:
  3.10
See Also:
  - Constant Field Values

### IllegalVarargInLambda

static final int IllegalVarargInLambda

Since:
  3.10
See Also:
  - Constant Field Values

### illFormedParameterizationOfFunctionalInterface

static final int illFormedParameterizationOfFunctionalInterface

Since:
  3.10
See Also:
  - Constant Field Values

### lambdaSignatureMismatched

static final int lambdaSignatureMismatched

Since:
  3.10
See Also:
  - Constant Field Values

### lambdaParameterTypeMismatched

static final int lambdaParameterTypeMismatched

Since:
  3.10
See Also:
  - Constant Field Values

### IncompatibleLambdaParameterType

static final int IncompatibleLambdaParameterType

Since:
  3.10
See Also:
  - Constant Field Values

### NoGenericLambda

static final int NoGenericLambda

Since:
  3.10
See Also:
  - Constant Field Values

### UnusedTypeArgumentsForConstructorInvocation

static final int UnusedTypeArgumentsForConstructorInvocation

Since:
  3.4
See Also:
  - Constant Field Values

### UnusedTypeParameter

static final int UnusedTypeParameter

Since:
  3.9
See Also:
  - Constant Field Values

### IllegalArrayOfUnionType

static final int IllegalArrayOfUnionType

Since:
  3.9
See Also:
  - Constant Field Values

### OuterLocalMustBeEffectivelyFinal

static final int OuterLocalMustBeEffectivelyFinal

Since:
  3.10
See Also:
  - Constant Field Values

### InterfaceNotFunctionalInterface

static final int InterfaceNotFunctionalInterface

Since:
  3.10
See Also:
  - Constant Field Values

### ConstructionTypeMismatch

static final int ConstructionTypeMismatch

Since:
  3.10
See Also:
  - Constant Field Values

### ToleratedMisplacedTypeAnnotations

static final int ToleratedMisplacedTypeAnnotations

Since:
  3.10
See Also:
  - Constant Field Values

### InterfaceSuperInvocationNotBelow18

static final int InterfaceSuperInvocationNotBelow18

Since:
  3.13
See Also:
  - Constant Field Values

### InterfaceStaticMethodInvocationNotBelow18

static final int InterfaceStaticMethodInvocationNotBelow18

Since:
  3.13
See Also:
  - Constant Field Values

### FieldMustBeFinal

static final int FieldMustBeFinal

Since:
  3.14
See Also:
  - Constant Field Values

### NonNullExpressionComparisonYieldsFalse

static final int NonNullExpressionComparisonYieldsFalse

Since:
  3.9
See Also:
  - Constant Field Values

### RedundantNullCheckOnNonNullExpression

static final int RedundantNullCheckOnNonNullExpression

Since:
  3.9
See Also:
  - Constant Field Values

### NullExpressionReference

static final int NullExpressionReference

Since:
  3.9
See Also:
  - Constant Field Values

### PotentialNullExpressionReference

static final int PotentialNullExpressionReference

Since:
  3.9
See Also:
  - Constant Field Values

### CorruptedSignature

static final int CorruptedSignature

Since:
  3.1
See Also:
  - Constant Field Values

### InvalidEncoding

static final int InvalidEncoding

Since:
  3.2
See Also:
  - Constant Field Values

### CannotReadSource

static final int CannotReadSource

Since:
  3.2
See Also:
  - Constant Field Values

### BoxingConversion

static final int BoxingConversion

Since:
  3.1
See Also:
  - Constant Field Values

### UnboxingConversion

static final int UnboxingConversion

Since:
  3.1
See Also:
  - Constant Field Values

### StrictfpNotRequired

static final int StrictfpNotRequired
Modifiers

Since:
  3.28
See Also:
  - Constant Field Values

### IllegalModifierForEnum

static final int IllegalModifierForEnum

Since:
  3.1
See Also:
  - Constant Field Values

### IllegalModifierForEnumConstant

static final int IllegalModifierForEnumConstant

Since:
  3.1
See Also:
  - Constant Field Values

### IllegalModifierForLocalEnum

static final int IllegalModifierForLocalEnum
Deprecated.
- problem could not be reported, enums cannot be local takes precedence

Since:
  3.1
See Also:
  - Constant Field Values

### IllegalModifierForMemberEnum

static final int IllegalModifierForMemberEnum

Since:
  3.1
See Also:
  - Constant Field Values

### CannotDeclareEnumSpecialMethod

static final int CannotDeclareEnumSpecialMethod

Since:
  3.1
See Also:
  - Constant Field Values

### IllegalQualifiedEnumConstantLabel

static final int IllegalQualifiedEnumConstantLabel

Since:
  3.1
See Also:
  - Constant Field Values

### CannotExtendEnum

static final int CannotExtendEnum

Since:
  3.1
See Also:
  - Constant Field Values

### CannotInvokeSuperConstructorInEnum

static final int CannotInvokeSuperConstructorInEnum

Since:
  3.1
See Also:
  - Constant Field Values

### EnumAbstractMethodMustBeImplemented

static final int EnumAbstractMethodMustBeImplemented

Since:
  3.1
See Also:
  - Constant Field Values

### EnumSwitchCannotTargetField

static final int EnumSwitchCannotTargetField

Since:
  3.1
See Also:
  - Constant Field Values

### IllegalModifierForEnumConstructor

static final int IllegalModifierForEnumConstructor

Since:
  3.1
See Also:
  - Constant Field Values

### MissingEnumConstantCase

static final int MissingEnumConstantCase

Since:
  3.1
See Also:
  - Constant Field Values

### EnumStaticFieldInInInitializerContext

static final int EnumStaticFieldInInInitializerContext

Since:
  3.2
See Also:
  - Constant Field Values

### EnumConstantMustImplementAbstractMethod

static final int EnumConstantMustImplementAbstractMethod

Since:
  3.4
See Also:
  - Constant Field Values

### EnumConstantCannotDefineAbstractMethod

static final int EnumConstantCannotDefineAbstractMethod

Since:
  3.5
See Also:
  - Constant Field Values

### AbstractMethodInEnum

static final int AbstractMethodInEnum

Since:
  3.5
See Also:
  - Constant Field Values

### MissingEnumDefaultCase

static final int MissingEnumDefaultCase

Since:
  3.8
See Also:
  - Constant Field Values

### MissingDefaultCase

static final int MissingDefaultCase

Since:
  3.8
See Also:
  - Constant Field Values

### MissingEnumConstantCaseDespiteDefault

static final int MissingEnumConstantCaseDespiteDefault

Since:
  3.8
See Also:
  - Constant Field Values

### UninitializedLocalVariableHintMissingDefault

static final int UninitializedLocalVariableHintMissingDefault

Since:
  3.8
See Also:
  - Constant Field Values

### UninitializedBlankFinalFieldHintMissingDefault

static final int UninitializedBlankFinalFieldHintMissingDefault

Since:
  3.8
See Also:
  - Constant Field Values

### ShouldReturnValueHintMissingDefault

static final int ShouldReturnValueHintMissingDefault

Since:
  3.8
See Also:
  - Constant Field Values

### IllegalExtendedDimensionsForVarArgs

static final int IllegalExtendedDimensionsForVarArgs

Since:
  3.1
See Also:
  - Constant Field Values

### MethodVarargsArgumentNeedCast

static final int MethodVarargsArgumentNeedCast

Since:
  3.1
See Also:
  - Constant Field Values

### ConstructorVarargsArgumentNeedCast

static final int ConstructorVarargsArgumentNeedCast

Since:
  3.1
See Also:
  - Constant Field Values

### VarargsConflict

static final int VarargsConflict

Since:
  3.1
See Also:
  - Constant Field Values

### SafeVarargsOnFixedArityMethod

static final int SafeVarargsOnFixedArityMethod

Since:
  3.7.1
See Also:
  - Constant Field Values

### SafeVarargsOnNonFinalInstanceMethod

static final int SafeVarargsOnNonFinalInstanceMethod

Since:
  3.7.1
See Also:
  - Constant Field Values

### PotentialHeapPollutionFromVararg

static final int PotentialHeapPollutionFromVararg

Since:
  3.7.1
See Also:
  - Constant Field Values

### VarargsElementTypeNotVisible

static final int VarargsElementTypeNotVisible

Since:
  3.8
See Also:
  - Constant Field Values

### VarargsElementTypeNotVisibleForConstructor

static final int VarargsElementTypeNotVisibleForConstructor

Since:
  3.8
See Also:
  - Constant Field Values

### ApplicableMethodOverriddenByInapplicable

static final int ApplicableMethodOverriddenByInapplicable

Since:
  3.10
See Also:
  - Constant Field Values

### JavadocGenericMethodTypeArgumentMismatch

static final int JavadocGenericMethodTypeArgumentMismatch

Since:
  3.1
See Also:
  - Constant Field Values

### JavadocNonGenericMethod

static final int JavadocNonGenericMethod

Since:
  3.1
See Also:
  - Constant Field Values

### JavadocIncorrectArityForParameterizedMethod

static final int JavadocIncorrectArityForParameterizedMethod

Since:
  3.1
See Also:
  - Constant Field Values

### JavadocParameterizedMethodArgumentTypeMismatch

static final int JavadocParameterizedMethodArgumentTypeMismatch

Since:
  3.1
See Also:
  - Constant Field Values

### JavadocTypeArgumentsForRawGenericMethod

static final int JavadocTypeArgumentsForRawGenericMethod

Since:
  3.1
See Also:
  - Constant Field Values

### JavadocGenericConstructorTypeArgumentMismatch

static final int JavadocGenericConstructorTypeArgumentMismatch

Since:
  3.1
See Also:
  - Constant Field Values

### JavadocNonGenericConstructor

static final int JavadocNonGenericConstructor

Since:
  3.1
See Also:
  - Constant Field Values

### JavadocIncorrectArityForParameterizedConstructor

static final int JavadocIncorrectArityForParameterizedConstructor

Since:
  3.1
See Also:
  - Constant Field Values

### JavadocParameterizedConstructorArgumentTypeMismatch

static final int JavadocParameterizedConstructorArgumentTypeMismatch

Since:
  3.1
See Also:
  - Constant Field Values

### JavadocTypeArgumentsForRawGenericConstructor

static final int JavadocTypeArgumentsForRawGenericConstructor

Since:
  3.1
See Also:
  - Constant Field Values

### AssignmentToMultiCatchParameter

static final int AssignmentToMultiCatchParameter

Since:
  3.7.1
See Also:
  - Constant Field Values

### ResourceHasToImplementAutoCloseable

static final int ResourceHasToImplementAutoCloseable

Since:
  3.7.1
See Also:
  - Constant Field Values

### AssignmentToResource

static final int AssignmentToResource

Since:
  3.7.1
See Also:
  - Constant Field Values

### InvalidUnionTypeReferenceSequence

static final int InvalidUnionTypeReferenceSequence

Since:
  3.7.1
See Also:
  - Constant Field Values

### AutoManagedResourceNotBelow17

static final int AutoManagedResourceNotBelow17

Since:
  3.7.1
See Also:
  - Constant Field Values

### MultiCatchNotBelow17

static final int MultiCatchNotBelow17

Since:
  3.7.1
See Also:
  - Constant Field Values

### PolymorphicMethodNotBelow17

static final int PolymorphicMethodNotBelow17

Since:
  3.7.1
See Also:
  - Constant Field Values

### IncorrectSwitchType17

static final int IncorrectSwitchType17

Since:
  3.7.1
See Also:
  - Constant Field Values

### CannotInferElidedTypes

static final int CannotInferElidedTypes

Since:
  3.7.1
See Also:
  - Constant Field Values

### CannotUseDiamondWithExplicitTypeArguments

static final int CannotUseDiamondWithExplicitTypeArguments

Since:
  3.7.1
See Also:
  - Constant Field Values

### CannotUseDiamondWithAnonymousClasses

static final int CannotUseDiamondWithAnonymousClasses

Since:
  3.7.1
See Also:
  - Constant Field Values

### SwitchOnStringsNotBelow17

static final int SwitchOnStringsNotBelow17

Since:
  3.7.1
See Also:
  - Constant Field Values

### UnhandledExceptionOnAutoClose

static final int UnhandledExceptionOnAutoClose

Since:
  3.7.1
See Also:
  - Constant Field Values

### DiamondNotBelow17

static final int DiamondNotBelow17

Since:
  3.7.1
See Also:
  - Constant Field Values

### RedundantSpecificationOfTypeArguments

static final int RedundantSpecificationOfTypeArguments

Since:
  3.7.1
See Also:
  - Constant Field Values

### PotentiallyUnclosedCloseable

static final int PotentiallyUnclosedCloseable

Since:
  3.8
See Also:
  - Constant Field Values

### PotentiallyUnclosedCloseableAtExit

static final int PotentiallyUnclosedCloseableAtExit

Since:
  3.8
See Also:
  - Constant Field Values

### UnclosedCloseable

static final int UnclosedCloseable

Since:
  3.8
See Also:
  - Constant Field Values

### UnclosedCloseableAtExit

static final int UnclosedCloseableAtExit

Since:
  3.8
See Also:
  - Constant Field Values

### ExplicitlyClosedAutoCloseable

static final int ExplicitlyClosedAutoCloseable

Since:
  3.8
See Also:
  - Constant Field Values

### SwitchOnEnumNotBelow15

static final int SwitchOnEnumNotBelow15

Since:
  3.8
See Also:
  - Constant Field Values

### IntersectionCastNotBelow18

static final int IntersectionCastNotBelow18

Since:
  3.10
See Also:
  - Constant Field Values

### IllegalBasetypeInIntersectionCast

static final int IllegalBasetypeInIntersectionCast

Since:
  3.10
See Also:
  - Constant Field Values

### IllegalArrayTypeInIntersectionCast

static final int IllegalArrayTypeInIntersectionCast

Since:
  3.10
See Also:
  - Constant Field Values

### DuplicateBoundInIntersectionCast

static final int DuplicateBoundInIntersectionCast

Since:
  3.10
See Also:
  - Constant Field Values

### MultipleFunctionalInterfaces

@Deprecated static final int MultipleFunctionalInterfaces
Deprecated.
This problem is no longer reported; number Of functional interface is not an issue, number of abstract methods is.

Since:
  3.10
See Also:
  - Constant Field Values

### StaticInterfaceMethodNotBelow18

static final int StaticInterfaceMethodNotBelow18

Since:
  3.10
See Also:
  - Constant Field Values

### DuplicateAnnotationNotMarkedRepeatable

static final int DuplicateAnnotationNotMarkedRepeatable

Since:
  3.10
See Also:
  - Constant Field Values

### DisallowedTargetForContainerAnnotationType

static final int DisallowedTargetForContainerAnnotationType

Since:
  3.10
See Also:
  - Constant Field Values

### RepeatedAnnotationWithContainerAnnotation

static final int RepeatedAnnotationWithContainerAnnotation

Since:
  3.10
See Also:
  - Constant Field Values

### AutoManagedVariableResourceNotBelow9

static final int AutoManagedVariableResourceNotBelow9

Since:
  3.14
See Also:
  - Constant Field Values

### ExternalProblemNotFixable

static final int ExternalProblemNotFixable

Since:
  3.2
See Also:
  - Constant Field Values

### ExternalProblemFixable

static final int ExternalProblemFixable

Since:
  3.2
See Also:
  - Constant Field Values

### ContainerAnnotationTypeHasWrongValueType

static final int ContainerAnnotationTypeHasWrongValueType

Since:
  3.10
See Also:
  - Constant Field Values

### ContainerAnnotationTypeMustHaveValue

static final int ContainerAnnotationTypeMustHaveValue

Since:
  3.10
See Also:
  - Constant Field Values

### ContainerAnnotationTypeHasNonDefaultMembers

static final int ContainerAnnotationTypeHasNonDefaultMembers

Since:
  3.10
See Also:
  - Constant Field Values

### ContainerAnnotationTypeHasShorterRetention

static final int ContainerAnnotationTypeHasShorterRetention

Since:
  3.10
See Also:
  - Constant Field Values

### RepeatableAnnotationTypeTargetMismatch

static final int RepeatableAnnotationTypeTargetMismatch

Since:
  3.10
See Also:
  - Constant Field Values

### RepeatableAnnotationTypeIsDocumented

static final int RepeatableAnnotationTypeIsDocumented

Since:
  3.10
See Also:
  - Constant Field Values

### RepeatableAnnotationTypeIsInherited

static final int RepeatableAnnotationTypeIsInherited

Since:
  3.10
See Also:
  - Constant Field Values

### RepeatableAnnotationWithRepeatingContainerAnnotation

static final int RepeatableAnnotationWithRepeatingContainerAnnotation

Since:
  3.10
See Also:
  - Constant Field Values

### RequiredNonNullButProvidedNull

static final int RequiredNonNullButProvidedNull

Since:
  3.8
See Also:
  - Constant Field Values

### RequiredNonNullButProvidedPotentialNull

static final int RequiredNonNullButProvidedPotentialNull

Since:
  3.8
See Also:
  - Constant Field Values

### RequiredNonNullButProvidedUnknown

static final int RequiredNonNullButProvidedUnknown

Since:
  3.8
See Also:
  - Constant Field Values

### MissingNonNullByDefaultAnnotationOnPackage

static final int MissingNonNullByDefaultAnnotationOnPackage

Since:
  3.8
See Also:
  - Constant Field Values

### IllegalReturnNullityRedefinition

static final int IllegalReturnNullityRedefinition

Since:
  3.8
See Also:
  - Constant Field Values

### IllegalRedefinitionToNonNullParameter

static final int IllegalRedefinitionToNonNullParameter

Since:
  3.8
See Also:
  - Constant Field Values

### IllegalDefinitionToNonNullParameter

static final int IllegalDefinitionToNonNullParameter

Since:
  3.8
See Also:
  - Constant Field Values

### ParameterLackingNonNullAnnotation

static final int ParameterLackingNonNullAnnotation

Since:
  3.8
See Also:
  - Constant Field Values

### ParameterLackingNullableAnnotation

static final int ParameterLackingNullableAnnotation

Since:
  3.8
See Also:
  - Constant Field Values

### PotentialNullMessageSendReference

static final int PotentialNullMessageSendReference

Since:
  3.8
See Also:
  - Constant Field Values

### RedundantNullCheckOnNonNullMessageSend

static final int RedundantNullCheckOnNonNullMessageSend

Since:
  3.8
See Also:
  - Constant Field Values

### CannotImplementIncompatibleNullness

static final int CannotImplementIncompatibleNullness

Since:
  3.8
See Also:
  - Constant Field Values

### RedundantNullAnnotation

static final int RedundantNullAnnotation

Since:
  3.8
See Also:
  - Constant Field Values

### IllegalAnnotationForBaseType

static final int IllegalAnnotationForBaseType

Since:
  3.8
See Also:
  - Constant Field Values

### NullableFieldReference

static final int NullableFieldReference

Since:
  3.9
See Also:
  - Constant Field Values

### RedundantNullDefaultAnnotation

static final int RedundantNullDefaultAnnotation

Since:
  3.8
See Also:
  - Constant Field Values

### RedundantNullDefaultAnnotationPackage

static final int RedundantNullDefaultAnnotationPackage

Since:
  3.8
See Also:
  - Constant Field Values

### RedundantNullDefaultAnnotationType

static final int RedundantNullDefaultAnnotationType

Since:
  3.8
See Also:
  - Constant Field Values

### RedundantNullDefaultAnnotationMethod

static final int RedundantNullDefaultAnnotationMethod

Since:
  3.8
See Also:
  - Constant Field Values

### ContradictoryNullAnnotations

static final int ContradictoryNullAnnotations

Since:
  3.8
See Also:
  - Constant Field Values

### MissingNonNullByDefaultAnnotationOnType

static final int MissingNonNullByDefaultAnnotationOnType

Since:
  3.8
See Also:
  - Constant Field Values

### RedundantNullCheckOnSpecdNonNullLocalVariable

static final int RedundantNullCheckOnSpecdNonNullLocalVariable

Since:
  3.8
See Also:
  - Constant Field Values

### SpecdNonNullLocalVariableComparisonYieldsFalse

static final int SpecdNonNullLocalVariableComparisonYieldsFalse

Since:
  3.8
See Also:
  - Constant Field Values

### RequiredNonNullButProvidedSpecdNullable

static final int RequiredNonNullButProvidedSpecdNullable

Since:
  3.8
See Also:
  - Constant Field Values

### UninitializedNonNullField

static final int UninitializedNonNullField

Since:
  3.9
See Also:
  - Constant Field Values

### UninitializedNonNullFieldHintMissingDefault

static final int UninitializedNonNullFieldHintMissingDefault

Since:
  3.9
See Also:
  - Constant Field Values

### NonNullMessageSendComparisonYieldsFalse

static final int NonNullMessageSendComparisonYieldsFalse

Since:
  3.9
See Also:
  - Constant Field Values

### RedundantNullCheckOnNonNullSpecdField

static final int RedundantNullCheckOnNonNullSpecdField

Since:
  3.9
See Also:
  - Constant Field Values

### NonNullSpecdFieldComparisonYieldsFalse

static final int NonNullSpecdFieldComparisonYieldsFalse

Since:
  3.9
See Also:
  - Constant Field Values

### ConflictingNullAnnotations

static final int ConflictingNullAnnotations

Since:
  3.9
See Also:
  - Constant Field Values

### ConflictingInheritedNullAnnotations

static final int ConflictingInheritedNullAnnotations

Since:
  3.9
See Also:
  - Constant Field Values

### RedundantNullCheckOnField

static final int RedundantNullCheckOnField

Since:
  3.10
See Also:
  - Constant Field Values

### FieldComparisonYieldsFalse

static final int FieldComparisonYieldsFalse

Since:
  3.10
See Also:
  - Constant Field Values

### RedundantNullDefaultAnnotationModule

static final int RedundantNullDefaultAnnotationModule

Since:
  3.14
See Also:
  - Constant Field Values

### RedundantNullCheckOnConstNonNullField

static final int RedundantNullCheckOnConstNonNullField

Since:
  3.19
See Also:
  - Constant Field Values

### ConstNonNullFieldComparisonYieldsFalse

static final int ConstNonNullFieldComparisonYieldsFalse

Since:
  3.20
See Also:
  - Constant Field Values

### InheritedParameterLackingNonNullAnnotation

static final int InheritedParameterLackingNonNullAnnotation

Since:
  3.21
See Also:
  - Constant Field Values

### ArrayReferencePotentialNullReference

static final int ArrayReferencePotentialNullReference

Since:
  3.10
See Also:
  - Constant Field Values

### DereferencingNullableExpression

static final int DereferencingNullableExpression

Since:
  3.10
See Also:
  - Constant Field Values

### NullityMismatchingTypeAnnotation

static final int NullityMismatchingTypeAnnotation

Since:
  3.10
See Also:
  - Constant Field Values

### NullityMismatchingTypeAnnotationSuperHint

static final int NullityMismatchingTypeAnnotationSuperHint

Since:
  3.10
See Also:
  - Constant Field Values

### NullityUncheckedTypeAnnotationDetail

static final int NullityUncheckedTypeAnnotationDetail

Since:
  3.10
See Also:
  - Constant Field Values

### NullityUncheckedTypeAnnotationDetailSuperHint

static final int NullityUncheckedTypeAnnotationDetailSuperHint

Since:
  3.10
See Also:
  - Constant Field Values

### ReferenceExpressionParameterNullityMismatch

static final int ReferenceExpressionParameterNullityMismatch

Since:
  3.10
See Also:
  - Constant Field Values

### ReferenceExpressionParameterNullityUnchecked

static final int ReferenceExpressionParameterNullityUnchecked

Since:
  3.10
See Also:
  - Constant Field Values

### ReferenceExpressionReturnNullRedef

static final int ReferenceExpressionReturnNullRedef

Since:
  3.10
See Also:
  - Constant Field Values

### ReferenceExpressionReturnNullRedefUnchecked

static final int ReferenceExpressionReturnNullRedefUnchecked

Since:
  3.10
See Also:
  - Constant Field Values

### RedundantNullCheckAgainstNonNullType

static final int RedundantNullCheckAgainstNonNullType

Since:
  3.10
See Also:
  - Constant Field Values

### NullAnnotationUnsupportedLocation

static final int NullAnnotationUnsupportedLocation

Since:
  3.10
See Also:
  - Constant Field Values

### NullAnnotationUnsupportedLocationAtType

static final int NullAnnotationUnsupportedLocationAtType

Since:
  3.10
See Also:
  - Constant Field Values

### NullityMismatchTypeArgument

static final int NullityMismatchTypeArgument

Since:
  3.10
See Also:
  - Constant Field Values

### ContradictoryNullAnnotationsOnBound

static final int ContradictoryNullAnnotationsOnBound

Since:
  3.10
See Also:
  - Constant Field Values

### ContradictoryNullAnnotationsInferred

static final int ContradictoryNullAnnotationsInferred

Since:
  3.10
See Also:
  - Constant Field Values

### UnsafeNullnessCast

static final int UnsafeNullnessCast

Since:
  3.10
See Also:
  - Constant Field Values

### NonNullDefaultDetailIsNotEvaluated

static final int NonNullDefaultDetailIsNotEvaluated

Since:
  3.10
See Also:
  - Constant Field Values

### NullNotCompatibleToFreeTypeVariable

static final int NullNotCompatibleToFreeTypeVariable

Since:
  3.10
See Also:
  - Constant Field Values

### NullityMismatchAgainstFreeTypeVariable

static final int NullityMismatchAgainstFreeTypeVariable

Since:
  3.10
See Also:
  - Constant Field Values

### ImplicitObjectBoundNoNullDefault

static final int ImplicitObjectBoundNoNullDefault

Since:
  3.11
See Also:
  - Constant Field Values

### IllegalParameterNullityRedefinition

static final int IllegalParameterNullityRedefinition

Since:
  3.11
See Also:
  - Constant Field Values

### ContradictoryNullAnnotationsInferredFunctionType

static final int ContradictoryNullAnnotationsInferredFunctionType

Since:
  3.11
See Also:
  - Constant Field Values

### IllegalReturnNullityRedefinitionFreeTypeVariable

static final int IllegalReturnNullityRedefinitionFreeTypeVariable

Since:
  3.11
See Also:
  - Constant Field Values

### IllegalRedefinitionOfTypeVariable

static final int IllegalRedefinitionOfTypeVariable

Since:
  3.12
See Also:
  - Constant Field Values

### UncheckedAccessOfValueOfFreeTypeVariable

static final int UncheckedAccessOfValueOfFreeTypeVariable

Since:
  3.12
See Also:
  - Constant Field Values

### UninitializedFreeTypeVariableField

static final int UninitializedFreeTypeVariableField

Since:
  3.12
See Also:
  - Constant Field Values

### UninitializedFreeTypeVariableFieldHintMissingDefault

static final int UninitializedFreeTypeVariableFieldHintMissingDefault

Since:
  3.12
See Also:
  - Constant Field Values

### RequiredNonNullButProvidedFreeTypeVariable

static final int RequiredNonNullButProvidedFreeTypeVariable

Since:
  3.12
See Also:
  - Constant Field Values

### NonNullTypeVariableFromLegacyMethod

static final int NonNullTypeVariableFromLegacyMethod

Since:
  3.12
See Also:
  - Constant Field Values

### NonNullMethodTypeVariableFromLegacyMethod

static final int NonNullMethodTypeVariableFromLegacyMethod

Since:
  3.12
See Also:
  - Constant Field Values

### MissingNullAnnotationImplicitlyUsed

static final int MissingNullAnnotationImplicitlyUsed

Since:
  3.21
See Also:
  - Constant Field Values

### AnnotatedTypeArgumentToUnannotated

static final int AnnotatedTypeArgumentToUnannotated

Since:
  3.21
See Also:
  - Constant Field Values

### AnnotatedTypeArgumentToUnannotatedSuperHint

static final int AnnotatedTypeArgumentToUnannotatedSuperHint

Since:
  3.21
See Also:
  - Constant Field Values

### NonNullArrayContentNotInitialized

static final int NonNullArrayContentNotInitialized

Since:
  3.32
See Also:
  - Constant Field Values

### NullityUncheckedTypeAnnotation

static final int NullityUncheckedTypeAnnotation
Both `NullityUncheckedTypeAnnotationDetail` and `NullityUncheckedTypeAnnotation` signal that unchecked conversion is needed to pass a value between annotated and un-annotated code. In the case of `NullityUncheckedTypeAnnotationDetail` the mismatch was observed only on some detail of the types involved (type arguments or array components), for which the UI does not (yet) offer a quick fix, whereas `NullityUncheckedTypeAnnotation` affects the toplevel type and thus can be easily fixed by adding the appropriate null annotation.

Since:
  3.36
See Also:
  - Constant Field Values

### IllegalModifiersForElidedType

static final int IllegalModifiersForElidedType

Since:
  3.10
See Also:
  - Constant Field Values

### IllegalModifiers

static final int IllegalModifiers

Since:
  3.10
See Also:
  - Constant Field Values

### IllegalTypeArgumentsInRawConstructorReference

static final int IllegalTypeArgumentsInRawConstructorReference

Since:
  3.10
See Also:
  - Constant Field Values

### MissingValueFromLambda

static final int MissingValueFromLambda

Since:
  3.18
See Also:
  - Constant Field Values

### IllegalModifierForInterfaceMethod18

static final int IllegalModifierForInterfaceMethod18

Since:
  3.10
See Also:
  - Constant Field Values

### DefaultMethodOverridesObjectMethod

static final int DefaultMethodOverridesObjectMethod

Since:
  3.10
See Also:
  - Constant Field Values

### InheritedDefaultMethodConflictsWithOtherInherited

static final int InheritedDefaultMethodConflictsWithOtherInherited

Since:
  3.10
See Also:
  - Constant Field Values

### DuplicateInheritedDefaultMethods

static final int DuplicateInheritedDefaultMethods

Since:
  3.10
See Also:
  - Constant Field Values

### SuperAccessCannotBypassDirectSuper

static final int SuperAccessCannotBypassDirectSuper

Since:
  3.10
See Also:
  - Constant Field Values

### SuperCallCannotBypassOverride

static final int SuperCallCannotBypassOverride

Since:
  3.10
See Also:
  - Constant Field Values

### IllegalModifierCombinationForInterfaceMethod

static final int IllegalModifierCombinationForInterfaceMethod

Since:
  3.10
See Also:
  - Constant Field Values

### IllegalStrictfpForAbstractInterfaceMethod

static final int IllegalStrictfpForAbstractInterfaceMethod

Since:
  3.10
See Also:
  - Constant Field Values

### IllegalDefaultModifierSpecification

static final int IllegalDefaultModifierSpecification

Since:
  3.10
See Also:
  - Constant Field Values

### CannotInferInvocationType

static final int CannotInferInvocationType

Since:
  3.13
See Also:
  - Constant Field Values

### TypeAnnotationAtQualifiedName

static final int TypeAnnotationAtQualifiedName

Since:
  3.13
See Also:
  - Constant Field Values

### NullAnnotationAtQualifyingType

static final int NullAnnotationAtQualifyingType

Since:
  3.13
See Also:
  - Constant Field Values

### IllegalModifierForInterfaceMethod9

static final int IllegalModifierForInterfaceMethod9

Since:
  3.14
See Also:
  - Constant Field Values

### IllegalModifierCombinationForPrivateInterfaceMethod9

static final int IllegalModifierCombinationForPrivateInterfaceMethod9

Since:
  3.14
See Also:
  - Constant Field Values

### UndefinedModule

static final int UndefinedModule

Since:
  3.14
See Also:
  - Constant Field Values

### DuplicateRequires

static final int DuplicateRequires

Since:
  3.14
See Also:
  - Constant Field Values

### DuplicateExports

static final int DuplicateExports

Since:
  3.14
See Also:
  - Constant Field Values

### DuplicateUses

static final int DuplicateUses

Since:
  3.14
See Also:
  - Constant Field Values

### DuplicateServices

static final int DuplicateServices

Since:
  3.14
See Also:
  - Constant Field Values

### CyclicModuleDependency

static final int CyclicModuleDependency

Since:
  3.14
See Also:
  - Constant Field Values

### AbstractServiceImplementation

static final int AbstractServiceImplementation

Since:
  3.14
See Also:
  - Constant Field Values

### ProviderMethodOrConstructorRequiredForServiceImpl

static final int ProviderMethodOrConstructorRequiredForServiceImpl

Since:
  3.14
See Also:
  - Constant Field Values

### ServiceImplDefaultConstructorNotPublic

static final int ServiceImplDefaultConstructorNotPublic

Since:
  3.14
See Also:
  - Constant Field Values

### NestedServiceImpl

static final int NestedServiceImpl

Since:
  3.14
See Also:
  - Constant Field Values

### ServiceImplNotDefinedByModule

static final int ServiceImplNotDefinedByModule

Since:
  3.14
See Also:
  - Constant Field Values

### PackageDoesNotExistOrIsEmpty

static final int PackageDoesNotExistOrIsEmpty

Since:
  3.14
See Also:
  - Constant Field Values

### NonDenotableTypeArgumentForAnonymousDiamond

static final int NonDenotableTypeArgumentForAnonymousDiamond

Since:
  3.14
See Also:
  - Constant Field Values

### DuplicateOpens

static final int DuplicateOpens

Since:
  3.14
See Also:
  - Constant Field Values

### DuplicateModuleRef

static final int DuplicateModuleRef

Since:
  3.14
See Also:
  - Constant Field Values

### InvalidOpensStatement

static final int InvalidOpensStatement

Since:
  3.14
See Also:
  - Constant Field Values

### InvalidServiceIntfType

static final int InvalidServiceIntfType

Since:
  3.14
See Also:
  - Constant Field Values

### InvalidServiceImplType

static final int InvalidServiceImplType

Since:
  3.14
See Also:
  - Constant Field Values

### IllegalModifierForModule

static final int IllegalModifierForModule

Since:
  3.14
See Also:
  - Constant Field Values

### UndefinedModuleAddReads

static final int UndefinedModuleAddReads

Since:
  3.18
See Also:
  - Constant Field Values

### ExportingForeignPackage

static final int ExportingForeignPackage

Since:
  3.20
See Also:
  - Constant Field Values

### DuplicateResource

static final int DuplicateResource

Since:
  3.14
See Also:
  - Constant Field Values

### ShouldMarkMethodAsOwning

static final int ShouldMarkMethodAsOwning

Since:
  3.37
See Also:
  - Constant Field Values

### MandatoryCloseNotShown

static final int MandatoryCloseNotShown

Since:
  3.37
See Also:
  - Constant Field Values

### MandatoryCloseNotShownAtExit

static final int MandatoryCloseNotShownAtExit

Since:
  3.37
See Also:
  - Constant Field Values

### NotOwningResourceField

static final int NotOwningResourceField

Since:
  3.37
See Also:
  - Constant Field Values

### OwningFieldInNonResourceClass

static final int OwningFieldInNonResourceClass

Since:
  3.37
See Also:
  - Constant Field Values

### OwningFieldShouldImplementClose

static final int OwningFieldShouldImplementClose

Since:
  3.37
See Also:
  - Constant Field Values

### OverrideReducingParamterOwning

static final int OverrideReducingParamterOwning

Since:
  3.37
See Also:
  - Constant Field Values

### OverrideAddingReturnOwning

static final int OverrideAddingReturnOwning

Since:
  3.37
See Also:
  - Constant Field Values

### StaticResourceField

static final int StaticResourceField

Since:
  3.38
See Also:
  - Constant Field Values

### ResourceIsNotAValue

static final int ResourceIsNotAValue

Since:
  3.38
See Also:
  - Constant Field Values

### UsingTerminallyDeprecatedType

static final int UsingTerminallyDeprecatedType

Since:
  3.14
See Also:
  - Constant Field Values

### UsingTerminallyDeprecatedMethod

static final int UsingTerminallyDeprecatedMethod

Since:
  3.14
See Also:
  - Constant Field Values

### UsingTerminallyDeprecatedConstructor

static final int UsingTerminallyDeprecatedConstructor

Since:
  3.14
See Also:
  - Constant Field Values

### UsingTerminallyDeprecatedField

static final int UsingTerminallyDeprecatedField

Since:
  3.14
See Also:
  - Constant Field Values

### OverridingTerminallyDeprecatedMethod

static final int OverridingTerminallyDeprecatedMethod

Since:
  3.14
See Also:
  - Constant Field Values

### UsingDeprecatedSinceVersionType

static final int UsingDeprecatedSinceVersionType

Since:
  3.14
See Also:
  - Constant Field Values

### UsingDeprecatedSinceVersionMethod

static final int UsingDeprecatedSinceVersionMethod

Since:
  3.14
See Also:
  - Constant Field Values

### UsingDeprecatedSinceVersionConstructor

static final int UsingDeprecatedSinceVersionConstructor

Since:
  3.14
See Also:
  - Constant Field Values

### UsingDeprecatedSinceVersionField

static final int UsingDeprecatedSinceVersionField

Since:
  3.14
See Also:
  - Constant Field Values

### OverridingDeprecatedSinceVersionMethod

static final int OverridingDeprecatedSinceVersionMethod

Since:
  3.14
See Also:
  - Constant Field Values

### UsingTerminallyDeprecatedSinceVersionType

static final int UsingTerminallyDeprecatedSinceVersionType

Since:
  3.14
See Also:
  - Constant Field Values

### UsingTerminallyDeprecatedSinceVersionMethod

static final int UsingTerminallyDeprecatedSinceVersionMethod

Since:
  3.14
See Also:
  - Constant Field Values

### UsingTerminallyDeprecatedSinceVersionConstructor

static final int UsingTerminallyDeprecatedSinceVersionConstructor

Since:
  3.14
See Also:
  - Constant Field Values

### UsingTerminallyDeprecatedSinceVersionField

static final int UsingTerminallyDeprecatedSinceVersionField

Since:
  3.14
See Also:
  - Constant Field Values

### OverridingTerminallyDeprecatedSinceVersionMethod

static final int OverridingTerminallyDeprecatedSinceVersionMethod

Since:
  3.14
See Also:
  - Constant Field Values

### UsingDeprecatedPackage

static final int UsingDeprecatedPackage

Since:
  3.14
See Also:
  - Constant Field Values

### UsingDeprecatedSinceVersionPackage

static final int UsingDeprecatedSinceVersionPackage

Since:
  3.14
See Also:
  - Constant Field Values

### UsingTerminallyDeprecatedPackage

static final int UsingTerminallyDeprecatedPackage

Since:
  3.14
See Also:
  - Constant Field Values

### UsingTerminallyDeprecatedSinceVersionPackage

static final int UsingTerminallyDeprecatedSinceVersionPackage

Since:
  3.14
See Also:
  - Constant Field Values

### UsingDeprecatedModule

static final int UsingDeprecatedModule

Since:
  3.14
See Also:
  - Constant Field Values

### UsingDeprecatedSinceVersionModule

static final int UsingDeprecatedSinceVersionModule

Since:
  3.14
See Also:
  - Constant Field Values

### UsingTerminallyDeprecatedModule

static final int UsingTerminallyDeprecatedModule

Since:
  3.14
See Also:
  - Constant Field Values

### UsingTerminallyDeprecatedSinceVersionModule

static final int UsingTerminallyDeprecatedSinceVersionModule

Since:
  3.14
See Also:
  - Constant Field Values

### NotAccessibleType

static final int NotAccessibleType

Since:
  3.14
See Also:
  - Constant Field Values

### NotAccessibleField

static final int NotAccessibleField

Since:
  3.14
See Also:
  - Constant Field Values

### NotAccessibleMethod

static final int NotAccessibleMethod

Since:
  3.14
See Also:
  - Constant Field Values

### NotAccessibleConstructor

static final int NotAccessibleConstructor

Since:
  3.14
See Also:
  - Constant Field Values

### NotAccessiblePackage

static final int NotAccessiblePackage

Since:
  3.14
See Also:
  - Constant Field Values

### ConflictingPackageFromModules

static final int ConflictingPackageFromModules

Since:
  3.14
See Also:
  - Constant Field Values

### ConflictingPackageFromOtherModules

static final int ConflictingPackageFromOtherModules

Since:
  3.14
See Also:
  - Constant Field Values

### NonPublicTypeInAPI

static final int NonPublicTypeInAPI

Since:
  3.14
See Also:
  - Constant Field Values

### NotExportedTypeInAPI

static final int NotExportedTypeInAPI

Since:
  3.14
See Also:
  - Constant Field Values

### MissingRequiresTransitiveForTypeInAPI

static final int MissingRequiresTransitiveForTypeInAPI

Since:
  3.14
See Also:
  - Constant Field Values

### UnnamedPackageInNamedModule

static final int UnnamedPackageInNamedModule

Since:
  3.14
See Also:
  - Constant Field Values

### UnstableAutoModuleName

static final int UnstableAutoModuleName

Since:
  3.14
See Also:
  - Constant Field Values

### ConflictingPackageInModules

static final int ConflictingPackageInModules

Since:
  3.24
See Also:
  - Constant Field Values

### ModuleNotRead

static final int ModuleNotRead

Since:
  3.40 @noreference This field is not intended to be referenced by clients.
See Also:
  - Constant Field Values

### JavadocNotAccessibleType

static final int JavadocNotAccessibleType

Since:
  3.22
See Also:
  - Constant Field Values

### RedundantNullDefaultAnnotationLocal

static final int RedundantNullDefaultAnnotationLocal

Since:
  3.13
See Also:
  - Constant Field Values

### RedundantNullDefaultAnnotationField

static final int RedundantNullDefaultAnnotationField

Since:
  3.13
See Also:
  - Constant Field Values

### GenericInferenceError

static final int GenericInferenceError

Since:
  3.10
See Also:
  - Constant Field Values

### LambdaShapeComputationError

static final int LambdaShapeComputationError
Deprecated.
- problem is no longer generated (implementation issue has been resolved)

Since:
  3.10
See Also:
  - Constant Field Values

### ProblemNotAnalysed

static final int ProblemNotAnalysed

Since:
  3.13
See Also:
  - Constant Field Values

### PreviewFeatureDisabled

static final int PreviewFeatureDisabled

Since:
  3.18
See Also:
  - Constant Field Values

### PreviewFeatureUsed

static final int PreviewFeatureUsed

Since:
  3.18
See Also:
  - Constant Field Values

### PreviewFeatureNotSupported

static final int PreviewFeatureNotSupported

Since:
  3.18
See Also:
  - Constant Field Values

### PreviewFeaturesNotAllowed

static final int PreviewFeaturesNotAllowed

Since:
  3.20
See Also:
  - Constant Field Values

### FeatureNotSupported

static final int FeatureNotSupported

Since:
  3.24
See Also:
  - Constant Field Values

### PreviewAPIUsed

static final int PreviewAPIUsed

Since:
  3.26
See Also:
  - Constant Field Values

### JavaVersionNotSupported

static final int JavaVersionNotSupported

Since:
  3.39
See Also:
  - Constant Field Values

### JavaVersionTooRecent

static final int JavaVersionTooRecent

Since:
  3.40
See Also:
  - Constant Field Values

### UnlikelyCollectionMethodArgumentType

static final int UnlikelyCollectionMethodArgumentType

Since:
  3.13
See Also:
  - Constant Field Values

### UnlikelyEqualsArgumentType

static final int UnlikelyEqualsArgumentType

Since:
  3.13
See Also:
  - Constant Field Values

### VarLocalMultipleDeclarators

static final int VarLocalMultipleDeclarators

Since:
  3.14
See Also:
  - Constant Field Values

### VarLocalCannotBeArray

static final int VarLocalCannotBeArray

Since:
  3.14
See Also:
  - Constant Field Values

### VarLocalReferencesItself

static final int VarLocalReferencesItself

Since:
  3.14
See Also:
  - Constant Field Values

### VarLocalWithoutInitizalier

static final int VarLocalWithoutInitizalier

Since:
  3.14
See Also:
  - Constant Field Values

### VarLocalInitializedToNull

static final int VarLocalInitializedToNull

Since:
  3.14
See Also:
  - Constant Field Values

### VarLocalInitializedToVoid

static final int VarLocalInitializedToVoid

Since:
  3.14
See Also:
  - Constant Field Values

### VarLocalCannotBeArrayInitalizers

static final int VarLocalCannotBeArrayInitalizers

Since:
  3.14
See Also:
  - Constant Field Values

### VarLocalCannotBeLambda

static final int VarLocalCannotBeLambda

Since:
  3.14
See Also:
  - Constant Field Values

### VarLocalCannotBeMethodReference

static final int VarLocalCannotBeMethodReference

Since:
  3.14
See Also:
  - Constant Field Values

### VarIsReserved

static final int VarIsReserved

Since:
  3.14
See Also:
  - Constant Field Values

### VarIsReservedInFuture

static final int VarIsReservedInFuture

Since:
  3.14
See Also:
  - Constant Field Values

### VarIsNotAllowedHere

static final int VarIsNotAllowedHere

Since:
  3.14
See Also:
  - Constant Field Values

### VarCannotBeMixedWithNonVarParams

static final int VarCannotBeMixedWithNonVarParams

Since:
  3.16
See Also:
  - Constant Field Values

### VarCannotBeUsedWithTypeArguments

static final int VarCannotBeUsedWithTypeArguments

Since:
  3.35
See Also:
  - Constant Field Values

### SwitchExpressionsIncompatibleResultExpressionTypes

static final int SwitchExpressionsIncompatibleResultExpressionTypes
Deprecated.
preview related error - will be removed

Since:
  3.18
See Also:
  - Constant Field Values
Restriction:
  preview related error

### SwitchExpressionsEmptySwitchBlock

static final int SwitchExpressionsEmptySwitchBlock
Deprecated.
preview related error - will be removed

Since:
  3.18
See Also:
  - Constant Field Values
Restriction:
  preview related error

### SwitchExpressionsNoResultExpression

static final int SwitchExpressionsNoResultExpression
Deprecated.
preview related error - will be removed

Since:
  3.18
See Also:
  - Constant Field Values
Restriction:
  preview related error

### SwitchExpressionSwitchLabeledBlockCompletesNormally

static final int SwitchExpressionSwitchLabeledBlockCompletesNormally
Deprecated.
preview related error - will be removed

Since:
  3.18
See Also:
  - Constant Field Values
Restriction:
  preview related error

### SwitchExpressionLastStatementCompletesNormally

static final int SwitchExpressionLastStatementCompletesNormally
Deprecated.
preview related error - will be removed

Since:
  3.18
See Also:
  - Constant Field Values
Restriction:
  preview related error

### SwitchExpressionTrailingSwitchLabels

static final int SwitchExpressionTrailingSwitchLabels
Deprecated.
preview related error - will be removed

Since:
  3.18
See Also:
  - Constant Field Values
Restriction:
  preview related error

### switchMixedCase

static final int switchMixedCase
Deprecated.
preview related error - will be removed

Since:
  3.18
See Also:
  - Constant Field Values
Restriction:
  preview related error

### SwitchExpressionMissingDefaultCase

static final int SwitchExpressionMissingDefaultCase
Deprecated.
preview related error - will be removed

Since:
  3.18
See Also:
  - Constant Field Values
Restriction:
  preview related error

### SwitchExpressionBreakMissingValue

static final int SwitchExpressionBreakMissingValue
Deprecated.
preview related error - will be removed

Since:
  3.18
See Also:
  - Constant Field Values
Restriction:
  preview related error

### SwitchExpressionMissingEnumConstantCase

static final int SwitchExpressionMissingEnumConstantCase
Deprecated.
preview related error - will be removed

Since:
  3.18
See Also:
  - Constant Field Values
Restriction:
  preview related error

### SwitchExpressionIllegalLastStatement

static final int SwitchExpressionIllegalLastStatement
Deprecated.
preview related error - will be removed

Since:
  3.18
See Also:
  - Constant Field Values
Restriction:
  preview related error

### SwitchExpressionsYieldIncompatibleResultExpressionTypes

static final int SwitchExpressionsYieldIncompatibleResultExpressionTypes

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionsYieldEmptySwitchBlock

static final int SwitchExpressionsYieldEmptySwitchBlock
Deprecated.
no longer issued - will be removed

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionsYieldNoResultExpression

static final int SwitchExpressionsYieldNoResultExpression

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionaYieldSwitchLabeledBlockCompletesNormally

static final int SwitchExpressionaYieldSwitchLabeledBlockCompletesNormally

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionsYieldLastStatementCompletesNormally

static final int SwitchExpressionsYieldLastStatementCompletesNormally
Deprecated.
no longer issued - will be removed

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionsYieldTrailingSwitchLabels

static final int SwitchExpressionsYieldTrailingSwitchLabels
Deprecated.
no longer issued - will be removed

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchPreviewMixedCase

static final int SwitchPreviewMixedCase

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionsYieldMissingDefaultCase

static final int SwitchExpressionsYieldMissingDefaultCase

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionsYieldMissingValue

static final int SwitchExpressionsYieldMissingValue
Deprecated.
no longer issued - will be removed

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionsYieldMissingEnumConstantCase

static final int SwitchExpressionsYieldMissingEnumConstantCase

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionsYieldIllegalLastStatement

static final int SwitchExpressionsYieldIllegalLastStatement
Deprecated.
no longer issued - will be removed

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionsYieldBreakNotAllowed

static final int SwitchExpressionsYieldBreakNotAllowed
Deprecated.
no longer issued - will be removed

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionsYieldUnqualifiedMethodWarning

static final int SwitchExpressionsYieldUnqualifiedMethodWarning
Deprecated.
no longer issued - will be removed

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionsYieldUnqualifiedMethodError

static final int SwitchExpressionsYieldUnqualifiedMethodError

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionsYieldOutsideSwitchExpression

static final int SwitchExpressionsYieldOutsideSwitchExpression

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionsYieldRestrictedGeneralWarning

static final int SwitchExpressionsYieldRestrictedGeneralWarning
Deprecated.
no longer issued - will be removed

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionsYieldIllegalStatement

static final int SwitchExpressionsYieldIllegalStatement
Deprecated.
no longer issued - will be removed

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionsYieldTypeDeclarationWarning

static final int SwitchExpressionsYieldTypeDeclarationWarning
Deprecated.
no longer issued - will be removed

Since:
  3.21
See Also:
  - Constant Field Values

### SwitchExpressionsYieldTypeDeclarationError

static final int SwitchExpressionsYieldTypeDeclarationError
Deprecated.
no longer issued - will be removed

Since:
  3.21
See Also:
  - Constant Field Values

### MultiConstantCaseLabelsNotSupported

static final int MultiConstantCaseLabelsNotSupported

Since:
  3.22
See Also:
  - Constant Field Values

### ArrowInCaseStatementsNotSupported

static final int ArrowInCaseStatementsNotSupported

Since:
  3.22
See Also:
  - Constant Field Values

### SwitchExpressionsNotSupported

static final int SwitchExpressionsNotSupported

Since:
  3.22
See Also:
  - Constant Field Values

### SwitchExpressionsBreakOutOfSwitchExpression

static final int SwitchExpressionsBreakOutOfSwitchExpression

Since:
  3.22
See Also:
  - Constant Field Values

### SwitchExpressionsContinueOutOfSwitchExpression

static final int SwitchExpressionsContinueOutOfSwitchExpression

Since:
  3.22
See Also:
  - Constant Field Values

### SwitchExpressionsReturnWithinSwitchExpression

static final int SwitchExpressionsReturnWithinSwitchExpression

Since:
  3.22
See Also:
  - Constant Field Values

### RecordIllegalModifierForInnerRecord

static final int RecordIllegalModifierForInnerRecord

Since:
  3.26
See Also:
  - Constant Field Values

### RecordIllegalModifierForRecord

static final int RecordIllegalModifierForRecord

Since:
  3.26
See Also:
  - Constant Field Values

### RecordIllegalComponentNameInRecord

static final int RecordIllegalComponentNameInRecord

Since:
  3.26 JLS 14 Sec 8.10.1 it is always a compile-time error for a record header to declare a record component with the name finalize, getClass, hashCode, notify, notifyAll, or toString.
See Also:
  - Constant Field Values

### RecordNonStaticFieldDeclarationInRecord

static final int RecordNonStaticFieldDeclarationInRecord

Since:
  3.26
See Also:
  - Constant Field Values

### RecordAccessorMethodHasThrowsClause

static final int RecordAccessorMethodHasThrowsClause

Since:
  3.26
See Also:
  - Constant Field Values

### RecordCanonicalConstructorHasThrowsClause

static final int RecordCanonicalConstructorHasThrowsClause

Since:
  3.26
See Also:
  - Constant Field Values

### RecordCanonicalConstructorVisibilityReduced

static final int RecordCanonicalConstructorVisibilityReduced

Since:
  3.26
See Also:
  - Constant Field Values

### RecordMultipleCanonicalConstructors

static final int RecordMultipleCanonicalConstructors

Since:
  3.26
See Also:
  - Constant Field Values

### RecordCompactConstructorHasReturnStatement

static final int RecordCompactConstructorHasReturnStatement

Since:
  3.26
See Also:
  - Constant Field Values

### RecordDuplicateComponent

static final int RecordDuplicateComponent

Since:
  3.26
See Also:
  - Constant Field Values

### RecordIllegalNativeModifierInRecord

static final int RecordIllegalNativeModifierInRecord

Since:
  3.26
See Also:
  - Constant Field Values

### RecordInstanceInitializerBlockInRecord

static final int RecordInstanceInitializerBlockInRecord

Since:
  3.26
See Also:
  - Constant Field Values

### RestrictedTypeName

static final int RestrictedTypeName

Since:
  3.26
See Also:
  - Constant Field Values

### RecordIllegalAccessorReturnType

static final int RecordIllegalAccessorReturnType

Since:
  3.26
See Also:
  - Constant Field Values

### RecordAccessorMethodShouldNotBeGeneric

static final int RecordAccessorMethodShouldNotBeGeneric

Since:
  3.26
See Also:
  - Constant Field Values

### RecordAccessorMethodShouldBePublic

static final int RecordAccessorMethodShouldBePublic

Since:
  3.26
See Also:
  - Constant Field Values

### RecordCanonicalConstructorShouldNotBeGeneric

static final int RecordCanonicalConstructorShouldNotBeGeneric

Since:
  3.26
See Also:
  - Constant Field Values

### RecordCanonicalConstructorHasReturnStatement

static final int RecordCanonicalConstructorHasReturnStatement

Since:
  3.26
See Also:
  - Constant Field Values

### RecordCanonicalConstructorHasExplicitConstructorCall

static final int RecordCanonicalConstructorHasExplicitConstructorCall

Since:
  3.26
See Also:
  - Constant Field Values

### RecordCompactConstructorHasExplicitConstructorCall

static final int RecordCompactConstructorHasExplicitConstructorCall

Since:
  3.26
See Also:
  - Constant Field Values

### RecordNestedRecordInherentlyStatic

static final int RecordNestedRecordInherentlyStatic

Since:
  3.26
See Also:
  - Constant Field Values

### RecordAccessorMethodShouldNotBeStatic

static final int RecordAccessorMethodShouldNotBeStatic

Since:
  3.26
See Also:
  - Constant Field Values

### RecordCannotExtendRecord

static final int RecordCannotExtendRecord

Since:
  3.26
See Also:
  - Constant Field Values

### RecordComponentCannotBeVoid

static final int RecordComponentCannotBeVoid

Since:
  3.26
See Also:
  - Constant Field Values

### RecordIllegalVararg

static final int RecordIllegalVararg

Since:
  3.26
See Also:
  - Constant Field Values

### RecordStaticReferenceToOuterLocalVariable

static final int RecordStaticReferenceToOuterLocalVariable

Since:
  3.26
See Also:
  - Constant Field Values

### RecordCannotDefineRecordInLocalType

static final int RecordCannotDefineRecordInLocalType

Since:
  3.26
See Also:
  - Constant Field Values

### RecordComponentsCannotHaveModifiers

static final int RecordComponentsCannotHaveModifiers

Since:
  3.26
See Also:
  - Constant Field Values

### RecordIllegalParameterNameInCanonicalConstructor

static final int RecordIllegalParameterNameInCanonicalConstructor

Since:
  3.26
See Also:
  - Constant Field Values

### RecordIllegalExplicitFinalFieldAssignInCompactConstructor

static final int RecordIllegalExplicitFinalFieldAssignInCompactConstructor

Since:
  3.26
See Also:
  - Constant Field Values

### RecordMissingExplicitConstructorCallInNonCanonicalConstructor

static final int RecordMissingExplicitConstructorCallInNonCanonicalConstructor

Since:
  3.26
See Also:
  - Constant Field Values

### RecordIllegalStaticModifierForLocalClassOrInterface

static final int RecordIllegalStaticModifierForLocalClassOrInterface

Since:
  3.26
See Also:
  - Constant Field Values

### RecordIllegalModifierForLocalRecord

static final int RecordIllegalModifierForLocalRecord

Since:
  3.26
See Also:
  - Constant Field Values

### RecordIllegalExtendedDimensionsForRecordComponent

static final int RecordIllegalExtendedDimensionsForRecordComponent

Since:
  3.26
See Also:
  - Constant Field Values

### SafeVarargsOnSyntheticRecordAccessor

static final int SafeVarargsOnSyntheticRecordAccessor

Since:
  3.26
See Also:
  - Constant Field Values

### LocalStaticsIllegalVisibilityModifierForInterfaceLocalType

static final int LocalStaticsIllegalVisibilityModifierForInterfaceLocalType

Since:
  3.28
See Also:
  - Constant Field Values

### IllegalModifierForLocalEnumDeclaration

static final int IllegalModifierForLocalEnumDeclaration

Since:
  3.28
See Also:
  - Constant Field Values

### ClassExtendFinalRecord

static final int ClassExtendFinalRecord

Since:
  3.28
See Also:
  - Constant Field Values

### RecordErasureIncompatibilityInCanonicalConstructor

static final int RecordErasureIncompatibilityInCanonicalConstructor

Since:
  3.29
See Also:
  - Constant Field Values

### PatternVariableNotInScope

static final int PatternVariableNotInScope
Deprecated.
problem no longer generated

Since:
  3.22
See Also:
  - Constant Field Values

### PatternVariableRedefined

static final int PatternVariableRedefined

Since:
  3.26
See Also:
  - Constant Field Values

### PatternSubtypeOfExpression

static final int PatternSubtypeOfExpression
Deprecated.

Since:
  3.26
See Also:
  - Constant Field Values

### IllegalModifierForPatternVariable

static final int IllegalModifierForPatternVariable

Since:
  3.26
See Also:
  - Constant Field Values

### PatternVariableRedeclared

static final int PatternVariableRedeclared

Since:
  3.26
See Also:
  - Constant Field Values

### DimensionsIllegalOnRecordPattern

static final int DimensionsIllegalOnRecordPattern

Since:
  3.38
See Also:
  - Constant Field Values

### DiscouragedValueBasedTypeSynchronization

static final int DiscouragedValueBasedTypeSynchronization

Since:
  3.28
See Also:
  - Constant Field Values

### SealedMissingClassModifier

static final int SealedMissingClassModifier

Since:
  3.28
See Also:
  - Constant Field Values

### SealedDisAllowedNonSealedModifierInClass

static final int SealedDisAllowedNonSealedModifierInClass

Since:
  3.28
See Also:
  - Constant Field Values

### SealedSuperClassDoesNotPermit

static final int SealedSuperClassDoesNotPermit

Since:
  3.28
See Also:
  - Constant Field Values

### SealedSuperInterfaceDoesNotPermit

static final int SealedSuperInterfaceDoesNotPermit

Since:
  3.28
See Also:
  - Constant Field Values

### SealedMissingSealedModifier

static final int SealedMissingSealedModifier

Since:
  3.28
See Also:
  - Constant Field Values

### SealedMissingInterfaceModifier

static final int SealedMissingInterfaceModifier

Since:
  3.28
See Also:
  - Constant Field Values

### SealedDuplicateTypeInPermits

static final int SealedDuplicateTypeInPermits

Since:
  3.28
See Also:
  - Constant Field Values

### SealedNotDirectSuperClass

static final int SealedNotDirectSuperClass

Since:
  3.28
See Also:
  - Constant Field Values

### SealedPermittedTypeOutsideOfModule

static final int SealedPermittedTypeOutsideOfModule

Since:
  3.28
See Also:
  - Constant Field Values

### SealedPermittedTypeOutsideOfPackage

static final int SealedPermittedTypeOutsideOfPackage

Since:
  3.28
See Also:
  - Constant Field Values

### SealedSealedTypeMissingPermits

static final int SealedSealedTypeMissingPermits

Since:
  3.28
See Also:
  - Constant Field Values

### SealedInterfaceIsSealedAndNonSealed

static final int SealedInterfaceIsSealedAndNonSealed
Deprecated.
problem no longer generated

Since:
  3.28
See Also:
  - Constant Field Values

### SealedDisAllowedNonSealedModifierInInterface

static final int SealedDisAllowedNonSealedModifierInInterface

Since:
  3.28
See Also:
  - Constant Field Values

### SealedNotDirectSuperInterface

static final int SealedNotDirectSuperInterface

Since:
  3.28
See Also:
  - Constant Field Values

### SealedLocalDirectSuperTypeSealed

static final int SealedLocalDirectSuperTypeSealed

Since:
  3.28
See Also:
  - Constant Field Values

### SealedAnonymousClassCannotExtendSealedType

static final int SealedAnonymousClassCannotExtendSealedType

Since:
  3.28
See Also:
  - Constant Field Values

### SealedSuperTypeInDifferentPackage

static final int SealedSuperTypeInDifferentPackage
Deprecated.
problem no longer generated

Since:
  3.28
See Also:
  - Constant Field Values

### SealedSuperTypeDisallowed

static final int SealedSuperTypeDisallowed
Deprecated.
problem no longer generated

Since:
  3.28
See Also:
  - Constant Field Values

### FunctionalInterfaceMayNotbeSealed

static final int FunctionalInterfaceMayNotbeSealed

Since:
  3.40
See Also:
  - Constant Field Values

### LocalReferencedInGuardMustBeEffectivelyFinal

static final int LocalReferencedInGuardMustBeEffectivelyFinal

Since:
  3.28
See Also:
  - Constant Field Values
Restriction:
  preview feature error

### ConstantWithPatternIncompatible

static final int ConstantWithPatternIncompatible

Since:
  3.28
See Also:
  - Constant Field Values
Restriction:
  preview feature error

### IllegalFallthroughToPattern

static final int IllegalFallthroughToPattern

Since:
  3.28
See Also:
  - Constant Field Values
Restriction:
  preview feature error

### PatternDominated

static final int PatternDominated

Since:
  3.28
See Also:
  - Constant Field Values
Restriction:
  preview feature error

### IllegalTotalPatternWithDefault

static final int IllegalTotalPatternWithDefault

Since:
  3.28
See Also:
  - Constant Field Values
Restriction:
  preview feature error

### EnhancedSwitchMissingDefault

static final int EnhancedSwitchMissingDefault

Since:
  3.28
See Also:
  - Constant Field Values
Restriction:
  preview feature error

### PatternSwitchNullOnlyOrFirstWithDefault

static final int PatternSwitchNullOnlyOrFirstWithDefault

Since:
  3.34
See Also:
  - Constant Field Values
Restriction:
  preview feature error

### PatternSwitchCaseDefaultOnlyAsSecond

static final int PatternSwitchCaseDefaultOnlyAsSecond

Since:
  3.34
See Also:
  - Constant Field Values
Restriction:
  preview feature error

### IllegalFallthroughFromAPattern

static final int IllegalFallthroughFromAPattern

Since:
  3.34
See Also:
  - Constant Field Values
Restriction:
  preview feature error

### UnnecessaryNullCaseInSwitchOverNonNull

static final int UnnecessaryNullCaseInSwitchOverNonNull

Since:
  3.28
See Also:
  - Constant Field Values
Restriction:
  preview feature error

### UnexpectedTypeinSwitchPattern

static final int UnexpectedTypeinSwitchPattern

Since:
  3.28
See Also:
  - Constant Field Values
Restriction:
  preview feature error

### UnexpectedTypeinRecordPattern

static final int UnexpectedTypeinRecordPattern

Since:
  3.32
See Also:
  - Constant Field Values
Restriction:
  preview feature

### RecordPatternMismatch

static final int RecordPatternMismatch

Since:
  3.32
See Also:
  - Constant Field Values
Restriction:
  preview feature

### PatternTypeMismatch

static final int PatternTypeMismatch

Since:
  3.32
See Also:
  - Constant Field Values
Restriction:
  preview feature

### RawTypeInRecordPattern

static final int RawTypeInRecordPattern
Deprecated.

Since:
  3.32
See Also:
  - Constant Field Values
Restriction:
  preview feature

### FalseConstantInGuard

static final int FalseConstantInGuard

Since:
  3.36
See Also:
  - Constant Field Values
Restriction:
  preview feature

### CannotInferRecordPatternTypes

static final int CannotInferRecordPatternTypes

Since:
  3.34
See Also:
  - Constant Field Values
Restriction:
  preview feature

### IllegalRecordPattern

static final int IllegalRecordPattern

Since:
  3.36
See Also:
  - Constant Field Values

### NamedPatternVariablesDisallowedHere

static final int NamedPatternVariablesDisallowedHere

Since:
  3.38
See Also:
  - Constant Field Values

### ImplicitClassMissingMainMethod

static final int ImplicitClassMissingMainMethod

Since:
  3.38
See Also:
  - Constant Field Values

### SyntheticAccessorNotEnclosingMethod

static final int SyntheticAccessorNotEnclosingMethod

Since:
  3.35
See Also:
  - Constant Field Values

### UnderscoreCannotBeUsedHere

static final int UnderscoreCannotBeUsedHere

Since:
  3.38
See Also:
  - Constant Field Values
Restriction:
  preview feature

### UnnamedVariableMustHaveInitializer

static final int UnnamedVariableMustHaveInitializer

Since:
  3.38
See Also:
  - Constant Field Values
Restriction:
  preview feature

### ExpressionInEarlyConstructionContext

static final int ExpressionInEarlyConstructionContext

Since:
  3.40
See Also:
  - Constant Field Values
Restriction:
  preview feature

### DisallowedStatementInEarlyConstructionContext

static final int DisallowedStatementInEarlyConstructionContext

Since:
  3.40
See Also:
  - Constant Field Values
Restriction:
  preview feature

### FieldReadInEarlyConstructionContext

static final int FieldReadInEarlyConstructionContext

Since:
  3.40
See Also:
  - Constant Field Values
Restriction:
  preview feature

### ThisInEarlyConstructionContext

static final int ThisInEarlyConstructionContext

Since:
  3.40
See Also:
  - Constant Field Values
Restriction:
  preview feature

### AllocationInEarlyConstructionContext

static final int AllocationInEarlyConstructionContext

Since:
  3.40
See Also:
  - Constant Field Values
Restriction:
  preview feature

### MessageSendInEarlyConstructionContext

static final int MessageSendInEarlyConstructionContext

Since:
  3.40
See Also:
  - Constant Field Values
Restriction:
  preview feature

### DuplicateExplicitConstructorCall

static final int DuplicateExplicitConstructorCall

Since:
  3.40
See Also:
  - Constant Field Values
Restriction:
  preview feature

### SuperFieldAssignInEarlyConstructionContext

static final int SuperFieldAssignInEarlyConstructionContext

Since:
  3.40
See Also:
  - Constant Field Values
Restriction:
  preview feature

### AssignFieldWithInitializerInEarlyConstructionContext

static final int AssignFieldWithInitializerInEarlyConstructionContext

Since:
  3.40
See Also:
  - Constant Field Values
Restriction:
  preview feature

### ConstructorCallNotAllowedHere

static final int ConstructorCallNotAllowedHere

Since:
  3.40
See Also:
  - Constant Field Values
Restriction:
  preview feature

### WrongCaseType

static final int WrongCaseType

Since:
  3.40
See Also:
  - Constant Field Values
Restriction:
  preview feature

### IncompatibleCaseType

static final int IncompatibleCaseType

Since:
  3.40
See Also:
  - Constant Field Values
Restriction:
  preview feature

### DefaultTrueAndFalseCases

static final int DefaultTrueAndFalseCases

Since:
  3.40
See Also:
  - Constant Field Values
Restriction:
  preview feature

## Method Details

### getArguments

String[] getArguments()
Answer back the original arguments recorded into the problem.

Returns:
  the original arguments recorded into the problem

### getID

int getID()
Returns the problem id

Returns:
  the problem id

### getMessage

String getMessage()
Answer a localized, human-readable message string which describes the problem.

Returns:
  a localized, human-readable message string which describes the problem

### getOriginatingFileName

char[] getOriginatingFileName()
Answer the file name in which the problem was found.

Returns:
  the file name in which the problem was found

### getSourceEnd

int getSourceEnd()
Answer the end position of the problem (inclusive), or -1 if unknown.

Returns:
  the end position of the problem (inclusive), or -1 if unknown

### getSourceLineNumber

int getSourceLineNumber()
Answer the line number in source where the problem begins.

Returns:
  the line number in source where the problem begins

### getSourceStart

int getSourceStart()
Answer the start position of the problem (inclusive), or -1 if unknown.

Returns:
  the start position of the problem (inclusive), or -1 if unknown

### isError

boolean isError()
Returns whether the severity of this problem is 'Error'.

Returns:
  true if the severity of this problem is 'Error', false otherwise

### isWarning

boolean isWarning()
Returns whether the severity of this problem is 'Warning'.

Returns:
  true if the severity of this problem is 'Warning', false otherwise

### isInfo

boolean isInfo()
Returns whether the severity of this problem is 'Info'.

Returns:
  true if the severity of this problem is 'Info', false otherwise
Since:
  3.12

### setSourceEnd

void setSourceEnd(int sourceEnd)
Set the end position of the problem (inclusive), or -1 if unknown. Used for shifting problem positions.

Parameters:
  `sourceEnd` - the given end position

### setSourceLineNumber

void setSourceLineNumber(int lineNumber)
Set the line number in source where the problem begins.

Parameters:
  `lineNumber` - the given line number

### setSourceStart

void setSourceStart(int sourceStart)
Set the start position of the problem (inclusive), or -1 if unknown. Used for shifting problem positions.

Parameters:
  `sourceStart` - the given start position